#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Controlador para la administración de los áreas
class Admin::AreasController < Admin::BaseController
  
  before_filter :get_area, :except => [:index, :new, :create, :auto_complete_for_area_tag_list_es]
  
  skip_before_filter :verify_authenticity_token, :only => [:auto_complete_for_area_tag_list_es]
  
  cache_sweeper :footer_sweeper, :only => [ :update]
  
  def index
    @areas = Area.find(:all, :order => 'position')
  end

  def show
  end

  def new
    @area = Area.new
  end
  
  
  def create
    @area = Area.new(params[:area])
    if @area.save
      flash[:notice] = "El área se ha creado correctamente"
      redirect_to admin_area_path(@area)
    else
      render :action => "new"
    end
  end
  
  def edit
  end
  
  def update
    respond_to do |format|
      if @area.update_attributes(params[:area])
        flash[:notice] = "El #{@area.class.human_name} se ha actualizado correctamente."
        format.html { redirect_to(admin_area_path(@area)) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @area.errors, :status => :unprocessable_entity }
      end
    end
  end

  # Auto complete para los tags
  def auto_complete_for_area_tag_list_es
    auto_complete_for_tag_list(params[:area][:tag_list_es])
    if @tags.length > 0
      render :inline => "<%= content_tag(:ul, @tags.map {|t| content_tag(:li, t.nombre)}) %>"
    else
      render :nothing => true
    end    
  end


  private
  
  def set_current_tab
    @current_tab = :areas
  end
  
  def get_area
    @area = Area.find(params[:id])
  end

end
