#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Admin::ArgumentsController < Admin::BaseController
  def index
    @arguments = Argument.paginate :per_page => 20, 
      :joins => "INNER JOIN users ON (users.id = arguments.user_id) ",
      :page => params[:page], 
      :order => "published_at DESC, created_at DESC"
    
  end

  def show
  end
  
  def approve
    @argument = Argument.find(params[:id])
    @argument.approve!
    respond_to do |format|
      format.js do
        render :update do |page|
          page.replace "argument_#{@argument.id}", :partial => "argument", :locals => {:argument => @argument}
          page["argument_#{@argument.id}"].className = @argument.status
        end    
      end
    end
  end
  
  def destroy
    @argument = Argument.find(params[:id])
    if @argument.destroy
      respond_to do |format|
        format.html {
          flash[:notice] = 'El argumento ha sido eliminado'
          redirect_to admin_arguments_path
        }
        format.js { 
          render :update do |page|
            page.visual_effect :fade, "argument_#{@argument.id}"
          end
        }
      end
    else
      respond_to do |format|
        format.html {
          flash[:error] = 'El argumento no ha podido ser eliminado'
          redirect_to admin_arguments_path
        }
        format.js { 
          render :update do |page|
            page.alert "El argumento no se ha borrado"
          end
        }
      end
      
    end
  end
  

end
