#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Admin::CommentResponsesController < Admin::CommentsController
  before_filter :admin_required, :only => [:publish]
  skip_before_filter :get_comment
  before_filter :get_comment_for_response

  # Formulario para enviar a RRCC
  def new
    @comment_response = @comment.build_comment_response(:organization_id => @comment.commentable.organization_id)
    render :update do |page|
      page.replace_html "rrcc_comment_id_#{@comment.id}", :partial => "form", :locals => {:comment => @comment}
    end
  end  
  
  # Guardar el formulario y enviar el request
  def create
    @comment_response = @comment.build_comment_response(params[:comment_response].merge({:status => 'new'}))

    if @comment_response.save
      rrc = @comment_response.response_requests.create()
    end
    
    render :update do |page|
      page.replace_html "rrcc_comment_id_#{@comment.id}", :partial => "item", :locals => {:comment => @comment}
    end
  end
  
  # Mostar el estado actual
  def show
    @comment_response = @comment.comment_response
    respond_to do |format|
      format.html {
        # show.html.erb
      }
      format.js {
        render :update do |page|
          page.replace_html "rrcc_comment_id_#{@comment.id}", :partial => "item", :locals => {:comment => @comment}
        end
      }
    end
  end
  
  # Comrpobar el estado actual conectándose a la aplicación RRCC
  def check
    @comment_response = @comment.comment_response
    @comment_response.response_requests.create()
    
    respond_to do |format|
      format.html {
        flash[:notice] = "La respuesta ha sido guardada."
        redirect_to admin_comment_comment_response_url(@comment)
      }
      format.js {
        render :update do |page|
          page.replace_html "rrcc_comment_id_#{@comment.id}", :partial => "item", :locals => {:comment => @comment}
        end
      }
    end    
  end
  
  # Publicar la respuesta oficial. Sólo admin.
  def publish
  end
  
  
  private
  
  def get_comment_for_response
    @comment = Comment.find(params[:comment_id])

    if @department_tag_id && !@comment.commentable.tag_ids.include?(@department_tag_id)
      respond_to do |format|
        format.html {
          flash[:notice] = t('no_tienes_permiso')
          access_denied      
        }
        format.js { 
          render :update do |page|
            flash[:notice] = t('no_tienes_permiso')
            page.redirect_to admin_comments_path
          end
        }
      end
    end
  end
  
end
