#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Admin::EventLocationsController < Admin::BaseController
  
  before_filter :get_location, :except => [:index, :new, :create]
  
  def index
    @locations = EventLocation.find(:all)
  end

  def new
    @location = EventLocation.new()
  end

  def show
  end

  def edit
  end
  
  def create
    @location = EventLocation.new(params[:event_location])
    if @location.save
      flash[:notice] = "El nuevo emplazamiento se ha guardado correctamente"
      redirect_to admin_event_location_path(@location)
    else
      render :action => :new
    end
  end
  
  def update
    if @location.update_attributes(params[:event_location])
      flash[:notice] = "El emplazamiento se ha guardado correctamente"
      redirect_to admin_event_location_path(@location)
    else
      render :action => :edit
    end
  end
  
  private
  
  def get_location
    @location = EventLocation.find(params[:id])
  end

  def set_current_tab
    @t = "events"
    @pretty_type = t("documents.#{@t.titleize.singularize}").singularize
    
    @current_tab = :menus
    @current_subtab = :locations
  end


end
