#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Controlador para las entidades relacionadas con los debates
class Admin::OutsideOrganizationsController < Admin::BaseController
  
  def index
    @title = "Propuestas del Gobierno"
    @organizations = OutsideOrganization.find(:all, :order => 'name_es')
  end
  
  def new
    @title = "Nueva entidad relacionada para las propuestas del Gobierno"
    @organization = OutsideOrganization.new()
  end
  
  def create
    @title = "Nueva entidad relacionada para las propuestas del Gobierno"
    @organization = OutsideOrganization.new(params[:organization])

    if @organization.save()
      flash[:notice] = 'Los datos de la entidad se han guardado correctamente'
      redirect_to admin_outside_organizations_path()
    else
      render :action => 'new'
    end    
  end
  
  def edit
    @title = "Modificar entidad relacionada para las propuestas del Gobierno"
    @organization = OutsideOrganization.find(params[:id])
  end
  
  def update
    @title = "Modificar entidad relacionada para las propuestas del Gobierno"
    @organization = OutsideOrganization.find(params[:id])
    if @organization.update_attributes(params[:organization])
      flash[:notice] = 'Los datos de la entidad se han guardado correctamente'
      redirect_to admin_outside_organizations_path()
    else
      render :action => 'edit'
    end    
  end
  
  def destroy
    @organization = OutsideOrganization.find(params[:id])
    if @organization.destroy
      flash[:notice] = "La entidad se ha eliminado"
      redirect_to admin_outside_organizations_path()
    else
      @title = "Modificar entidad relacionada para las propuestas del Gobierno"
      render :edit
    end
  end
  
  private
  
  def set_current_tab
    @current_tab = :debates
  end
  
end
