#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Controlador para la administración de los usuarios de tipo Person. Actualmente no se usa
class Admin::PeopleController < Admin::BaseController
  before_filter :set_current_tab
  layout 'admin'
  
  def index
    conditions = params[:q] ? "people.name||last_names ilike '%#{params[:q]}%'" : nil
    @people = Person.paginate :page => params[:page], 
      :include => :user, :conditions => conditions,
      :order => "users.status, people.name||last_names"
  end
  
  def update
    @person = Person.find(params[:id])
    respond_to do |format|
      if @person.update_attributes(params[:person])
        format.html { 
          flash[:notice] = 'Los datos se han guardado correctamente'
          redirect_to admin_person_path(@person) 
        }
        format.js {
          render :update do |page|
            page.replace "person-#{@person.id}", :partial => 'person', :object => @person
          end
        }
      else
        format.html { render :action => "new" }
        format.js {
          render :update do |page|
            page.alert 'El estado no se ha cambiado'
          end
        }
      end
    end
    
  end
  
  def change_status
    @person = Person.find(params[:id])
    if @person.user.update_attribute(:status, params[:status])
      render :update do |page|
        page.replace "person-#{@person.id}", :partial => 'person', :object => @person
      end
    else
      render :update do |page|
        page.alert 'El estado no se ha cambiado'
      end
    end
  end
  
  def destroy
    @person = Person.find(params[:id])
    if @person.destroy
      flash[:notice] = "El usuario ha sido eliminado"
      redirect_to admin_people_path
    else
      flash[:error] = "No se ha podido eliminar el usuario"
      redirect_to admin_people_path
    end
  end
  
  private
  def set_current_tab
    @current_tab = :people
  end
  
end
