#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Controlador para la administración de permisos.
class Admin::PermissionsController < Admin::BaseController
  before_filter :get_user
  
  before_filter :super_user_required
  
  # Actualizar los permisos
  def update
    if @user.update_permissions(params[:perm])
      flash[:notice] = "Los permisos se han guardado correctamente"
      redirect_to admin_user_path(@user)
    else
      render :action => "edit"
    end
  end
  
  private
  # Filtro para coger el usuario. Los permisos siempre van asociados a un usuario.
  def get_user
    @user = User.find(params[:user_id])
  end

  def set_current_tab
    @current_tab = :users
  end
  

end
