#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Admin::SorganizationsController < Admin::BaseController
  # auto_complete_for :snetwork, :sorganization_name
  # skip_before_filter :verify_authenticity_token, :only => [:auto_complete_for_snetwork_sorganization_name]  
  
  def index
    if params[:dept_id]
      @department=Department.find(params[:dept_id])
      @sorganizations=@department.sorganizations
    else  
      @departments=Department.without_gv.find(:all, :order => 'position')
      render :template => '/admin/sorganizations/departments'
    end  
  end  
  
  def new
    @department=Department.find(params[:dept_id])
    @sorganization=Sorganization.new(:department => @department)
    @sorganization.snetworks.build
  end
  
  def edit
    @sorganization=Sorganization.find(params[:id])
    @department=@sorganization.department
  end
  
  def create
    @sorganization=Sorganization.new(params[:sorganization])
    @sorganization.department_id ||= params[:dept_id]
    if @sorganization.save
      flash[:notice]='Redes sociales añadidas correctamente'
      redirect_to admin_sorganizations_url(:dept_id => @sorganization.department_id)
    else
      @department=Department.find(@sorganization.department_id)
      render :action => 'new'  
    end  
  end
  
  def update
    @sorganization=Sorganization.find(params[:id])
    @sorganization.department_id ||= params[:dept_id]    
    if @sorganization.update_attributes(params[:sorganization])
      flash[:notice]='Redes sociales añadidas correctamente'
      redirect_to admin_sorganizations_url(:dept_id => @sorganization.department_id)
    else
      @department=Department.find(@sorganization.department_id)
      render :action => 'edit'
    end  
  end
  
  def destroy
    @sorganization=Sorganization.find(params[:id])
    if @sorganization.destroy
      flash[:notice]='Redes sociales eliminadas correctamente'
      redirect_to admin_sorganizations_url(:dept_id => @sorganization.department_id)
    else
      flash[:error]='Error al eliminar el item'  
    end  
  end
  
  private
  
  def set_current_tab    
    @current_tab = :snetworks
  end
  
end  