#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Controlador para la traducción de Tags
class Admin::TagsController < Admin::BaseController
  include Tools::TagUtils
  
  # in_place_edit_for :tag, :name_es
  # in_place_edit_for :tag, :name_eu
  # in_place_edit_for :tag, :name_en

  #in_place_edit_for :tag, :kind
  #in_place_edit_for :tag, :kind_info  
  
  # Listado de tags
  def index
    if params[:q]
      conditions = ["sanitized_name_es || ' ' || sanitized_name_eu || ' ' || sanitized_name_en LIKE ?", "%#{params[:q].tildes.downcase}%"]
      @title = "Tags: #{params[:q]}"
    elsif params[:l]
      @l = params[:l]
      if (@l=='A')
        conditions = ["sanitized_name_es LIKE ? and sanitized_name_es NOT LIKE ?", "#{@l.downcase}%","#{'acuerdosdelconsejodegobiernode'}%"]
      elsif @l.eql?('hashtag')
        conditions = "name_es LIKE '#%'"
      else 
        conditions = ["sanitized_name_es LIKE ?", "#{@l.downcase}%"]
      end
      @title = "Tags: #{@l}"
    else
      conditions = nil
    end
    
    if conditions
      @tags = Tag.public.find(:all, :conditions => conditions, :order => "tildes(lower(name_es))")
    else
      @tags = []
    end
  end

  Tag::LANGUAGES.each do |lang|
    define_method("set_tag_name_#{lang}") do
      @item = Tag.find(params[:id])
      if params[:value].blank?
        render :update do |page|
          page.alert('El nombre del tag no puede estar vacío')
          page.replace_html "tag_name_#{lang}_#{params[:id]}_in_place_editor", @item.send("name_#{lang}")
        end
      else
        @item.update_attribute("name_#{lang}", params[:value])
        render :update do |page|
          page.replace_html "tag_name_#{lang}_#{params[:id]}_in_place_editor", @item.send("name_#{lang}").to_s
        end
      end
    end
  end
  
  def set_tag_kind
    @item = Tag.find(params[:id])
    @item.update_attribute(:kind, params[:value])
    render :update do |page|
      page.replace_html "tag_kind_#{params[:id]}_in_place_editor", @item.kind.to_s
    end    
  end

  def set_tag_kind_info
    @item = Tag.find(params[:id])
    @item.update_attribute(:kind_info, params[:value])
    render :update do |page|
      page.replace_html "tag_kind_info_#{params[:id]}_in_place_editor", @item.kind_info.to_s
    end    
  end
  
  # Busca los tags duplicados
  def find_duplicates
    @duplicated_tags = Tag.duplicated_tags
  end
  
  # Busca los tags duplicados y los reagrupa en un sólo tag
  def merge
    if params[:cancel]
      flash[:notice] = "Los tags se han dejado como estaban"
      
    else
      merge_duplicated_tags!
      # @duplicated_tags = Tag.duplicated_tags
      # 
      # @duplicated_tags.group_by(&:sanitized_name_es).each do |san_name, tags|
      #   tags.sort!{|c1, c2| c2.taggings.count <=> c1.taggings.count}
      #   reference_tag = tags.first
      #   duplicated_tags = tags - [tags.first]
      #   duplicated_tags.each do |tag|
      #     Tagging.update_all("tag_id=#{reference_tag.id}", "tag_id=#{tag.id}")
      #     Tag.find(tag.id).destroy
      #   end
      # end
      flash[:notice] = "Los tags se han agrupado"
    end
    redirect_to admin_tags_path
  end
  
  def update
    @tag = Tag.find(params[:id])
    render :update do |page|    
      if @tag.update_attributes(params[:tag])
        page.replace "tag_row_#{@tag.id}", :partial => "tag_row", :locals => {:tag => @tag}
      else
        page.alert("El estado del tag no se ha actualizado")
      end
    end
  end
  
  def set_tag_name
    @tag = Tag.find(params[:id])
    if @tag.update_attribute("name_#{params[:locale]}", params[:value])
      render :update do |page|
        page.replace "tag_row_#{@tag.id}", :partial => "tag_row", :locals => {:tag => @tag}
      end
    else
    end
  end


  private
  def set_current_tab
    @current_tab = :tags
  end
  
end
