#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AnswersController < ApplicationController
  before_filter :get_context, :only => [:index]
  
  def index
    finder = @context ? @context.answers : Comment.official.approved
    
    @comments = finder.paginate :per_page => 15, :page => params[:page], 
      :order => "created_at DESC"
      logger.info @comments.inspect
    @title = t('answers.title')
    
    respond_to do |format|
      format.html do
        if request.xhr?
          render :partial => '/shared/list_items', :locals => {:items => @comments}, :layout => false
        else
          render
        end
      end
    end
  end

  private 
  def make_breadcrumbs
    if @context.present?
      @breadcrumbs_info << [t('answers.title'),  send("#{context_type}_answers_path", @context)]
    else
      @breadcrumbs_info = [[t('answers.title'), answers_path]]
    end    
  end

end
