#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class OrdersController < ApplicationController
  before_filter :get_criterio, :only => [:show]
  after_filter :track_clickthrough, :only => [:show]  
  
  def show                                                                          
    @order = Order.find_by_no_orden!(params[:no_orden])
    @title = "#{Order.human_name} #{@order.no_orden}"
  end                                                                               
  
  def search             
    session[:criterio_id] = nil
    if params[:key].present? && params[:value].present?
      title = "type: orders AND "
      if params[:key].eql?('keyword')
        title << "#{params[:key]}: \"#{params[:value]}\""
        only_title = true
      else
        title << "#{params[:key]}: #{params[:value]}"   
        @sort = 'date'   
        only_title = false     
      end  
      @criterio = Criterio.create(:title => title, :parent_id => nil, :ip => request.remote_ip, :only_title => only_title)
      url = @sort.present? ? search_url(:id => @criterio.id, :sort => 'date') : search_url(:id => @criterio.id)
      redirect_to url and return                                   
    else
      redirect_to request.referer and return
    end   
  end                                                                  
  
  def make_breadcrumbs                                                     
    @breadcrumbs_info = []
    @breadcrumbs_info << [t('search.title'), search_url(:id => @criterio.id)] if @criterio.present?
    @breadcrumbs_info << [t('orders.orden_numero', :no => @order.no_orden), order_url(:no_orden => @order.no_orden)] if @order.present?
  end
  
end
