#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class PoliticiansController < ApplicationController
  before_filter :get_selected_date, :only => :show
  before_filter :get_politician, :except => [:index]
  
  def index
    if params[:area_id]
      @area = Area.find(params[:area_id])
      @politicians = @area.users.approved
      get_followings
    else
      # First, lehendakari, then the rest
      @politicians = Politician.approved.find(:all, :order => "(CASE WHEN public_role_es='Lehendakari' THEN 0 ELSE 1 END), last_names")
    end    
  end
  
  def show
    # HQ
    # @question = Question.new
    # build_question

    # get_actions
    @context = @politician
    prepare_news(@context, request.xhr?)
    render :template => '/news/index'
  end
  
  def what
    @what = params[:w]
    if @what.present?
      @what_content = @politician.send(@what)
    end
    respond_to do |format|
      format.floki { render :action => "what.floki", :layout => "application.floki" }
    end
  end
  
  private

  def get_politician
    @politician = Politician.approved_or_ex.find(params[:id])
  end

  def get_actions
    @actions = get_context_actions(@politician)
    @politician.areas.each do |area|
      @actions += get_context_actions(area)
    end
    @actions = @actions.uniq
  end
  
  def make_breadcrumbs
    if @area.present?
      @breadcrumbs_info = [[t('organizations.title'), areas_path]]
      @breadcrumbs_info << [@area.name,  area_path(@area)]
      @breadcrumbs_info << [t("politicians.title"), area_politicians_path(@area)]
    else  
      @breadcrumbs_info = [[t('politicians.title'), politicians_path]]
      @breadcrumbs_info << [@politician.public_name,  politician_path(@politician)] if @politician  
    end  
    
  end    
end
