#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Modificar datos de usuario para usuarios con privilegios 
# (todos menos Person, Journalist y Politician sin permisos)
class Sadmin::AccountController < Sadmin::BaseController
  before_filter :access_to_sadmin_required
  
  def show
    @user = current_user    
  end
  
  def edit
    @user = current_user
  end
  
  # Actualizar un usuario
  def update
    if params[:submit_cancel]      
      redirect_to admin_users_path
    else
      @user = current_user
      if params[:user][:type]
        # Tengo que hacer esto para que cambie el class de user y actualice bien el departamento
        @user.type= params[:user][:type]
        @user.save
        @user = User.find(params[:id])
      end
      
      approving_user = @user.status.eql?("pendiente") && params[:user][:status].eql?("aprobado")

      if @user.update_attributes(params[:user])
        flash[:notice] = 'El usuario se ha actualizado correctamente.'
        
        if @user.is_a?(Journalist) && approving_user
          email = Notifier.create_welcome_journalist(@user)

          begin
            logger.info("Mandando bienvenida a #{@user.email}")
            Notifier.deliver(email)
          rescue Net::SMTPServerBusy, Net::SMTPSyntaxError => err_type
            logger.info("Error al mandar mail de bienvenida: " + err_type)
            flash[:error] = t('session.Error_servidor_correo')
          end
        end
        
        redirect_to sadmin_account_url
      else
        render :action => 'edit'
      end
    end
  end
  
  private
  def access_to_sadmin_required
    if !logged_in? || current_user.is_a?(Person) || current_user.is_a?(Journalist) || (current_user.is_a?(Politician) && current_user.permissions.empty?)
      flash[:notice] = t('no_tienes_permiso')
      access_denied
    end    
  end
  
end  
