#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Sadmin::SubtitlesController < Sadmin::BaseController
  before_filter :manage_subtitles_permission_required
  before_filter :get_news
  
  def index
    get_videos
    @document = @news
    @title = @news.title
  end

  def show
  end

  private
  
  def get_news
    # Guardamos la noticia en @document para aprovechar los helpers relacionados con vídeos que esperan esta variable
    @news = News.find(params[:news_id])
  end
  
  # Determina el tab del menú que está activo
  def set_current_tab    
    @current_tab = :news
  end
  
  def get_videos
    featured = @news.videos[:featured]
    list = @news.videos[:list]
    # Juntamos el video destacado de la noticia con los demás vídeos
    @videos = {:es => ([featured[:es]] + list[:es]).compact, 
               :eu => ([featured[:eu]] + list[:eu]).compact, 
               :en => ([featured[:en]] + list[:en]).compact}
    # Quitamos de la lista de vídeos por idiomas los que ya están en la lista de castellano
    @videos[:eu] = @videos[:eu] - @videos[:es]
    @videos[:en] = @videos[:en] - @videos[:es]      
  end
end
