#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class StreamingsController < ApplicationController
  before_filter :admin_required, :only => [:update_watchers_info]
  before_filter :http_authentication4streaming, :only => [:live]
  
  def index
    @flows = StreamFlow.find(:all, :conditions => "announced_in_irekia = 't' OR show_in_irekia = 't'", :order => 'updated_at DESC')
  end

  def show
    @streaming = StreamFlow.find(params[:id])
    if @streaming.event 
      if  @streaming.event.published?
        redirect_to event_url(@streaming.event)
      else
        if @streaming.event.published?
           redirect_to event_url(@streaming.event)
        else
          raise ActiveRecord::RecordNotFound unless (@streaming.on_air? || @streaming.announced?)
        end
      end
    else
      if !@streaming.on_air? && !@streaming.announced?
        raise ActiveRecord::RecordNotFound
      end
    end
  end

  def live
    @streaming = StreamFlow.find(params[:id])
    unless @streaming.code.match(/IREKIABETA/i)
      raise ActiveRecord::RecordNotFound
    end
    render :action => 'show'
  end

  def update_watchers_info
    @stream_flow = StreamFlow.find(params[:id])
    render :update do |page| 
      page.replace_html "sf_watchers_info", admin_show_streaming_watchers(@stream_flow)
    end    
  end

  def make_breadcrumbs
    @breadcrumbs_info = []
    
    if @streaming.present?
      @breadcrumbs_info << [@streaming.title,  streaming_path(@streaming)]
    end
  end
  
  private
  
  def http_authentication4streaming
    authenticate_or_request_with_http_basic do |username, password|
      username == "irekia-live" && password == "25-01-2012"
    end
  end
end
