#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Controlador para los tags
class TagsController < ApplicationController
  before_filter :set_page, :only => [:show]
  # before_filter :set_sort_order, :only => [:show]
  
  # Listado de tags
  def index
    @title = t('tags.title')
    conditions = "published_at <= '#{Time.now.strftime('%Y-%m-%d %H:%M')}' "
    
    @ttype = params[:type]
    
    all_tags = Document.published.tag_counts(:conditions => conditions)    
    @tags = all_tags.sort! {|a, b| b.count <=> a.count}[0..100].sort! {|a, b| a.sanitized_name <=> b.sanitized_name}
  end                         

  # Contenidos taggeados con un tag
  def show
    if params[:id].match(/^_/)
      tags = Tag.find_all_by_sanitized_name_es(params[:id])
    elsif params[:id].match(/^\d+$/)
      tags = [Tag.find(params[:id])]
    else
      tags = Tag.find_by_sql(["SELECT * FROM tags WHERE (sanitized_name_es=? OR sanitized_name_eu=? OR sanitized_name_en=?)", params[:id], params[:id], params[:id]])
    end
    if tags.empty?
      render :template => '/site/notfound.html', :status => 404 and return
    else                           
      session[:criterio_id] = nil       
      @tag = tags.first          
      @sort = 'date'
# TODO: temp fix
      if @tag.criterio_id.present?
        #if @tag.updated_at > @criterio.updated_at
        #  @tag.criterio.update_attribute(:title, @tag.criterio_title)
        #end
        @criterio = Criterio.find_by_id(@tag.criterio_id)
      else
        @criterio = Criterio.create(:title => @tag.criterio_title, :ip => request.remote_ip)
        # @tag.create_criterio(:title => @tag.criterio_title, :ip => request.remote_ip)
        @tag.update_attribute(:criterio_id, @criterio.id)
      end
      
      unless @tag.criterio_id.present? && !@criterio.nil?                                              
        title = @tag.criterio_title
        title << " AND type: #{params[:type].downcase}" if params[:type].present? && !params[:type].eql?('all')
        @criterio = Criterio.create(:title => title, :parent_id => nil, :ip => request.remote_ip)
        redirect_to search_url(:id => @criterio.id) and return
      end
      if params[:type].present? && !params[:type].eql?('all')
        @criterio.title << " AND type: #{params[:type].downcase}"
      end
      set_query
      unless do_elasticsearch_and_save_results(true, false)
        redirect_to elasticsearch_not_available_redirect_url and return
      end  
      render :template => '/search/show' and return       
    end
  end              
  
  # POST
  def search
    tag = Tag.send("find_all_by_sanitized_name_#{I18n.locale.to_s}", params[:id]).first    
    if tag.nil? || tag.name.match(/^_/) 
      render :template => '/site/notfound.html', :status => 404 and return
    end
    session[:criterio_id] = nil
    title = "tags: #{tag.name_es}|#{tag.name_eu}|#{tag.name_en}"
    @criterio = Criterio.create(:title => title, :parent_id => nil, :ip => request.remote_ip)
    redirect_to search_url(:id => @criterio.id) and return
  end
  
  private
  # Construye los breadcrumbs de cada acción de los tags
  def make_breadcrumbs
    @breadcrumbs_info = [[t('tags.title'), tags_path]]    
    if @tag && !@tag.new_record?
      @breadcrumbs_info = [[@tag.name, tag_path(@tag)]]
    end
    @breadcrumbs_info
  end

end
