#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class UsersController < ApplicationController
  before_filter :get_user_with_public_page

  def show
    # @actions = get_context_actions(@user)
    @actions = get_user_activity
  end
  
  def get_user_activity
    actions = []
    actions << @user.approved_and_published_proposals
    actions << @user.approved_comments
    actions << @user.approved_arguments
    actions << @user.votes
    actions.flatten.sort_by(&:published_at).reverse[0..19]
  end

  private

  def get_user_with_public_page
    begin
      @user = User.approved.find(params[:id])
      raise ActiveRecord::RecordNotFound if @user.is_admin?
    rescue ActiveRecord::RecordNotFound
      flash[:notice] = t('people.not_found')
      redirect_to root_path and return
    end
  end

  def make_breadcrumbs
    @breadcrumbs_info = [[@user.public_name, user_path(@user)]] if @user.present?
  end    
  
end
