#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class VotesController < ApplicationController
  before_filter :login_required
  before_filter :transform_floki_params, :only => :create  
  before_filter :get_votable
  
  def create
    @vote = @votable.votes.new(params[:vote].merge(:user_id => current_user.id))

    if @vote.save
      respond_to do |format|
        format.html {
          if request.xhr?
            render :partial => '/votes/votes_form', :locals => {:votable =>@votable}, :layout => false and return
          else  
            flash[:notice] = "Tu voto se ha guardado"
            redirect_to @votable
          end  
        }
        format.floki {
          render :json => {:accepted => true, :requires_moderation => false, :needs_auth => false, :error_message => nil}.to_json
        }
      end
    else
      respond_to do |format|
        format.html {
          if request.xhr?
            render :nothing => true, :status => 500
          else
            flash[:error] = "La valoración no se ha guardado"
            redirect_to @votable
          end
        }
        format.floki {
          render :json => {:accepted => false, :requires_moderation => false, :needs_auth => false, 
                           :error_message => "#{I18n.t('votes.not_saved')}. #{@vote.errors.inject('') {|messages, err| messages += err[1] + ". "}}"}.to_json
        }
      end
    end
  end
  
  private
  def get_votable
    if params[:format].eql?('floki') && params[:proposal_id].to_i.between?(Floki::FACTORS[:proposal], Floki::FACTORS[:vote])
      @votable = Proposal.find(params[:proposal_id].to_i - Floki::FACTORS[:proposal])
      @proposal = @votable
    elsif params[:proposal_id]
      @votable = Proposal.find(params[:proposal_id])
    elsif params[:debate_id]
      @votable = Debate.find(params[:debate_id])      
    end  
  end
  
  def transform_floki_params
    if params[:format].eql?('floki')
      params[:vote] = {:value => tranform_vote_choice}
    end
  end
  
  def tranform_vote_choice
    value = case JSON.parse(params['data'])["vote_choice"].to_i
    when 1
      1
    when 2
      -1
    else
      nil
    end
    value
  end
end
