#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module Admin::AdminHelper

  def menu_link_class(tab)
    @current_tab.eql?(tab) ? "active" : "passive"
  end
  
  def admin_section_name
    titles = {:menus => 'Misc', :depts => t('admin.menu.departamentos'), :users => t('admin.menu.usuarios'),
              :stats => t('admin.menu.estadisticas'), :news => t('admin.menu.noticias'),
              :events => t('admin.menu.agenda'), :videos => t('admin.menu.web_tv'), 
              :photos => t('admin.menu.fototeca'), :pages => t('admin.menu.paginas'),
              :links => t('admin.menu.enlaces'), :posts => 'Blog', :proposals => t('admin.menu.propuestas'),
              :stream_flows => t('admin.menu.streaming'),
              :users => 'Usuarios'
              }
     text = titles[@current_tab] || t("admin.menu.#{@current_tab}")
     text = nil if text.eql?(@title)
     text
  end

  def multimedia_content_dir_format
    'Sólo letras sin tildes, números y "_". "/" para indicar directorios.'
  end

  def file_name_for_path(path)
    Pathname.new(path).basename
  end
  
  def convert_relative_urls_to_absolute(text)
    e = "#{request.protocol}#{request.host_with_port}"
    text.sub(/href=([\"\'])\//, "href=\\1#{e}/")
  end

end