#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module CategoriesHelper
  
  def link_to_category(category)
    name, url, options = category_name_and_url(category)
    if url.eql?('#')
      "<span>#{name.sub(/\+$/, '')}</span>"
    else
      link_to h(name), url, options
    end
  end                            
  
  def menu_item_class(category, current_category, mark_ancestors=true)
    output = "passive"
    if current_category 
      ancestor_ids = current_category.ancestors.collect(&:id)
      if category.id == current_category.id 
        return "active"
      end
      if mark_ancestors && ancestor_ids.include?(category.id) 
        return "active"
      end
    end
    return output
  end
    
  def css_class_for(category)
    if m = category.name_es.match(/\"(.+)\":/)
      m[1].downcase.gsub(/[^a-z]/i, '')
    else
      category.name_es.downcase.gsub(/[^a-z]/i, '')
    end
  end
  
end
