#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module MobAppHelper
  
  def current_version_supports_links
    if floki_user_agent? 
     user_agent = request.env["HTTP_USER_AGENT"].split(/ /)[0].match(/(Irekia|Floki)\/([0-9.]+)/)
     unless user_agent.nil?
       version = user_agent[2].to_f
       if version >= 2.5
         return true
       else
         return false
       end    
     end  
    end
  end

  def floki_hash_for_item(item)
    if item.is_a?(News)
      title = item.title
      body = '' # short_body_wo_html(item.body)
      url = url_for(:controller => "news", :action => "show", :id => item.id, :format => :floki, :locale => 'es', :only_path => false)
      image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_noticias.png"
    elsif item.is_a?(Event)
      title = item.title
      body = '' # short_body_wo_html(item.body)
      url = url_for(:controller => "events", :action => "show", :id => item.id, :format => :floki, :locale => 'es', :only_path => false)
      image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_agenda.png"
    elsif item.is_a?(Proposal)
      title = item.title
      body = '' # item.participation == 0 ? t('votes.count.nobody_voted') : "#{t('votes.count.a_favor', :count => item.n_in_favor)}, #{t('votes.count.contra', :count => item.n_against)}"
      url = url_for(:controller => "proposals", :action => "show", :id => item, :format => :floki, :locale => 'es', :only_path => false)
      image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_propuestas.png"
    # HQ
    # elsif item.is_a?(Question)
    #   title = item.title
    #   body = ""
    #   url = url_for(:controller => "questions", :action => "show", :id => item, :format => :floki, :locale => 'es', :only_path => false)
    #   image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_preguntas.png"
    # elsif item.is_a?(Answer)
    #   title = t('answers.new', :text => item.question.title)
    #   body = '' # pretty_n_characters_wo_html(item.body)
    #   url = url_for(:controller => 'questions', :action => "show", :id => item.question_id, :format => :floki, :locale => 'es', :only_path => false)
    #   image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_preguntas.png"
    end
    h = {"id" => item.floki_id , "title" => title, "body" => body,
         "image" => image,
         "url" => url,
         "accepts_comments" => (item.respond_to?(:has_comments?) && item.respond_to?(:comments_closed) ? (item.has_comments? && !item.comments_closed) : true),
         "footer" => I18n.localize(item.published_at, :format => :long).strip
        }
  end
  
  def floki_hash_for_item_in_my_content(item)
    # HQ
    # if item.is_a?(Answer)
    #   title = t('floki.activity.answer_to_your_question', :question => item.question.title)
    #   body = pretty_n_characters_wo_html(item.body)
    #   url = url_for(:controller => 'questions', :action => "show", :id => item.question_id, :format => :floki, :locale => 'es', :only_path => false)
    #   image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_preguntas.png"
    # elsif item.is_a?(AnswerRequest)
    #   title = t('floki.activity.answer_request_for', :question => item.question_data.question.title)
    #   body = ""
    #   url = url_for(:controller => 'questions', :action => "show", :id => item.question_data.question_id, :format => :floki, :locale => 'es', :only_path => false)
    #   image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_preguntas.png"
    # elsif item.is_a?(Question)
    #   title = t('floki.activity.pending_answer', :question => item.title)
    #   body = pretty_n_characters_wo_html(item.body)
    #   url = url_for(:controller => 'questions', :action => "show", :id => item.id, :format => :floki, :locale => 'es', :only_path => false)
    #   image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_preguntas.png"
    if item.is_a?(Comment)
      title = t('floki.activity.comment_in', :content_type => item.commentable.class.human_name, :title => item.commentable.title)
      body = pretty_n_characters_wo_html(item.body)
      url = url_for(:controller => item.commentable.class.to_s.downcase.pluralize, :action => "show", :id => item.commentable.id, :format => :floki, :locale => 'es', :only_path => false) #:anchor => "comment_#{item.id}", 
      image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_#{icon_for_comment(item)}.png"
    elsif item.is_a?(Vote)
      title = t('floki.activity.vote_for', :value => (item.value == -1 ? t('proposals.against') : t('proposals.in_favor')), :title => item.proposal.title)
      body = ''
      url = url_for(:controller => 'proposals', :action => "show", :id => item.proposal_id, :format => :floki, :locale => 'es',:only_path => false)
      image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_propuestas.png"
    elsif item.is_a?(Argument)
      title = t('floki.activity.argument_in', :proposal => item.proposal.title)
      body = pretty_n_characters_wo_html(item.reason)
      url = url_for(:controller => 'proposals', :action => "show", :id => item.proposal_id, :format => :floki, :locale => 'es', :only_path => false) #:anchor => "argument_#{item.id}",
      image = "#{request.protocol}#{request.host_with_port}/images/floki/irekia_77_propuestas.png"
    end

    h = {"id" => item.floki_id , 
         "title" => title, 
         "body" => body,
         "image" => image,
         "url" => url,
         "accepts_comments" => false, #item.has_comments && !item.comments_closed
         "footer" => I18n.localize(item.published_at, :format => :long).strip
        }

    if item.is_a?(Question)
      h.merge!("accepts_answers" => can_answer_question?(item))
    end
    h
  end
end
