#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module NewsHelper
  def readspeaker_locale
    case I18n.locale
    when 'es'
      'es_es'
    when 'eu'
      'eu_es'
    when 'en'
      'en_uk'
    end
  end
    
  def render_rss_enclosure(document)  
    {"url" => url_to_attachment(document.cover_photo.url), "length" => document.cover_photo_file_size, "type" => document.cover_photo_content_type} 
  end  
  
  def url_to_attachment(attach_path)
    request.protocol + request.host_with_port + attach_path.gsub(/.*(\?[0-9]*)/){|a| a.gsub($1, '')}
  end
  
  def show_toggle_carousel_links(item)
    content_tag(:div, link_to_function(content_tag(:span, '', :class => 'arrow') + t("documents.esconder_#{item}"), "$('div.thumb_viewer_carousel.#{item}').slideToggle();$('.hide_#{item}').toggle(); $('.show_#{item}').toggle();"), :class => "hide_#{item} x_hide") +
    content_tag(:div, link_to_function(content_tag(:span, '', :class => 'arrow') + t("documents.ver_#{item}"), "$('div.thumb_viewer_carousel.#{item}').slideToggle();$('.hide_#{item}').toggle(); $('.show_#{item}').toggle();"), :class => "show_#{item} x_show", :style => 'display: none')        
  end
  
  def get_photo_size(photo)            
    begin
      size = photo.respond_to?('url') ? Paperclip::Geometry.from_file(photo.path).to_s.split('x') : Paperclip::Geometry.from_file(photo).to_s.split('x')
    rescue
      size = [0,0]  
    end
  end

  def get_photo_orientation(photo)
    size = get_photo_size(photo)
    if size[0] > size[1]
      'landscape'
    else
      'portrait'
    end
  end
  
end
