#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module ProposalsHelper

  def participation_result_percentage(item, target=:list)
    result = item.percentage_to_text
    output = []
    if !item.participation.zero? || (target.eql?(:avatar) && item.participation.zero?)
      output << content_tag(:span, "#{item.send('percent_' + result)} %", :class => 'percentage')
      output << content_tag(:span, t("proposals.#{result}"), :class => 'percentage_text')
    end  
    if target.eql?(:votes)
      output = [content_tag(:div, output, :class => 'percentage_total')]
    end
    unless target.eql?(:avatar)
      output << content_tag(:span, t("votes.count", :count => item.participation), :class => 'participation')
    end  
    output.join
  end

  def render_participation_result_percentage(item, target=:list)
    content_tag(:div, participation_result_percentage(item, target), :class => "result #{item.percentage_to_text} #{target.eql?(:votes) ? 'span3' : ''}")
  end

  def render_zuzenean_banner_advice
    inner = []
    inner << content_tag(:div, t('proposals.advice_zuzenean'), :class => 'advice')
    inner << content_tag(:div, link_to(image_tag("banners/zuzenean_#{I18n.locale.to_s}.jpg"), "http://www.zuzenean.euskadi.net/s68-home/#{locale_es_or_eu}", :rel => 'external'), :class => 'banner_image')
    content_tag(:div, inner.join, :class => 'banner_aside zuzenean')
  end

  def icon_for_proposal(proposal)
    link_to participation_result_percentage(proposal, :avatar), proposal_path(proposal), :class => "result_icon #{proposal.percentage_to_text}"
  end

end
