#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module StatsHelper
  def view_counter_for(url)
    get_number_from_couchdb('counter/pagesp', url)
  end
  
  def flv_view_counter_for(url)
    get_number_from_couchdb('select/videosp', url)
  end
  
  def mpg_view_counter_for(url)
    get_number_from_couchdb('counter3/videoshqp', url)
  end
  
  def photo_view_counter_for(url)
    get_number_from_couchdb('counter3/photosp', url)
  end
  
  def streaming_view_counter(event)
    past_streaming_data = Stats::CouchDB.streaming_view_counter_for(event)
    
    ["Sesiones: <b>#{past_streaming_data[0]}</b>", "Pico de vistas simultáneas: <b>#{past_streaming_data[1]}</b>"].join(". ")
  end
  
  def get_number_from_couchdb(view, url)
    dbr = CouchRest.database(Stats::CouchDB::DRB)
    logger.info "Calculating stats for #{url}"
    today = Date.today
    begin
      ag = dbr.view view, 
        {:limit => 1, :startkey => [url, 0, 0, 0], :endkey =>[url, today.year, today.month, today.day], :group_level => 1}
      res = ag['rows'].length > 0 ? ag['rows'][0]['value'] : 0
    rescue => err
      ActiveRecord::Base.logger.error "Could not get data from CouchDB: #{err}"
      res = "No DB connection"
    end
    return res
  end
  
end
