#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module StreamingsHelper

  def home_video_title(streaming_present, announced_streaming)
    title = link_to(t('videos.web_tv'), videos_path)
    if streaming_present
      title = t('events.streaming_live')
    elsif announced_streaming
      title = t('events.announced_streaming')
    end
    return title
  end

  def get_net_connection_url_for_streaming
    if File.exists?('/tmp/gotoec2')
      'rtmp://79.125.115.44:1935/liverepeater'
    else
      'rtmp://bideoak3.euskadi.net:1935/live'
    end
  end
  
  def show_logo_for_streaming?(streaming)
    streaming.travelling? ? '1' : '0'
  end
  
  def snetworking_guide_links
    {
      :es => {
        :facebook => 'http://bideoak2.euskadi.net/redesyblogs/facebook_ayuda/facebook_ayuda_v2_es.pdf',
        :twitter => 'http://bideoak2.euskadi.net/redesyblogs/twitter_ayuda/twitter_guia_rapida_es.pdf',
        :estilo => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/guia_de_usos_y_estilo_en_las_redes_sociales_del_gobierno_vasco_v2.pdf',
        :estilo_mobi => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/guia_de_usos_y_estilos_en_las_redes_sociales_del_gobierno_vasco.mobi',
        :estilo_epub => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/guia_de_usos_y_estilos_en_las_redes_sociales_del_gobierno_vasco_v2.epub', 
        :resumen => 'http://bideoak2.euskadi.net/redesyblogs/guia_resumen/resumen_guia_rrss_es.pdf',
        :googleplus => 'http://bideoak2.euskadi.net/redesyblogs/guia_rapida_google_plus/guiaayuda_google_plus_es.pdf',
        :respuestas => 'http://bideoak2.euskadi.net/redesyblogs/guia_rapida_de_respuestas/guia_respuestas_tw_fb_rapida_es.pdf ',
        :esquema => 'http://bideoak2.euskadi.net/redesyblogs/esquema_de_respuestas/chart_respuestas_es.pdf'
      }, 
      :eu => {
        :facebook => 'http://bideoak2.euskadi.net/redesyblogs/facebook_ayuda/facebook_ayuda_v2_eu.pdf',
        :twitter => 'http://bideoak2.euskadi.net/redesyblogs/twitter_ayuda/twitter_guia_rapida_eu.pdf',
        :estilo => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/eusko_jaurlaritzaren_gizarte_sareetako_erabileren_eta_estiloaren_gida_v2.pdf',
        :estilo_mobi => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/eusko_jaurlaritzaren_gizarte-sareetako_erabileren_eta_estiloaren_gida.mobi',
        :estilo_epub => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/eusko_jaurlaritzaren_gizarte-sareetako_erabileren_eta_estiloaren_gida_v2.epub',
        :resumen => 'http://bideoak2.euskadi.net/redesyblogs/guia_resumen/resumen_guia_rrss_eu.pdf',
        :googleplus => 'http://bideoak2.euskadi.net/redesyblogs/guia_rapida_google_plus/guiaayuda_google_plus_eu.pdf',
        :respuestas => 'http://bideoak2.euskadi.net/redesyblogs/guia_rapida_de_respuestas/guia_respuestas_tw_fb_rapida_eu.pdf  ',
        :esquema => 'http://bideoak2.euskadi.net/redesyblogs/esquema_de_respuestas/chart_respuestas_eu.pdf'
      }, 
      :en => {
        :facebook => 'http://bideoak2.euskadi.net/redesyblogs/facebook_ayuda/facebook_ayuda_v2_eu.pdf',
        :twitter => 'http://bideoak2.euskadi.net/redesyblogs/twitter_ayuda/twitter_guia_rapida_eu.pdf',
        :estilo => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/style_and_usage_guide_for_the_basque_governments_social_networks_v2.pdf',
        :estilo_mobi => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/style_and_usage_guide_for_the_basque_government-s_social_networks.mobi',
        :estilo_epub => 'http://bideoak2.euskadi.net/redesyblogs/guia_usos_y_estilos_en_rrss_del_ejgv/style_and_usage_guide_for_the_basque_government-s_social_networks_v2.epub',
        :resumen => 'http://bideoak2.euskadi.net/redesyblogs/guia_resumen/resumen_guia_rrss_es.pdf',
        :googleplus => 'http://bideoak2.euskadi.net/redesyblogs/guia_rapida_google_plus/guiaayuda_google_plus_es.pdf',
        :respuestas => 'http://bideoak2.euskadi.net/redesyblogs/guia_rapida_de_respuestas/guia_respuestas_tw_fb_rapida_es.pdf ',
        :esquema => 'http://bideoak2.euskadi.net/redesyblogs/esquema_de_respuestas/chart_respuestas_es.pdf'
      }
    }
  end  
end
