#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

module UsersHelper
  def users_navigation_menu_class(current)
    controller_name.eql?(current) ? 'active' : ''
  end

  def link_to_user_profile_unless_deleted(user, options={}, comment=nil)
    if [Journalist, Person, Politician].include?(user.class) && !user.public_name.eql?(I18n.t('users.eliminado'))
      link_to(user.public_name, path_for_user(user), options)
    else                
      if user.email.eql?('sn@irekia.euskadi.net') && comment.present?
        comment.name
      else  
        user.public_name
      end  
    end
  end

  def am_I?(user)
    logged_in? && current_user && user && current_user.id == user.id #  && (private_profile? || politician_profile?)
  end
  
  def path_for_user(user, params = {})
    if user.is_a?(Politician)
      politician_path(user.id, params)
    else
      user_path(user.id, params)
    end
  end
  
  def default_url_title_for_user(user)
    title = if user.has_admin_access? 
      user.is_a?(RoomManager) ? t('account.mi_cuenta') : t('site.administracion')
    else
      t('account.tu_irekia')
    end
    title
  end

end