#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Clase para los usuarios de tipo "Administrador". Es subclase de User, 
# por lo que su tabla es <tt>users</tt>
class Admin < User

  # Permisos heredados por los usuarios de este tipo
  def self.inherited_permissions
    [{:module => "news", :action => "create"}, {:module => "news", :action => "complete"}, {:module => "news", :action => "export"},\
     {:module => "comments", :action => "edit"}, {:module => "comments", :action => "official"},\
     {:module => "events", :action => "create_private"}, {:module => "events", :action => "create_irekia"}, \
     {:module => "schedule_events", :action => "can_edit"}, {:module => "schedule_events", :action => "can_change_schedule"}]
  end
  
  private
  # Los usuario de este tipo no necesitan algunos de los campos de la tabla <tt>users</tt>.
  # Aquí vaciamos esos campos.
  def reset_unnecessary_fields
    self.department_id = nil
    self.media = nil
    self.stream_flow_ids = []
    self.media = nil
    self.raw_location = nil
    self.lat = nil
    self.lng = nil
    self.city = nil
    self.state = nil
    self.country_code = nil
    self.zip = nil
    self.photo_file_name = nil
    self.photo_content_type = nil
    self.photo_file_size = nil
    self.photo_updated_at = nil
    self.url = nil
    self.organization = nil
    self.public_role_es = nil
    self.public_role_eu = nil
    self.public_role_en = nil
    self.gc_id = nil
    self.description_es = nil
    self.description_eu = nil
    self.description_en = nil
    self.politician_has_agenda = nil
  end
  
end
