#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Clase para los documentos adjuntos de noticias y páginas
class Attachment < ActiveRecord::Base
  belongs_to :attachable, :polymorphic => true
  belongs_to :document, :foreign_key => :attachable_id, :class_name => 'Document'
  belongs_to :proposal, :foreign_key => :attachable_id, :class_name => 'Proposal'  
  
  def is_audio?
    self.file_content_type.match(/^audio/) || self.file_content_type.match('application/x-mp3')
  end

  has_attached_file :file,
                    :url  => "/assets/attachments/:id/:sanitized_basename.:extension",
                    :path => ":rails_root/public/assets/attachments/:id/:sanitized_basename.:extension"

  validates_attachment_presence :file
  validates_attachment_size :file, :less_than => 15.megabytes
  # validates_attachment_content_type :file, :content_type => ['application/pdf'], :if => Proc.new { |a| a['attachable_type'].eql?('User')}, :message => I18n.t('attachments.must_be_pdf')

  # This should be done via paperclip's validates_attachment_content_type but it is not possible to 
  # have different format validations in different models(!). Since we are using image type validations
  # elsewhere, we validate that Politician attachments are PDF via a callback
  before_save :validate_content_type
  private
  def validate_content_type
    if self.attachable.is_a?(User)
      content_type = self.file_content_type
      unless ['application/pdf', 'application/x-pdf'].include?(content_type)
        errors.add(:file, I18n.t('attachments.must_be_pdf'))
        return false
      end
    end
  end
end
