#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Criterio < ActiveRecord::Base
  validates_presence_of :title, :ip
  has_one :tag
  
  acts_as_tree

  SORT_ORDER = ['score', 'date']
  
  def get_keywords
    keyword = []
    self.title.split(' AND ').each do |part|   
      matching = part.match(/keyword: (.*)/)
      keyword << matching[1] if matching.present? && matching[1] != '*'
    end               
    keyword = keyword.join(' ')                                            
    keyword.gsub!(/\b([A-z]{1,2}|con|del|las|los|para|por|que|una)\b/, '') if keyword.present?
    return keyword    
  end
  
end  
