#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Entidades relacionadas para un debate

class DebateEntity < ActiveRecord::Base
  belongs_to :debate
  belongs_to :organization, :class_name => "OutsideOrganization", :foreign_key => "organization_id"
  
  validates_presence_of :organization
  validates_format_of :url_es, :url_eu, :url_en, :allow_blank => true, 
                      :with => /(^$)|(^(http|https):\/\/[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}(([0-9]{1,5})?\/.*)?$)/ix , 
                      :message => 'no es correcta'
  translatable_columns :url
    
  attr_accessor :organization_name
  
  before_create :set_position

  
  # Si el nombre idicado corresponde a una organización que ya existe, la asignamos.
  # Si no hay ninguna organización con este nombre, la creamos.
  def organization_name=(val)
    if org = OutsideOrganization.find_by_name_es(val)
      self.organization = org
    else
      self.build_organization(:name_es => val)
    end
    
    @organization_name = val
  end
  
  def organization_name
    @organization_name ||= self.organization.present? ? self.organization.name : nil
  end
  
  private
  
  def set_position
    self.position = (self.debate.debate_entities.last.position + 1) if self.debate.entities.present?
    true
  end
  
end
