#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'net/http'
require 'uri'
require 'efaber'

ElasticsearchLogger = Logger.new(File.open(File.join(Rails.root, 'log/elasticsearch.log'), 'a'))

module Elasticsearch::Base
  
  def self.included(base)
    base.after_save :update_elasticsearch_server
    base.after_destroy :delete_from_elasticsearch_server 
  end
  attr_accessor :score, :explanation

  # defines all params (facets, page size, etc)
  include ElasticsearchParams
  
  # defines all methods needed for indexing (create/delete methods and callbacks)
  include Elasticsearch::Index::InstanceMethods
  extend Elasticsearch::Index::ClassMethods
  
  # defines all methods needed for searching (queries, facets, etc.)
  extend Elasticsearch::Search::ClassMethods
  
  # Elasticsearch custom logger method.
  # Message is logged three times: ElasticsearchLogger, Rails Logger and STDOUT.
  def self.log(message)
    ElasticsearchLogger.info message
    Rails.logger.info message
    puts message
  end
end