#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class EnetEje < ActiveRecord::Base
  acts_as_list :scope => :parent_id
  acts_as_tree :order => "position"
  
  belongs_to :parent, :class_name => "EnetEje", :foreign_key => "parent_id"
  has_many :ejes, :class_name => "EnetEje", :foreign_key => "parent_id", :order => "position"
  has_many :new_ejes, :class_name => "EnetEje", :foreign_key => "parent_id", :order => "position"
  
  def new_ejes=(ejes_array)
    self.ejes.clear
    ejes_array.each do |ne|
      self.ejes.build(ne)
    end
  end
  
  def new_ejes
    self.ejes
  end
  
  def all_children
    output = children.dup
    children.each do |child|
      if child.children.length >0
        output << child.all_children
      end
    end
    return output.flatten.compact
  end
  
  before_save :set_sanitized_name
    
  def set_sanitized_name
    self.sanitized_name = self.name.to_tag
  end
  
end
