#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Clase para las alertas sobre eventos que se envían a periodistas y 
# a responsables de sala y operadores de streaming en el caso de eventos con streaming.
class EventAlert < ActiveRecord::Base
  belongs_to :event
  belongs_to :spammable, :polymorphic => true
  
  validates_presence_of :event, :spammable_id

  # FIXME: This trick of setting the value for "spammable_type" manually is not correct since 
  # the polymorphic associations assums all records have the value of the parent class.
  # When we do Journalist.find(xxx).event_alerts, the generated query is spammable_type='User'
  # and not spammable_type='Journalist' as I am doing. Therefore, until we don't fix 
  # that, we cannot use those methods

  named_scope :for_journalists, :conditions => ["spammable_type='Journalist'"]
  named_scope :for_staff, :conditions => ["spammable_type<>'Journalist'"]
  named_scope :sent, :conditions => "sent_at IS NOT NULL"
  named_scope :unsent, :conditions => "sent_at IS NULL"
  
  # Indica si este evento ya ha sido enviado anteriormente
  def exists_previous_sent_alert?
    EventAlert.exists?(["event_id = ? and spammable_id = ? and spammable_type = ? and version < ? AND sent_at IS NOT NULL", self.event_id, self.spammable_id, self.spammable_type, self.version])
  end
end
