#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Headline < ActiveRecord::Base
  validates_presence_of :title, :media_name, :source_item_id, :source_item_type, :url, :published_at
  validates_uniqueness_of :source_item_id, :scope => :source_item_type
  
  acts_as_taggable
  include Tools::WithAreaTag       
  # include Tools::WithActions
  
  named_scope :published, :conditions => {:draft => false}, :order => 'published_at DESC, score DESC'
  named_scope :translated, lambda {{ :conditions => {:locale => I18n.locale.to_s.eql?('en') ? 'es' : I18n.locale.to_s} }} 
  
  before_create :set_draft
  
  # All headlines must be previously moderated
  def set_draft
    self.draft = true
  end

  attr_accessor :tag_list_without_areas
  def tag_list_without_areas
    @tag_list_without_areas ||= tag_list.reject {|t| t.match(/^_a/)}
  end

end  