#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# Clase para los ficheros multimedia. 
# Para inicializar el objeto hay que pasar el path relativo a Document::MULTIMEDIA_PATH del fichero.
#

class MultimediaFile
  attr_accessor :name
  attr_accessor :url
  attr_accessor :path
  attr_accessor :size
  attr_accessor :file_type
  
  def initialize(file_path_or_adocument, opts={})
    if file_path_or_adocument.is_a?(String)
      file_path = file_path_or_adocument.gsub(/^#{Document::MULTIMEDIA_PATH}/,'')
      absolute_path = Document::MULTIMEDIA_PATH + file_path
      pathname = Pathname.new(absolute_path)      
      
      self.path = file_path
      self.name = pathname.basename.to_s
      self.url = Document::MULTIMEDIA_URL + self.path
      self.size = pathname.size()      
      self.file_type = pathname.extname()
    else
      if file_path_or_adocument.is_a?(Attachment)
        adocument = file_path_or_adocument
        self.path = adocument.file.path
        self.name = adocument.file_file_name
        self.url  = adocument.file.url
        self.size = adocument.file_file_size
        self.file_type = adocument.file_content_type.split('/').last
      end
      if file_path_or_adocument.is_a?(Paperclip::Attachment)
        attachment = file_path_or_adocument
        self.path = attachment.path
        self.name = attachment.original_filename
        self.url  = attachment.url
        self.size = attachment.instance.cover_photo_file_size
        self.file_type = attachment.instance.cover_photo_content_type.split('/').last        
      end
    end
  end
  
end