#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class OutsideOrganization < ActiveRecord::Base
  
  has_many :debate_entities, :class_name => "DebateEntity", :foreign_key => "organization_id"
  has_many :debates, :through => :debate_entities
  
  validates_presence_of :name_es
  translatable_columns :name

  mount_uploader :logo, OutsideOrganizationLogoUploader
  
  validate :logo_is_70x70, :if => Proc.new {|o| o.logo? }
  
  LOGO_DIMENSIONS = "70x70"
  
  def logo_is_70x70
    image = MiniMagick::Image.open(logo.current_path)
    unless "#{image[:width]}x#{image[:height]}".eql?(LOGO_DIMENSIONS)
      errors.add :logo, "tiene que ser #{LOGO_DIMENSIONS}" 
    end
  end
  
end
