#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Clase para los permisos individuales de los usuarios #User. En principio 
# es para los DepartmentMember, pero se pueden usar para todo tipo de #User
# Estas son las opciones disponibles en este momento:
#     module       |    action       | Que puede hacer
#  ----------------+-----------------+-------------------------
#  news            | create          | Crear noticias
#  news            | edit            | Modificar y traducir noticias
#  news            | complete        | Modificar, traducir y modificar la informacion adicional de noticias (multimedia)
#  news            | export          | Exportar noticias para importar en euskadi.net
#  comments        | edit            | Moderar comentarios
#  comments        | official        | Responder comentarios de manera oficial
#  events          | create_private  | Eventos de uso interno del Gobierno
#  events          | create_irekia   | Eventos para Irekia
#  permissions     | administer      | Repartir permisos entre el resto de usuarios
#  recommendations | rate            | Puede marcar las noticias relacionadas como acertadas o no

class Permission < ActiveRecord::Base
  belongs_to :user
  
  attr_accessor :not_editable
  
  validates_uniqueness_of :action, :scope => [:user_id, :module]
  
  after_save :reset_official_commenters
  after_destroy :reset_official_commenters
  
  private
  
  def reset_official_commenters
    if self.action.eql?('official') || self.action_was.eql?('official')
      User.official_commenters = nil
    end
  end
  
end
