#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class RecommendationRating < ActiveRecord::Base
  validates_presence_of :source_type, :source_id, :target_type, :target_id, :user_id, :rating
  belongs_to :user
  belongs_to :source, :polymorphic => true
  belongs_to :target, :polymorphic => true

  attr_accessor :create_reciprocal

  before_save :check_source_and_target_exists, :should_create_reciprocal

  def create_reciprocal
    @create_reciprocal || false    
  end

  def check_source_and_target_exists
  	unless self.source.present? && self.target.present?
  		self.errors.add(:base, 'No existe el item destino')
  		return false
  	end
  end

  def should_create_reciprocal
    if self.create_reciprocal
      RecommendationRating.create(:source_id => self.target_id, :source_type => self.target_type, :target_id => self.source_id, :target_type => self.source_type, :rating => self.rating, :user_id => self.user_id)
    end
  end
end
