#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Schedule < ActiveRecord::Base
  has_many :permissions, :class_name => 'SchedulesPermission', :dependent => :destroy
  has_many :users, :through => :permissions
  
  has_many :events, :class_name => 'ScheduleEvent'
  
  belongs_to :department

  # Devuelve el nombre de la agenda privada sin tildes ni espacios para poder usarlo 
  # como _class_ para los elementos del DOM.
  def dom_element_class
    self.short_name.tildes.downcase
  end
  
  # Devuelve la agenda privada del Lehendakari.
  def self.lehendakari
    find_by_short_name('Lehendakari')
  end
  
  def department_name
    if self.department
      self.department.name
    else
      nil
    end
  end
end
