#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Módulo para las clases en las que se quiere que las URL contengan el título
# y no sólo el id.
module Sluggable
  # Sobreescribe el método to_param para incluir el título además del id.
  def to_param
    # Quitar todo lo que no sea letra o numero
    words = title.tildes.strip.downcase.gsub(/[^a-z0-9]+/, ' ').split
    # Sin palabras de 1 o 2 letras
    long_words = words.collect {|w| w if w.length>2}.compact
    short_name = long_words.join('-')
    # short_name = short_name[0..60].sub(/-[^-]+$/, '') unless short_name.length <= 60 # Quitamos desde el final hasta el - anterior para no cortar palabras
    # Quitar guiones al principio o a final
    short_name = short_name.gsub(/-+$/, '').gsub(/^-+/, '')
    "#{id}-#{short_name}"
  end
end