#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Streaming
  def logger(*args)
    ActiveRecord::Base.logger(*args)
  end
  
  attr_reader :live
  attr_reader :announced
  attr_reader :programmed
  
  def initialize
    # próximo streaming programado: eventos con streaming en Irekia que empiezan dentro de 5 horas o menos
    # y no han acabado.
    next4streaming = Event.next4streaming
    grouped_streamings = next4streaming.group_by {|se| se.streaming_status.to_sym}
        
    grouped_streamings[:live] ||= []
    StreamFlow.live().map do |sf| 
      if sf.on_air?
        grouped_streamings[:live].push sf.event.present? ? sf.event : sf
      end
    end
    grouped_streamings[:live] = grouped_streamings[:live].compact.uniq
    
    
    grouped_streamings[:announced] ||= []
    StreamFlow.announced().map do |sf| 
      if sf.announced?
        grouped_streamings[:announced].push sf.event.present? ? sf.event : sf
      end
    end
    grouped_streamings[:announced] = grouped_streamings[:announced].compact.uniq
    
    grouped_streamings[:programmed] ||= []
    
    @live = grouped_streamings[:live]
    @announced = grouped_streamings[:announced]
    @programmed = grouped_streamings[:programmed]
  end
  
  def has_next_streaming?
    (self.live + self.announced + self.programmed).flatten.present?
  end
end
