#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Clase para las suscripciones de los periodistas a los diferentes departamentos
class Subscription < ActiveRecord::Base
  belongs_to :journalist, :class_name => "Journalist", :foreign_key => "user_id"
  belongs_to :department  
  
  named_scope :active, :joins => :journalist, :conditions => "users.status='aprobado'"
  
  before_destroy :delete_pending_alerts_if_required
  def delete_pending_alerts_if_required
    EventAlert.unsent.find(:all, 
      :conditions => "spammable_id=#{self.user_id} AND spammable_type='Journalist'").each do |alert| 
        alert.destroy if alert.event.department.id == self.department_id
      end
  end
  
end
