#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Métodos compartidos entre todas las clases que se pueden votar
# Ahora: Debate y Propuesta
module Tools::Votable
  def percent_in_favor
    return 0 if participation == 0
    (self.n_in_favor * 100.00 / participation).round
  end
  
  def percent_against
    100 - percent_in_favor
  end

  def percent_neutral
    50
  end
  
  def percentage
    [percent_in_favor, percent_against].sort.last
  end
  
  def participation
    self.n_in_favor + self.n_against
  end
  
  def n_in_favor
    @in_favor ||= self.votes.count('value', :conditions => "value = 1")
  end

  def n_against
    @against ||= self.votes.count('value', :conditions => "value = -1")
  end

  def percentage_to_text
    if self.percent_in_favor == 50 || self.participation == 0
      "neutral"
    elsif self.percent_in_favor > self.percent_against
      "in_favor"
    else
      "against"
    end
  end

end