#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Clase para los árboles de categorías, o dicho de otro modo, los diferentes
# menús de la web (Menú de Irekia, Canales de Web TV)
class Tree < ActiveRecord::Base
  translatable_columns :name
  has_many :categories, :order => "position", :dependent => :destroy
  validates_uniqueness_of :name_es, :name_eu, :name_en, :label
  
  ['videos', 'albums', 'menu', 'navbar_left', 'navbar_right'].each do |tree_label|
    self.class.instance_eval do
      define_method "find_#{tree_label}_tree" do 
        find_by_label(tree_label)
      end
    end  
  end  
end

