#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Observer para poder hacer seguimiento de quién es el creador y último modificador
# de los diferentes recursos
class UserActionObserver < ActiveRecord::Observer
  # assuming these all have created_by_id and updated_by_id
  observe Document, Category, Tag, Proposal, Video, Attachment, Album, Photo, ScheduleEvent, RelatedEvent, Debate # HQ , Question

  cattr_accessor :current_user

  # Actualiza el campo <tt>updated_by</tt>
  def before_save(model)
    model.updated_by = @@current_user if model.respond_to?("updated_by")
  end
  
  # Actualiza el campo <tt>created_by</tt>
  def before_create(model)
    model.created_by = @@current_user if model.respond_to?("created_by")
  end
end

# UserActionObserver.instance
