#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class Vote < ActiveRecord::Base
  include Floki
  # belongs_to :proposal
  
  belongs_to :votable, :polymorphic => true, :counter_cache => true
  
  belongs_to :user
  belongs_to :author, :class_name => "User", :foreign_key => "user_id"
  
  validates_inclusion_of :value, :in => [1,-1], :message => I18n.t('votes.invalid')
  validates_uniqueness_of :user_id, :scope => [:votable_type, :votable_id], :message => I18n.t('votes.proposal_already_voted')
  
  named_scope :for_prop_from_politicians, :conditions => "votable_type='Debate'"
  named_scope :for_prop_from_citizens, :conditions => "votable_type='Contribution'"
  named_scope :active, :joins => "INNER JOIN contributions on (contributions.id=votes.votable_id and votable_type='Contribution') INNER JOIN organizations ON (contributions.organization_id = organizations.id)", :conditions => "organizations.active='t'"
  
  named_scope :positive, :conditions => "value=1"
  named_scope :negative, :conditions => "value=-1"

  include Notifiable
  
  def approved?
    true
  end
  
  def in_favor
    value == 1
  end
  
  def published_at
    created_at
  end
    
end
