#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Clase para los codigos de departamentos de Zuzenean, para poder reenviarles
# comentarios que deberían ser tratados como consultas.
class Zuzenean
  SUBSITES = [{:por => 1, :name_es => "ej-gv (antiguo)"},
              {:por => 2, :name_es =>	"Euskadi.net"},
              {:por => 4, :name_es => "prestige.ej-gv"},
              {:por => 5, :name_es => "Euskara (antiguo)"},
              {:por => 6, :name_es => "Cultura (antiguo)"},
              {:por => 7, :name_es => "Gizaetxe (antiguo)"},
              {:por => 8, :name_es => "Transportes (antiguo)"},
              {:por => 9, :name_es => "ej-gv.DAP"},
              {:por => 10, :name_es => "Portal de Vivienda (antiguo)"},
              {:por => 11, :name_es => "Portal de Asuntos Sociales"},
              {:por => 12, :name_es => "Juslan (antiguo)"},
              {:por => 13, :name_es => "Gaztebehatokia"},
              {:por => 14, :name_es => "Lana"},
              {:por => 15, :name_es => "Ogasuna (antiguo)"},
              {:por => 16, :name_es => "Lehendakari (antiguo)"},
              {:por => 17, :name_es => "Industria, Comercio y Turismo (antiguo)"},
              {:por => 18, :name_es => "KirolEskola"},
              {:por => 19, :name_es => "Vivienda.Euskadi.net"},
              {:por => 20, :name_es => "Transporte.Euskadi.net"},
              {:por => 21, :name_es => "Interior.Euskadi.net"},
              {:por => 22, :name_es => "Educacion.Euskadi.net"},
              {:por => 23, :name_es => "Industria.Euskadi.net"},
              {:por => 24, :name_es => "Justicia.Euskadi.net"},
              {:por => 25, :name_es => "Cultura.Euskadi.net"},
              {:por => 26, :name_es => "Vicepresidencia.Euskadi.net"},
              {:por => 27, :name_es => "Lehendakaritza.Euskadi.net"},
              {:por => 28, :name_es => "Lurralde.Euskadi.net"},
              {:por => 29, :name_es => "Nasdap.Euskadi.net"},
              {:por => 30, :name_es => "Hacienda.Euskadi.net"},
              {:por => 31, :name_es => "Sanidad.Euskadi.net"},
              {:por => 32, :name_es => "EJ-GV	Webprincipal"},
              {:por => 33, :name_es => "Lehendakari.Euskadi.net"},
              {:por => 34, :name_es => "Gazteaukera"},
              {:por => 35, :name_es => "Euskara.Euskadi.net"},
              {:por => 36, :name_es => "IVAP"},
              {:por => 37, :name_es => "Meteorologia"},
              {:por => 38, :name_es => "AVPD"},
              {:por => 39, :name_es => "Izenpe"},
              {:por => 40, :name_es => "Turismo"},
              {:por => 45, :name_es => "Basques"},
              {:por => 65, :name_es => "Sopelana.Euskadi.net"}]
    
    # Departamentos en formato para elegir en un select
    def self.select_options
      SUBSITES.collect {|subsite| [subsite[:name_es], subsite[:por]]}
    end
    
    # Devuelve el nombre del departamento a partir del código
    def self.subsite_name(subsite_id)
      index = SUBSITES.collect {|subsite| subsite.values}.flatten.index(subsite_id)
      if index.nil?
        subsite_id
      else
        SUBSITES[index/2][:name_es]
      end
    end
end