#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class EventSweeper < ActionController::Caching::Sweeper
  observe Event # This sweeper is going to keep an eye on the Banner model

  # If our sweeper detects that a Event was created call this
  def after_create(event)
    expire_cache_for(event)
  end
  
  # If our sweeper detects that a Event was updated call this
  def after_update(event)
    expire_cache_for(event)
  end
  
  # If our sweeper detects that a Event was deleted call this
  def after_destroy(event)
    expire_cache_for(event)
  end
          
  private
  def expire_cache_for(event)
    # # Expire the list page now that we posted a new blog entry
    # expire_page(:controller => 'blog', :action => 'list')
    # 
    # # Also expire the show page, incase we just edited a blog entry
    # expire_page(:controller => 'blog', :action => 'show', :id => record.id)

    # Expire a fragment
    AvailableLocales::AVAILABLE_LANGUAGES.keys.each do |locale|
      expire_fragment(:controller => "/sadmin/events", :action => "calendar", :action_suffix => "#{event.class.to_s.downcase}_#{event.id}")
    end
  end
end