#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class FooterSweeper < ActionController::Caching::Sweeper
  observe Banner, Area # This sweeper is going to keep an eye on the Banner model

  # If our sweeper detects that a Banner or Area was created call this
  def after_create(item)
    expire_cache_for(item)
  end
  
  # If our sweeper detects that a Banner or Area was updated call this
  def after_update(item)
    expire_cache_for(item)
  end
  
  # If our sweeper detects that a Banner or Area was deleted call this
  def after_destroy(item)
    expire_cache_for(item)
  end
          
  private
  def expire_cache_for(record)
    # # Expire the list page now that we posted a new blog entry
    # expire_page(:controller => 'blog', :action => 'list')
    # 
    # # Also expire the show page, incase we just edited a blog entry
    # expire_page(:controller => 'blog', :action => 'show', :id => record.id)

    # Expire a fragment
    AvailableLocales::AVAILABLE_LANGUAGES.keys.each do |locale|
      # NOTE: if you change cache location, change irekia4_init.rake#import_banners accordingly
      expire_fragment("footer_#{locale.to_s}") 
    end
  end
end