#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class VideoSweeper <  ActionController::Caching::Sweeper 
  # This sweeper is going to keep an eye on the Viddeo model  
  observe Video
  # If our sweeper detects that a Video was created call this  
  def after_create(video)  
    expire_cache_for(video)  
  end  
  
  # If our sweeper detects that a Video was updated call this  
  def after_update(video)  
    expire_cache_for(video)  
  end  
  
  # If our sweeper detects that a Video was deleted call this  
  def after_destroy(video)  
    expire_cache_for(video)  
  end  

  def self.sweep
    Video::LANGUAGES.each do |lang|
      FileUtils.rm(ActionController::Base.page_cache_directory+"/#{lang}/podcast.xml") if File.exists?(ActionController::Base.page_cache_directory+"/#{lang}/podcast.xml")
    end
  end

  
  private 
  def expire_cache_for(record)  
    # Expire the podcast page now that we added a new video  
    # expire_page(:controller => '#{record}', :action => 'podcast')  
    Video::LANGUAGES.each do |lang|
      expire_page("/#{lang}/podcast.xml")  
    end
    # # Expire a fragment  
    # expire_fragment(:controller => '#{record}',  :action => 'recent', :action_suffix => 'all_products')  
  end 
end 
