# Compass: http://compass-style.org/
# Sass files beginning with an underscore are called partials and won't be
# compiled to CSS, but they can be imported into other sass stylesheets.
#
# You can configure your project by editing the config.rb configuration file.
#
# You must compile your sass stylesheets into CSS when they change.
# This can be done in one of the following ways:
#  1. To compile on demand:
#     compass compile [path/to/project]
#  2. To monitor your project for changes and automatically recompile:
#     compass watch [path/to/project]
#
# More Resources:
#  * Website: http://compass-style.org/
#  * Sass: http://sass-lang.com
#  * Community: http://groups.google.com/group/compass-users/

# Require any additional compass plugins here.

preferred_syntax = :scss

# Set this to the root of your project when deployed:
http_path = "/"
css_dir = "public/stylesheets/public"
sass_dir = "/public/stylesheets/scss"
images_dir = "public/images"
javascripts_dir = "public/javascripts"

# You can select your preferred output style here (can be overridden via the command line):
# output_style = :expanded or :nested or :compact or :compressed
output_style = :compact

# To enable relative paths to assets via compass helper functions. Uncomment:
# relative_assets = true

# To disable debugging comments that display the original location of your selectors. Uncomment:
line_comments = false
# Eli: comento la línea de arriba y añado la de abajo para poder usar el addon de Firefox, 
# https://addons.mozilla.org/en-US/firefox/addon/firesass-for-firebug/
#sass_options = {:debug_info => true}

# If you prefer the indented syntax, you might want to regenerate this
# project again passing --syntax sass, or you can uncomment this:
# preferred_syntax = :sass
# and then run:
# sass-convert -R --from scss --to sass sass scss && rm -rf sass && mv scss sass
