#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Be sure to restart your server when you modify this file

# Uncomment below to force Rails into production mode when
# you don't control web/app server and can't set it the proper way
# ENV['RAILS_ENV'] ||= 'production'

# Specifies gem version of Rails to use when vendor/rails is not present
RAILS_GEM_VERSION = '2.3.18' unless defined? RAILS_GEM_VERSION

# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

require "#{RAILS_ROOT}/config/multimedia_directories.rb"
require File.join(File.dirname(__FILE__), 'elasticsearch_server')

GOOGLE_GEOCODE_KEY = '<YOUR GOOGLE API KEY>'


Rails::Initializer.run do |config|
  # Settings in config/environments/* take precedence over those specified here.
  # Application configuration should go into files in config/initializers
  # -- all .rb files in that directory are automatically loaded.
  # See Rails::Configuration for more options.

  # Skip frameworks you're not going to use. To use Rails without a database
  # you must remove the Active Record framework.
  # config.frameworks -= [ :active_record, :active_resource, :action_mailer ]

  # Specify gems that this application depends on. 
  # They can then be installed with "rake gems:install" on new installations.
  # You have to specify the :lib option for libraries, where the Gem name (sqlite3-ruby) differs from the file itself (sqlite3)
  # config.gem "postgres", :version => "0.7.9.2008.01.28" 
  
  config.gem 'pg', :version => "0.15.1"

  config.gem "geokit", :version => "1.6.5"
  config.gem "ri_cal", :version => "0.8.8"
  config.gem "couchrest", :version => "1.1.3"
  config.gem "json", :version => "1.8.0"
  config.gem "uuidtools", :version => "2.1.4"

  config.gem "sass", :version => "3.2.9"
  config.gem "compass", :version => "0.12.2" # http://compass-style.org/reference/compass/css3/
  
  config.gem "shoulda", :version => "2.11.3"
  config.gem "carrierwave", :version => "0.4.0"
  config.gem "mini_magick", :version => "3.5.0"
  config.gem "savon", :version => "2.2.0"
  config.gem "twitter", :version => "4.7.0"
  config.gem "twitter_oauth", :version => "0.4.94"

  # Minify assets
  config.gem "closure-compiler", :version => "1.1.10"
  config.gem "slight_assets", :version => "0.4.0"


  # Only load the plugins named here, in the order given. By default, all plugins 
  # in vendor/plugins are loaded in alphabetical order.
  # :all can be used as a placeholder for all plugins not explicitly named
  # config.plugins = [ :exception_notification, :ssl_requirement, :all ]

  # Add additional load paths for your own custom dirs
  # config.load_paths += %W( #{RAILS_ROOT}/extras )
  config.autoload_paths += %W( #{RAILS_ROOT}/app/sweepers #{RAILS_ROOT}/app/uploaders)
  config.autoload_once_paths += %W( #{RAILS_ROOT}/lib )
  
  # Force all environments to use the same logger level
  # (by default production uses :info, the others :debug)
  # config.log_level = :debug

  # Make Time.zone default to the specified zone, and make Active Record store time values
  # in the database in UTC, and return them converted to the specified local zone.
  # Run "rake -D time" for a list of tasks for finding time zone names. Comment line to use default local time.
  config.time_zone = 'Europe/Madrid'

  # The internationalization framework can be changed to have another default locale (standard is :en) or more load paths.
  # All files from config/locales/*.rb,yml are added automatically.
  config.i18n.load_path = Dir[File.join(RAILS_ROOT, 'config', 'locales', '**', '*.{rb,yml}')]
  config.i18n.default_locale = :es

  # Your secret key for verifying cookie session data integrity.
  # If you change this key, all old sessions will become invalid!
  # Make sure the secret is at least 30 characters and all random, 
  # no regular words or you'll be exposed to dictionary attacks.
  config.action_controller.session = {
    :key => '_openirekia_session',
    :secret      => 'ab15f9c3365689195db338f347d640907500fc552fcfec6beeb7aa8f78032ae41d7965a715e0eec740c54945666e7976bc5ceca4b0214fd02dc0750068c4035d'
  }

  # Use the database for sessions instead of the cookie-based default,
  # which shouldn't be used to store highly confidential information
  # (create the session table with "rake db:sessions:create")
  # config.action_controller.session_store = :active_record_store
  # config.action_controller.page_cache_directory = RAILS_ROOT + "/public/cache/"

  # cache por ahora para fragmentos del calendario
  config.action_controller.cache_store = :file_store, "#{RAILS_ROOT}/nonpublic/cache/fragment/"

  # Use SQL instead of Active Record's schema dumper when creating the test database.
  # This is necessary if your schema can't be completely dumped by the schema dumper,
  # like if you have constraints or database-specific column types
  # config.active_record.schema_format = :sql

  # Activate observers that should always be running
  # Please note that observers generated using script/generate observer need to have an _observer suffix
  # config.active_record.observers = :cacher, :garbage_collector, :forum_observer
  config.active_record.observers = :user_action_observer
end

ExceptionNotifier.exception_recipients = %w(openirekia@example.com)
ExceptionNotifier.sender_address = %("OpenIrekia Error" <openirekia@example.com>)

# E-mail configuration
ActionMailer::Base.smtp_settings = {
    :address => "localhost",
    :port => 25,
    :domain => "localhost",
}
ActionMailer::Base.perform_deliveries = true
ActionMailer::Base.raise_delivery_errors = true
ActionMailer::Base.default_charset = "utf-8"

SITE_NAME = "OpenIrekia"

# Date::DATE_FORMATS[:spanish] = Date::DATE_FORMATS[:es] = "%d-%m-%Y"
# Date::DATE_FORMATS[:spanish_long] = "%d de %B de %Y"
Time::DATE_FORMATS[:microformats] = "%Y-%m-%dT%H:%M:%S%z"

TwitterAccounts = YAML::load_file(File.join(RAILS_ROOT, 'config', 'twitter.yml'))
