#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# In newer versions of paperclip:
# Paperclip.interpolates :sanitized_basename do |attachment, style|
#   attachment.original_filename.tildes.gsub(/#{File.extname(attachment.original_filename)}$/, "")
# end

# Extensión para el Plugin paperclip que quita las tildes y caracteres UTF
# de los ficheros al subirlos, para evitar problemas en las URL.
module Paperclip
  class Attachment
    class << self
      alias_method :interpolations_orig, :interpolations
    
      def interpolations
        # Adding sanitized_basename to remove utf characters from filenames
        interpolations_orig.merge(:sanitized_basename => lambda do |attachment,style|
                           attachment.original_filename.gsub(/#{File.extname(attachment.original_filename)}$/, "").tildes
                         end)
      end
    end
    
    # When attachment has been modified, access the original attachment file
    # before writes are flushed to disk.  The instance is the object with which this attachment is associated.

    # Created for instance validations that depend upon the uploaded file content of the attachment type.
    # Now we can easily access uploaded temp files before the attachment's instance has been saved.
    def tempfile
      return @queued_for_write[:original] if @queued_for_write
      nil
    end
  end
end