#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Extension para las rutas que permite no poner explicitamente la locale
# en todos los link_to sino que lo coge de <tt>I18n.locale</tt>
module ActionController
  module Routing
    class RouteSet
      class NamedRouteCollection
        def define_url_helper(route, name, kind, options)
          
          selector = url_helper_name(name, kind)
          # The segment keys used for positional paramters

          hash_access_method = hash_access_name(name, kind)

          # allow ordered parameters to be associated with corresponding
          # dynamic segments, so you can do
          #
          #   foo_url(bar, baz, bang)
          #
          # instead of
          #
          #   foo_url(:bar => bar, :baz => baz, :bang => bang)
          #
          # Also allow options hash, so you can do
          #
          #   foo_url(bar, baz, bang, :sort_by => 'baz')
          #
          @module.module_eval <<-end_eval # We use module_eval to avoid leaks
            def #{selector}(*args)

              #{generate_optimisation_block(route, kind)}
              locale = #{route.segment_keys.include?(:locale) ? '{ :locale => I18n.locale || I18n.default_locale }' : '{}'}

              opts = if args.empty? || Hash === args.first
                args.first || {}
              else
                options = args.extract_options!
                # args = args.zip(#{route.segment_keys.inspect}).inject({}) do |h, (v, k)|

                segments = #{route.segment_keys.inspect}
                #{'segments.delete(:locale) if segments.size > args.size' if route.segment_keys.include?(:locale)}

                args = args.zip(segments).inject({}) do |h, (v, k)|                
                  h[k] = v
                  h
                end
                options.merge(args)
              end

              # url_for(#{hash_access_method}(opts))
              url_for(#{hash_access_method}(locale.merge(opts)))
            end
            protected :#{selector}
          end_eval
          helpers << selector
        end
      end
    end
  end
end