#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

# Extension de WillPaginate para traducir los enlaces anterior/siguiente en las paginaciones.
WillPaginate::ViewHelpers.pagination_options[:previous_label] = '&laquo; Anterior'
WillPaginate::ViewHelpers.pagination_options[:next_label] = 'Siguiente &raquo;'



# Source: http://thewebfellas.com/blog/2008/8/3/roll-your-own-pagination-links-with-will_paginate
class CustomLinkRenderer < WillPaginate::LinkRenderer

  def to_html
    links = @options[:page_links] ? windowed_links : []
   
    previous_label = I18n.translate('anterior').downcase
    next_label = I18n.translate('siguiente').downcase

    prev_link = li_with_page_link_or_span(@collection.previous_page, 'prev_page', previous_label)
    next_link = li_with_page_link_or_span(@collection.next_page, 'next_page', next_label)
    pages_link = @template.content_tag(:li, links.join(@options[:separator]), :class => 'page_numbers')

    html = @template.content_tag(:ul, [prev_link, pages_link, next_link].join(" "))

    html = html.html_safe if html.respond_to?(:html_safe)
    
    @options[:container] ? @template.content_tag(:div, html, html_attributes) : html
  end

  private

  def li_with_page_link_or_span(page, span_class, text = nil)
    text ||= page.to_s
    if page && page != current_page
      @template.content_tag(:li, page_link(page, text), :class => span_class)
    else
      @template.content_tag(:li, page_span(page, text), :class => span_class)
    end
  end
end

# Para que siempre se usa la paginación especial, descomentar la siguiente línea.
WillPaginate::ViewHelpers.pagination_options[:renderer] = 'CustomLinkRenderer'
