#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddIconAndDraftToDocuments < ActiveRecord::Migration
  def self.up
    add_column :documents, :icon_id, :integer
    execute 'ALTER TABLE documents ADD CONSTRAINT document_icon_fk FOREIGN KEY (icon_id) REFERENCES icons(id)'
    
    add_column :documents, :draft, :boolean, :default => true
    Document.update_all("draft='f'")
    execute 'ALTER TABLE documents ALTER COLUMN draft SET NOT NULL'
    
    add_column :documents, :positive_votes, :integer, :default => 0
    add_column :documents, :negative_votes, :integer, :default => 0
    Document.update_all("positive_votes=0, negative_votes=0")
    execute 'ALTER TABLE documents ALTER COLUMN positive_votes SET NOT NULL'
    execute 'ALTER TABLE documents ALTER COLUMN negative_votes SET NOT NULL'
    
  end

  def self.down
    remove_column :documents, :icon_id
    remove_column :documents, :draft
    
    remove_column :documents, :positive_votes
    remove_column :documents, :negative_votes
  end
end
