#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateRatings < ActiveRecord::Migration
  def self.up
    remove_column :documents, :positive_votes
    remove_column :documents, :negative_votes
    
    add_column :documents, :has_ratings, :boolean, :default => true
    Document.update_all("has_ratings='t'")
    execute 'ALTER TABLE documents ALTER COLUMN has_ratings SET NOT NULL'
    
    create_table :ratings do |t|
      t.integer :rating # You can add a default value here if you wish
      t.integer :rateable_id, :null => false
      t.string  :rateable_type, :null => false
    end
    add_index :ratings, [:rateable_id, :rating] # Not required, but should help more than it hurts
  end

  def self.down
    remove_column :documents, :has_ratings
    drop_table :ratings
  end
end
