#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddEnglishLanguageToTags < ActiveRecord::Migration
  def self.up
    add_column :tags, :name_en, :string
    add_column :tags, :sanitized_name_en, :string
    
    Tag.all.each do |tag|
      tag.name_en = tag.name_es
      tag.sanitized_name_en = tag.sanitized_name_es
      tag.save
    end
    
    execute 'ALTER TABLE tags ALTER COLUMN name_en SET NOT NULL'
    execute 'ALTER TABLE tags ALTER COLUMN sanitized_name_en SET NOT NULL'
  end

  def self.down
    remove_column :tags, :sanitized_name_en
    remove_column :tags, :name_en
  end
end
