#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateProposals < ActiveRecord::Migration
  def self.up
    create_table :proposals do |t|
      t.string :name
      t.string :email
      t.string :title_es
      t.string :title_eu
      t.string :title_en
      t.text :body_es
      t.text :body_eu
      t.text :body_en
      t.boolean :draft, :null => false, :default => false
      t.string :url
      t.string :status, :null => false, :default => "pendiente"
      t.string :user_ip
      t.integer :person_id
      t.boolean :governmental, :null => false, :default => false
      t.boolean :has_comments, :null => false, :default => true
      t.boolean :comments_closed, :null => false, :default => false
      t.integer :comments_count, :null => false, :default => 0
      t.datetime :published_at
      t.integer :created_by
      t.integer :updated_by
      t.timestamps
    end
    add_index :proposals, [:status], :name => "proposal_status_idx"
  end

  def self.down
    remove_index :proposals, :name => :proposal_status_idx
    drop_table :proposals
  end
end
