#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddFieldsToNews < ActiveRecord::Migration
  def self.up
    add_column :documents, :show_in_irekia, :boolean, :default => true
    add_column :documents, :show_in_agencia, :boolean, :default => true
    execute "UPDATE documents SET show_in_irekia='t', show_in_agencia='t' WHERE type='News'"
    
    add_column :documents, :department_id, :integer
    execute 'ALTER TABLE documents ADD CONSTRAINT doc_dep_id_fk FOREIGN KEY (department_id) REFERENCES departments(id)'
    first_department = Department.find(:first)
    Document.update_all("department_id=#{first_department.id}")
    
    
    add_column :documents, :cortes_path, :string
    add_column :documents, :totales_path, :string
    add_column :documents, :recursos_path, :string
    add_column :documents, :grabacion_completa_path, :string
    add_column :documents, :speaker_eu, :string
    add_column :documents, :speaker_en, :string
    rename_column :documents, :speaker, :speaker_es
    
    add_column :documents, :cover_photo_file_name, :string
    add_column :documents, :cover_photo_content_type, :string
    add_column :documents, :cover_photo_file_size, :integer
    add_column :documents, :cover_photo_updated_at, :datetime
  end

  def self.down
    remove_column :documents, :cover_photo_file_name
    remove_column :documents, :cover_photo_content_type
    remove_column :documents, :cover_photo_file_size
    remove_column :documents, :cover_photo_updated_at
    
    rename_column :documents, :speaker_es, :speaker
    remove_column :documents, :speaker_en
    remove_column :documents, :speaker_eu
    remove_column :documents, :grabacion_completa_path
    remove_column :documents, :recursos_path
    remove_column :documents, :totales_path
    remove_column :documents, :cortes_path
    remove_column :documents, :department_id
    remove_column :documents, :show_in_agencia
    remove_column :documents, :show_in_irekia
  end
end
