#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateAttachments < ActiveRecord::Migration
  def self.up
    create_table :attachments, :force => true do |t|
      t.string      :file_file_name, :string
      t.string      :file_content_type, :string
      t.integer     :file_file_size, :integer
      t.datetime    :file_updated_at, :datetime
      t.integer     :document_id, :null => false
      t.string      :type, :null => false
      t.boolean     :show_in_es, :default => true
      t.boolean     :show_in_eu, :default => true
      t.boolean     :show_in_en, :default => false
      t.integer     :created_by
      t.integer     :updated_by
      t.timestamps
    end
    execute 'ALTER TABLE attachments ADD CONSTRAINT att_doc_id_fk FOREIGN KEY (document_id) REFERENCES documents(id)'
  end

  def self.down
    drop_table :attachments
  end
end
