#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateAdminOrganizations < ActiveRecord::Migration
  def self.up
    
    create_table :organizations do |t|
      t.string  :name_es, :null => false
      t.string  :name_eu
      t.string  :name_en
      t.string  :type # Department o Entity
      t.string  :kind # Kind of dept: consejería, organismo, ente, sociedad, etc. 
      t.integer :position, :default => 0
      t.integer :internal_id
      t.integer :parent_id
      t.string  :tag_name
      t.references :icon
      t.timestamps
    end
    
    execute "INSERT INTO organizations (id, name_es, name_eu, name_en, tag_name) SELECT id, name_es, name_eu, name_en, tag_name FROM departments"
    execute "SELECT setval('organizations_id_seq', (select count(*) from organizations))"
    execute "UPDATE organizations SET type='Department', kind='Consejería'"
    
    # Documents should belong to organization, not department
    execute "ALTER TABLE documents DROP CONSTRAINT doc_dep_id_fk"
    rename_column :documents, :department_id, :organization_id
    execute "ALTER TABLE documents ADD CONSTRAINT doc_organization_id_fk FOREIGN KEY (organization_id) REFERENCES organizations(id)" 
 
    rename_table :departments, :xx_departments
  end

  def self.down
    rename_column :documents, :organization_id, :department_id
    rename_table :xx_departments, :departments
    drop_table :organizations
  end
end
