#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateEventAlerts < ActiveRecord::Migration
  def self.up
    create_table :event_alerts do |t|
      t.integer :event_id, :null => false
      t.integer :user_id, :null => false
      t.timestamp :sent_at
      t.timestamps
    end
    
    execute 'ALTER TABLE event_alerts ADD CONSTRAINT fk_ea_event_id FOREIGN KEY (event_id) REFERENCES documents(id)'
    execute 'ALTER TABLE event_alerts ADD CONSTRAINT fk_ea_user_id FOREIGN KEY (user_id) REFERENCES users(id)'
    
    add_column :users, :has_event_alerts, :boolean, :null => false, :default => false
    add_column :users, :alerts_locale, :string, :limit => "2", :default => "es", :null => false
  end

  def self.down
    remove_column :users, :has_event_alerts
    remove_column :users, :alerts_locale
    remove_index :event_alerts, :column => [:event_id, :user_id]
    drop_table :event_alerts
  end
end
