#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddAlertVersionToEvents < ActiveRecord::Migration
  def self.up
    add_column :documents, :journalist_alert_version, :integer, :null => false, :default => 0
    add_column :documents, :staff_alert_version, :integer, :null => false, :default => 0
    
    add_column :event_alerts, :version, :integer, :null => false, :default => 0
    add_column :event_alerts, :spammable_type, :string, :null => false
    add_column :event_alerts, :send_at, :timestamp
    rename_column :event_alerts, :user_id, :spammable_id
    
    execute "ALTER TABLE event_alerts DROP CONSTRAINT fk_ea_user_id"
  end

  def self.down
    remove_column :event_alerts, :send_at
    EventAlert.delete_all
    rename_column :event_alerts, :spammable_id, :user_id
    remove_column :event_alerts, :spammable_type
    remove_column :event_alerts, :version
    remove_column :documents, :staff_alert_version
    remove_column :documents, :journalist_alert_version
  end
end
