#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateScheduleEvents < ActiveRecord::Migration
  def self.up
    create_table :schedule_events do |t|
      t.references :schedule
      t.string     :title, :null => false
      t.text       :body
      t.boolean    :draft, :default => true
      t.datetime   :starts_at, :null => false
      t.datetime   :ends_at, :null => false
      t.string     :place, :city
      t.string     :speaker
      t.decimal    :lat, :lng
      t.string     :location_for_gmaps, :limit => 500
      t.string     :state, :limit => 30
      t.integer    :staff_alert_version, :null => false, :default => 0
      t.integer    :created_by
      t.integer    :updated_by
      t.timestamps
    end
  end

  def self.down
    drop_table :schedule_events
  end
end
