#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateDepartmentSchedules < ActiveRecord::Migration
  def self.up
    add_column :schedules, :department_id, :integer
    
    Schedule.reset_column_information
    Department.find(:all).each do |dept|
      Schedule.create(:name => "Agenda #{dept.name}", :short_name => dept.tag_name.gsub(/^_/,'a_'), :department_id => dept.id)
    end
  end

  def self.down
    remove_column :schedules, :department_id
    Department.find(:all).each do |dept|
      if s = Schedule.find_by_short_name(dept.tag_name.gsub(/^_/,'a_'))
        s.destroy
      end
    end
  end
end
