#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreatePolls < ActiveRecord::Migration
  def self.up
    create_table :polls do |poll|
      poll.string :name
      poll.string :title_es
      poll.string :title_eu
      poll.string :title_en            
      poll.boolean :draft
      poll.datetime :published_at
      poll.datetime :ends_at
      poll.integer :target
      poll.integer :created_by
      poll.integer :updated_by      
      poll.timestamps
    end
    
    create_table :poll_options do |opt|
      opt.string :description_es
      opt.string :description_eu
      opt.string :description_en         
      opt.belongs_to :poll
      opt.integer :position, :default => 0, :null => false
      opt.integer :poll_answers_count, :default => 0
      opt.integer :created_by
      opt.integer :updated_by      
      opt.timestamps
    end
    
    create_table :poll_answers do |ans|
      ans.belongs_to :user
      ans.belongs_to :poll_option
      ans.string :ip, :limit => 20
      ans.datetime :created_at
    end
    
  end

  def self.down
    drop_table :polls
    drop_table :poll_options
    drop_table :poll_answers
  end
end

