#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class RelateNewsAndPhotoAlbums < ActiveRecord::Migration
  def self.up
    add_column :photos, :document_id, :integer
    Photo.find(:all, :order => "id").each do |photo|
      puts "Buscando noticia con la foto #{photo.file_path}"
      dirname = Pathname.new(photo.file_path).dirname
      if source = News.find_by_multimedia_dir(dirname.to_s)
        puts "Encontrada la noticia #{source.id} con directorio #{source.multimedia_dir}"
        photo.update_attribute(:document_id, source.id)
      end
      puts "------------"
    end

    add_column :albums, :document_id, :integer
    add_column :albums, :body_es, :string
    add_column :albums, :body_eu, :string
    add_column :albums, :body_en, :string
    add_column :albums, :draft, :boolean, :null => false, :default => false
  end

  def self.down
    remove_column :albums, :draft
    remove_column :albums, :body_es
    remove_column :albums, :body_eu
    remove_column :albums, :body_en
    remove_column :albums, :document_id
    remove_column :photos, :document_id
  end
end
