#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateAnswerRequests < ActiveRecord::Migration
  def self.up
    create_table :answer_requests do |t|
      t.references :question_data, :null => false
      t.references :user, :null => false
      t.timestamps
    end
    
    execute 'ALTER TABLE answer_requests ADD CONSTRAINT fk_ar_question_id FOREIGN KEY (question_data_id) REFERENCES question_datas(id)'
    execute 'ALTER TABLE answer_requests ADD CONSTRAINT fk_ar_user_id FOREIGN KEY (user_id) REFERENCES users(id)'
    
    add_column :question_datas, :answer_requests_count, :integer, :default => 0, :null => false
  end

  def self.down
    remove_column :question_datas, :answer_requests_count
    drop_table :answer_requests
  end
end