#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class CreateAnswers < ActiveRecord::Migration
  def self.up
    create_table :answers do |t|
      t.references :question, :null => false
      t.text :body
      t.string :video_title
      t.text :video_description
      t.string :youtube_url
      t.string :vimeo_url
      t.string :thumbnail_url
      t.text :video_html
      t.integer :answered_by
      t.datetime :answered_at
      t.timestamps
    end
    
    remove_column :question_datas, :answer
    remove_column :question_datas, :answered_by
    remove_column :question_datas, :answered_at
    
    execute 'ALTER TABLE answers ADD CONSTRAINT fk_answers_question_id FOREIGN KEY (question_id) REFERENCES contributions(id)'
    execute 'ALTER TABLE answers ADD CONSTRAINT fk_answers_answered_by FOREIGN KEY (answered_by) REFERENCES users(id)'
  end

  def self.down
    add_column :question_datas, :answered_at, :datetime
    add_column :question_datas, :answered_by, :integer
    add_column :question_datas, :answer, :text
    drop_table :answers
  end
end
