#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class SetEventsPublishedat < ActiveRecord::Migration
  def self.up
    # eli@efaber.net (20-06-2012)
    # Hasta ahora la fecha de publicación para los eventos se ponía a Time.now en cada update.
    # Ahora, necesitamos esta fecha para el orden de los eventos en la lista de actividades así que 
    # la ponemos cuando el evento se marca como confirmado.
    # Para poner un valor consistente a piblished_at para los eventos pasados ejecuto el query.
    # Hago el cambio directamente en la base de datos para no cambiar el updated_at y updated_by del evento
    # ni llamar los callbacks
    execute "UPDATE documents SET published_at = starts_at where type='Event' AND state='confirmado' AND (published_at IS NOT NULL) AND (published_at > starts_at)"
  end

  def self.down
  end
end
