#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class RemoveAttachmentTypes < ActiveRecord::Migration
  def self.up
    Attachment.find(:all, :conditions => "type='ATranscription'").each do |transcription|
      transcription.destroy
    end
    FileUtils.mv "#{RAILS_ROOT}/public/assets/a_documents", "#{RAILS_ROOT}/public/assets/attachments" if File.exists?("#{RAILS_ROOT}/public/assets/a_documents")
    # Make symlink from a_documents to attachments for possible links inside news body to keep on working 
    File.symlink("#{RAILS_ROOT}/public/assets/attachments", "#{RAILS_ROOT}/public/assets/a_documents")
    remove_column :attachments, :type
    # To fix error in migrations order
    # UPDATE schema_migrations SET version = '20130522140000' where version='20130530033014';
  end

  def self.down
    add_column :attachments, :type, :string, :null => false
  end
end
