#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class AddOfficialToComments < ActiveRecord::Migration
  def self.up
    Comment.delete_all("commentable_type='Poll'")

    add_column :comments, :is_official, :boolean, :null => false, :default => false
    Comment.all.each do |comment|
      puts "Comentario #{comment.id}:"
      if comment.user_id && comment.user.is_official_commenter?
        puts "\tmarcando el comentario #{comment.id} como oficial"
        comment.is_official = true
      end
      
      begin 
        commentable = comment.commentable
      rescue ActiveRecord::SubclassNotFound  => err
        if err.to_s.match(/The single-table inheritance mechanism failed to locate the subclass: 'Question'/)
          puts "\tIgnoring comment on question #{comment.commentable_id}"
        end
      end

      if commentable
        comment.commentable.areas.each do |area|
          puts "\tañadiendo area #{area.name} al comentario #{comment.id}"
          comment.tag_list.add area.area_tag.sanitized_name_es
        end
      end
      
      if comment.save
        puts "\tGuardando comentario #{comment.id}"
      else
        puts "\tNO HE PODIDO ASIGNAR ÁREA AL COMENTARIO #{comment.id}: #{comment.errors.inspect}"
      end
    end
    
    
  end

  def self.down
    remove_column :comments, :is_official
  end
  
end