#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

class IrekiaThumbnail
  def self.make(photo, geometry, size)
    begin
      dirname, filename = Pathname.new(photo).split
      # I'll do it with Paperclip to harness the "90x90#" geometry syntax
      temp_file = Paperclip::Thumbnail.make(File.open(photo), geometry)
      FileUtils.mkdir_p("#{dirname}/#{size}/") unless File.directory?("#{dirname}/#{size}/")
      thumbnail_file = "#{dirname}/#{size}/#{filename}"
      FileUtils.mv(temp_file.path, thumbnail_file) 
      FileUtils.chmod 0666, thumbnail_file
      temp_file.close
    rescue => err
      raise IrekiaThumbnailError, "There was an error generating thumbnail of size #{size} for #{photo}: #{err}"
    end
  end
end

class IrekiaThumbnailError < StandardError #:nodoc:
end
