namespace :asset do

  namespace :clean do
    desc "Clean all minified javascripts"
    task :js => [:environment] do
      js_list = []
      (SlightAssets::Cfg.minify_assets? || []).each do |mask|
        if mask =~ /^-/
          next
        elsif mask =~ /\A([+-])?\s*(.*\.js)\z/
          oper = $1 || "+"
          file_mask = $2.gsub(/\*\.[a-z]*/, "*.min.*")
          files_mask = [::Rails.root, "public", "javascripts", file_mask]
          js_list = js_list.send(oper, FileList[File.join(*files_mask)])
        end
      end
      puts "Deleting minified javascripts..."
      if js_list.present?
        puts js_list.join(', ')
        FileUtils.rm(js_list)
      else
        puts "No minified javascript found. "
      end
      cache_file=File.join(Rails.root, "public/javascripts", "public/main.min.js")
      if File.exists?(cache_file)
        puts "Deleting cache file #{cache_file}..."
        FileUtils.rm(cache_file)
      end
    end

    desc "Clean all minified stylesheets"
    task :css => [:environment] do
      css_list = []
      (SlightAssets::Cfg.minify_assets? || []).each do |mask|
        if mask =~ /^-/
          next
        elsif mask =~ /\A([+-])?\s*(.*\.css)\z/
          oper = $1 || "+"
          file_mask = $2.gsub(/\*\.[a-z]*/, "*.min.*")
          files_mask = [::Rails.root, "public", "stylesheets", file_mask]
          css_list = css_list.send(oper, FileList[File.join(*files_mask)])
        end
      end
      puts "Deleting minified stylesheets..."
      if css_list.present?
        puts css_list.join(', ')
        FileUtils.rm(css_list)
      else
        puts "No minified stylesheets found. "
      end  
    end

  end
  
  desc "Clean all minified assets"
  task :clean => ["clean:js", "clean:css"]
end