#
# Inicializacones para irekia3.
#
require 'csv'
require 'open-uri'
require File.join(RAILS_ROOT, 'config', 'environment')

namespace 'irekia3_init' do
  
  # tag del departamento => tag del área
  DEPARTMENT_AREA_TAG = {'_lehendakaritza' => '_a_lehendakaritza',
                         '_interior'       => '_a_interior',  
                         '_economia'       => '_a_empleo',        
                         '_educacion'      => '_a_educacion',        
                         '_justicia'       => '_a_justicia',         
                         '_vivienda'       => '_a_vivienda_infraestructuras',        
                         '_industria'      => '_a_industria',        
                         '_empleo'         => '_a_empleo',       
                         '_sanidad'        => '_a_salud',          
                         '_medio_ambiente' => '_a_medio_ambiente',   
                         '_cultura'        => '_a_cultura',  
                         '_gobierno_vasco' => '_a_gobierno_abierto'}
                         
  ORGANIZATION_AREA_TAG = {'Emakunde' => '_a_emakunde', 
                           'Habe' => '_a_euskera', 
                           'Instituto Etxepare' => '_a_euskera', 
                           'Sec. Gral. Acción Exterior' => '_a_euskadi_en_el_exterior', 
                           'Agencia Vasca de Cooperación al Desarrollo' => '_a_euskadi_en_el_exterior', 
                           'Basquetour' => '_a_turismo_comercio_consumo', 
                           'Kontsumobide-Instituto Vasco de Consumo' => '_a_turismo_comercio_consumo',
                           'Comisión Jurídica y Asesora de Euskadi' => '_a_gobierno_abierto',
                           'Agencia Vasca de Protección de Datos' => '_a_gobierno_abierto',
                           'IVAP' => '_a_gobierno_abierto',
                           'EJIE'  => '_a_gobierno_abierto',
                           'ITELAZPI' => '_a_gobierno_abierto',
                           'IZENPE' => '_a_gobierno_abierto'}
                           
  CONTENT_TAG_AREA_TAG = {'lehendakari' => '_a_lehendakaritza', 
                          'portavoz' => '_a_lehendakaritza', 
                          'Acuerdos del Consejo de Gobierno' => '_a_lehendakaritza',
                          'Modelo Euskadi' => '_a_empleo', 
                          'crisis' => '_a_empleo', 
                          'crisis económica' => '_a_empleo', 
                          'empleo' => '_a_empleo', 
                          'mesa diálogo social' => '_a_empleo', 
                          'CC.OO' => '_a_empleo', 
                          'UGT' => '_a_empleo', 
                          'Lanbide' => '_a_empleo', 
                          'Confebask' => '_a_empleo', 
                          'paro' => '_a_empleo', 
                          'datos desempleo' => '_a_empleo', 
                          'renta personal' => '_a_empleo', 
                          'Estrategia Vasca de Empleo' => '_a_empleo',
                          'emprendimiento' => '_a_industria', 
                          'innovación tecnológica' => '_a_industria', 
                          'financiación' => '_a_industria', 
                          'internacionalización' => '_a_industria',  
                          'igualdad, mujeres' => '_a_emakunde', 
                          'discriminación' => '_a_emakunde', 
                          'género' => '_a_emakunde', 
                          'plan de igualdad' => '_a_emakunde',  
                          'violencia de género' => '_a_emakunde', 
                          'trata de mujeres' => '_a_emakunde', 
                          'explotación sexual' => '_a_emakunde',
                          'euskera' => '_a_euskera', 
                          'política lingüística' => '_a_euskera', 
                          'derechos lingüísticos' => '_a_euskera', 
                          'dia del euskera' => '_a_euskera', 
                          'consejo asesor del euskera' => '_a_euskera', 
                          'Lurdes Auzmendi' => '_a_euskera', 
                          'Nerea Alustiza' => '_a_euskera', 
                          'Ivan Igartua' => '_a_euskera', 
                          'Begoña Muruaga' => '_a_euskera',
                          'irekia' => '_a_gobierno_abierto', 
                          'oGov' => '_a_gobierno_abierto', 
                          'Open Government' => '_a_gobierno_abierto', 
                          'Gobierno Abierto' => '_a_gobierno_abierto', 
                          'participación' => '_a_gobierno_abierto', 
                          'participación ciudadana' => '_a_gobierno_abierto', 
                          'colaboración' => '_a_gobierno_abierto', 
                          'redes sociales' => '_a_gobierno_abierto', 
                          'internet' => '_a_gobierno_abierto', 
                          'ciudadanía digital' => '_a_gobierno_abierto', 
                          'nuevas tecnologías' => '_a_gobierno_abierto', 
                          'TICs' => '_a_gobierno_abierto', 
                          'bloggers' => '_a_gobierno_abierto', 
                          'transparencia' => '_a_gobierno_abierto', 
                          'gobernanza' => '_a_gobierno_abierto', 
                          'open data' => '_a_gobierno_abierto', 
                          'euskadi.net' => '_a_gobierno_abierto', 
                          'Zuzenean' => '_a_gobierno_abierto', 
                          'oficinas virtuales' => '_a_gobierno_abierto', 
                          'Servicio de Atención Ciudadana' => '_a_gobierno_abierto', 
                          'carta servicios' => '_a_gobierno_abierto', 
                          'ciudadanía' => '_a_gobierno_abierto', 
                          'esle' => '_a_gobierno_abierto', 
                          'software libre' => '_a_gobierno_abierto', 
                          'SALE' => '_a_gobierno_abierto', 
                          'Open Irekia' => '_a_gobierno_abierto', 
                          'agenda de liberaciones' => '_a_gobierno_abierto', 
                          'forja' => '_a_gobierno_abierto',
                          'mundo judicial' => '_a_justicia', 
                          'fiscales' => '_a_justicia', 
                          'congreso fiscales progresistas' => '_a_justicia', 
                          'política penintenciaria' => '_a_justicia', 
                          'reinserción' => '_a_justicia', 
                          'Premio Manuel de Irujo' => '_a_justicia', 
                          'magistrados' => '_a_justicia', 
                          'Tribunal Constitucional' => '_a_justicia', 
                          'modernización justicia' => '_a_justicia', 
                          'justicia gratuita' => '_a_justicia', 
                          'administración justicia' => '_a_justicia', 
                          'turismo' => '_a_turismo_comercio_consumo', 
                          'viajeros' => '_a_turismo_comercio_consumo', 
                          'turistas' => '_a_turismo_comercio_consumo', 
                          'Euskadi Saboréala' => '_a_turismo_comercio_consumo', 
                          'comercio' => '_a_turismo_comercio_consumo', 
                          'Kontsumobide' => '_a_turismo_comercio_consumo', 
                          'reclamaciones' => '_a_turismo_comercio_consumo', 
                          'consumo' => '_a_turismo_comercio_consumo', 
                          'consumo responsable' => '_a_turismo_comercio_consumo', 
                          'consumidores' => '_a_turismo_comercio_consumo', 
                          'compras' => '_a_turismo_comercio_consumo', 
                          'ticket de compra' => '_a_turismo_comercio_consumo', 
                          'recomendaciones' => '_a_turismo_comercio_consumo', 
                          'rebajas' => '_a_turismo_comercio_consumo', 
                          'festivales' => '_a_turismo_comercio_consumo', 
                          'cine' => '_a_turismo_comercio_consumo', 
                          'cortometrajes' => '_a_turismo_comercio_consumo',
                          'festivales de jazz' => '_a_turismo_comercio_consumo', 
                          'Pilar Zorrilla' => '_a_turismo_comercio_consumo', 
                          'Isabel Muela' => '_a_turismo_comercio_consumo', 
                          'Maite Valmaseda' => '_a_turismo_comercio_consumo', 
                          'Ana Collía'  => '_a_turismo_comercio_consumo',
                          'jóvenes' => '_a_cultura', 
                          'Gazte Olimpic Team' => '_a_cultura', 
                          'Dirección de Juventud' => '_a_cultura', 
                          'Gazteaukera' => '_a_cultura', 
                          'Basque Team' => '_a_cultura', 
                          'Gazte-txartela' => '_a_cultura', 
                          'deportistas paralímpicos' => '_a_cultura', 
                          'deportistas olímpicos' => '_a_cultura', 
                          'Juegos Olímpicos Londres 2012' => '_a_cultura',
                          'Antonio Rivera' => '_a_cultura', 
                          'José Luis Iparraguirre' => '_a_cultura', 
                          'Patxi Mutiloa' => '_a_cultura', 
                          'Ignacio Rodríguez' => '_a_cultura', 
                          'Mikel Toral' => '_a_cultura',
                          'Acción Exterior' => '_a_euskadi_en_el_exterior', 
                          'viajes' => '_a_euskadi_en_el_exterior', 
                          'política exterior' => '_a_euskadi_en_el_exterior', 
                          'relaciones exteriores' => '_a_euskadi_en_el_exterior', 
                          'Asuntos Europeos' => '_a_euskadi_en_el_exterior', 
                          'embajadores' => '_a_euskadi_en_el_exterior',
                          'Guillermo Echenique' => '_a_euskadi_en_el_exterior', 
                          'Julián Celaya' => '_a_euskadi_en_el_exterior', 
                          'Elvira Cortajarena' => '_a_euskadi_en_el_exterior', 
                          'Aizpea Goenaga' => '_a_euskadi_en_el_exterior'  
                          }
  
  def department_tags
    DEPARTMENT_AREA_TAG.keys
  end

  def get_area_tag_name(item)
    dept = item.organization.root
    area_tag_name = DEPARTMENT_AREA_TAG[dept.tag_name]
    if ORGANIZATION_AREA_TAG.keys.include?(item.organization.name_es)
     # Asignamos el tag del área al que corresponde la organización en vez del departamento
     area_tag_name = ORGANIZATION_AREA_TAG[item.organization.name_es]         
     p "Cogemos el tag de la organización: #{item.organization.name_es}, #{area_tag_name}"         
    end
    
    area_tag_name
  end
  
  def get_area_tags_for_content_tags(item)
    item_tags = item.tags.map {|t| t.name_es}
    p "........... item_tags: #{item_tags.join(', ')}"
    intersection = CONTENT_TAG_AREA_TAG.keys & item_tags
    area_tags = intersection.map {|tag_name_es| CONTENT_TAG_AREA_TAG[tag_name_es]}.compact.uniq
    p "........... area tags: #{area_tags.join(', ')}"
    area_tags
  end
  
  desc "Importar los áreas con toda su información"
  task :import_areas => [:environment] do
    old_area_tags = Area.find(:all).map {|a| a.area_tag.name_es}
    p "Area tags before import: #{old_area_tags}"
    
# OLD    YAML::load(File.open("#{RAILS_ROOT}/data/areas.yml")).each do |key, area_data|
    YAML::load(File.open("#{RAILS_ROOT}/export/datos_areas.yml")).each do |area_data|
      area_tag_name = area_data['tag_name_es']      
      if area_tag = Tag.find_by_name_es(area_tag_name)
        p "Existing tag: #{area_tag_name}"
        area = area_tag.taggings.find(:first, :conditions => {'taggable_type' => 'Area'}).taggable
      else
        p "New tag: #{area_tag_name}" 
        area = Area.new(:tag_list_es => area_tag_name)
      end
      area.name_es = area_data['name_es']
      area.name_eu = area_data['name_eu']      
      area.position = area_data['position']
      area.description_es = area_data['description_es']      
      area.description_eu = area_data['description_eu']            
      area.icon = File.new(File.join(RAILS_ROOT, 'data/iconos_areas',area_data['filename4icon']))
      area.save!
      #p "area: #{area.inspect}"
      old_area_tags.delete(area_tag_name)
      p "delete #{area_tag_name} from old_area_tags"
      p "----"
    end
    p "Old area tags: #{old_area_tags.join(", ")}"
    old_area_tags.each do |tag_name_es|
      if area_tag = Tag.find_by_name_es(tag_name_es)
        p "Eliminar el tag: #{tag_name_es}"
        if area = area_tag.taggings.find(:first, :conditions => {'taggable_type' => 'Area'}).taggable
          p "Eliminar area: #{area.name_es}"
          area.destroy
        end
      else
      end      
    end
  end
  
  #
  # Para asignar el tag no se puede modificar el documento porque esto cambiará el updated_at
  # y la información sobre updated_at se usa para mostrar las noticias recientes.
  # Por esto la asignación se hace a través del tag.
  #
  desc "Asigna area a los contenidos de la tabla documents (noticias, eventos y páginas)"
  task :assign_document_area do
    Document.find(:all).each do |doc|
      if doc.department.present? && doc.department.tag_name.present?
        # area_tag_name = get_area_tag_name(doc)
        ([get_area_tag_name(doc)] + get_area_tags_for_content_tags(doc)).each do |area_tag_name|
          if area_tag = Tag.find_by_name_es(area_tag_name)
            area_tag.taggings.build(:taggable_type => 'Document', :taggable_id => doc.id)
            if area_tag.save
              p "#{doc.type} #{doc.id}: dept -> #{doc.department.tag_name}, area -> #{area_tag.name}}"
            else
              p "ERROR: #{doc.class} #{doc.id} no se ha guradado. #{area_tag.errors.inspect}"
            end
          end
        end
      else
        p "WARNING: No hay departamento o no tiene tag: #{doc.type} #{doc.id} : #{doc.department.inspect}"
      end
    end
  end
  
  desc "Asigna area a los álbumes"
  task :assign_album_area do
    Album.find(:all).each do |a|
      if a.document && a.document.area
        a.document.areas.each do |area|
          area_tag = area.area_tag
          area_tag.taggings.build(:taggable_type => 'Album', :taggable_id => a.id)
          if area_tag.save
            p "#{a.type} #{a.id}: dept -> #{a.tag_list_es.join(", ")}, area -> #{area_tag.name}}"
          else
            p "ERROR: #{a.class} #{a.id} no se ha guradado. #{area_tag.errors.inspect}"
          end
        end
      else
        p "ERROR: documento sin área album_id = #{a.id}, document_id = #{a.document_id}"
      end  
    end
  end

  desc "Asigna area a las fotos"
  task :assign_photo_area do
    Photo.find(:all).each do |photo|
      if photo.document && photo.document.area
        photo.document.areas.each do |area|
          area_tag = area.area_tag
          area_tag.taggings.build(:taggable_type => 'Photo', :taggable_id => photo.id)
          if area_tag.save
            p "#{photo.type} #{photo.id}: dept -> #{photo.tag_list_es.join(", ")}, area -> #{area_tag.name}}"
          else
            p "ERROR: #{photo.class} #{photo.id} no se ha guradado. #{area_tag.errors.inspect}"
          end
        end
      else
        p "ERROR: documento sin área, photo_id = #{photo.id}, document_id = #{photo.document_id}"
      end
    end  
  end

  
  desc "Asigna area a los vídeos"
  task :assign_video_area do
    Video.find(:all).each do |video|
      if video.document && video.document.area
        video.document.areas.each do |area|
          area_tag = area.area_tag
          area_tag.taggings.build(:taggable_type => 'Video', :taggable_id => video.id)
          if area_tag.save
            p "#{video.type} #{video.id}: dept -> #{video.tag_list_es.join(", ")}, area -> #{area_tag.name}}"
          else
            p "ERROR: #{video.class} #{video.id} no se ha guradado. #{area_tag.errors.inspect}"
          end
        end
      else
        p "ERROR: documento sin área, video id #{video.id}, document_id = #{video.document_id}"
      end
    end            
  end
  
  desc "Asigna area a las propuestas"
  task :assign_proposal_area do
    Proposal.find(:all).each do |proposal|
      if proposal.organization.present? && proposal.organization.department.tag_name.present?
        department = proposal.organization.department
        # area_tag_name = DEPARTMENT_AREA_TAG[department.tag_name]
        # if ORGANIZATION_AREA_TAG.keys.include?(proposal.organization.name_es)
        #   # Asignamos el tag del área al que corresponde la organización en vez del departamento
        #   area_tag_name = ORGANIZATION_AREA_TAG[proposal.organization.name_es]         
        #   p "Cogemos el tag de la organización: #{proposal.organization.name_es}, #{area_tag_name}"         
        # end
        ([get_area_tag_name(proposal)] + get_area_tags_for_content_tags(proposal)).each do |area_tag_name|        
          if area_tag = Tag.find_by_name_es(area_tag_name)
            area_tag.taggings.build(:taggable_type => 'Contribution', :taggable_id => proposal.id)
            if area_tag.save
              p "Proposal #{proposal.id}: dept -> #{department.tag_name}, area -> #{area_tag.name}"
            else
              p "ERROR: #{proposal.class} #{proposal.id} no se ha guardado. #{area_tag.errors.inspect}"
            end
          end
        end
      else
        p "WARNING: No hay departamento o no tiene tag: Proposal #{proposal.id} : #{department.inspect}"
      end
    end
  end

  desc "Asigna área a todos los contenidos"
  task :assign_areas => [:assign_document_area, :assign_album_area, :assign_video_area, :assign_photo_area, :assign_proposal_area] do
    p "Asignados los áreas de noticias, eventos, vídeos y álbumes."
  end
  
  desc "Recrea las imágenes para las salas de streaming para crear el tamaño grande"
  task :rebuild_streaming_room_images => [:environment] do
    StreamFlow.find(:all).map {|sf| sf if sf.photo.path.present? && File.exists?(sf.photo.path)}.compact.map {|sf| sf.update_attribute(:photo, File.new(sf.photo.path))}
  end
  
  desc "Import de los datos de los políticos desde export/datos_politicos.yml"
  task :import_politicians => [:environment] do
    YAML::load(File.open("#{RAILS_ROOT}/export/datos_politicos.yml")).each do |politician_data|
      p "............... #{politician_data.inspect}"
      gc_id = politician_data.ivars["attributes"]['gc_id']
      department_id = politician_data.ivars["attributes"]['department_id']
      email = politician_data.ivars["attributes"]['email']
      name = politician_data.ivars["attributes"]['name']
      last_names = politician_data.ivars["attributes"]['last_names']
      role_es = politician_data.ivars["attributes"]['public_role_es']
      role_eu = politician_data.ivars["attributes"]['public_role_eu']
      role_en = politician_data.ivars["attributes"]['public_role_en']
      description_es = politician_data.ivars["attributes"]['description_es']
      description_eu = politician_data.ivars["attributes"]['description_eu']
      description_en = politician_data.ivars["attributes"]['description_en']
      
      photo_filename = politician_data.ivars["attributes"]['filename4photo']
      area_tag_names = politician_data.ivars["attributes"]['area_tag_names']
      area_positions = politician_data.ivars["attributes"]['area_positions']

      p "Importando #{name}, gc_id = #{gc_id}, foto = #{photo_filename}, areas = #{area_tag_names.join(", ")}"

      if email.present?
        new_permissions = {}
        if user = User.find_by_email(email)
          p "INFO: Existing user #{user.id} #{user.name} #{user.last_names}"
          if user.is_a?(Politician)
            p "INFO: User already is Politician."
            if user.last_names.eql?(last_names) 
              # renovamos los datos
              politician = user
              # if user.all_permission_by_module.empty?
              #   # Los políticos pueden hacer comentarios oficiales
              #   new_permissions = {"comments" => [['official', 1]]}
              # end
            else
              # no modificamos nada si los nombres no coinciden
              p "ERROR: email #{email}, name  #{last_names} != #{user.last_names} (id #{user.id})"
              politician = nil
            end
          else
            current_id = user.id
            current_type = user.type.underscore
            current_permissions = user.all_permission_by_module
            
            p "PERMISSIONS: "
            current_permissions.each do |p_module, p_actions|
              p "#{p_module}: #{p_actions.join(", ")}"
              # Los permisos sobre la agenta privda están en un mapping con el user_id así que se quedan como están.
              if p_module.to_s != 'schedule_events'
                new_permissions[p_module] = []
                p_actions.each do |action|
                  new_permissions[p_module].push([action, 1])
                end
              end
            end
            
            p "INFO: change type from #{politician.type} to Politician"
            user.update_attribute(:type, 'Politician')
              
            politician = Politician.find(current_id)            
            politician.gc_id = gc_id
            politician.department_role = current_type
          end
        else
          p "INFO: New user."
          politician = Politician.find_or_initialize_by_gc_id(gc_id)
          politician.email = email
          politician.password = politician_data.ivars["attributes"]['plain_password']
          politician.password_confirmation = politician_data.ivars["attributes"]['plain_password']
          
          # Por defecto no les damos ningún permiso. 
          # Los admin tienen que revisar los datos y les asiganrán los permisos correspondientes
          # new_permissions = {"comments" => [['official', 1]]}
        end
        
        if politician
          p "NEW PERMISSIONS: #{new_permissions.inspect}"
          # Asignamos área
          area_tag_names.each_with_index do |area_tag_name, i|
            if area_tag = Tag.find_by_name_es(area_tag_name) 
              if area_tagging = area_tag.taggings.find(:first, :conditions => {'taggable_type' => 'Area'})
                politician.area_users.build(:area_id => area_tagging.taggable_id, :position => area_positions[i]) unless politician.area_users.find_by_area_id(area_tagging.taggable_id).present?
              end
            else
              p "ERROR: No hay tag para el área #{area_tag_name}"
            end            
          end

          # Asignamos el ID en la Guía
          politician.gc_id = gc_id
          
          # Asignamos dept.
          politician.department_id = department_id

          # Asignamos el nombre
          politician.name = name
          politician.last_names = last_names
        
          # Asignamos el cargo y la descripción
          politician.public_role_es = role_es
          politician.public_role_eu = role_eu        
          politician.public_role_en = role_en  
          
          politician.description_es = description_es   
          politician.description_eu = description_eu
          politician.description_en = description_en                       

          # Subimos la foto
          if photo_filename.present?
            photo_path = File.join(RAILS_ROOT, 'data', 'fotos_politicos', photo_filename)
            p "Subir la foto #{photo_path}"
            if File.exists?(photo_path)
              p "Subir la foto #{photo_path}"
              politician.photo = File.new(photo_path)
            else
              p "ERROR: No existe el fichero #{photo_path}"
            end
          else
            p "Sin foto."
          end
          politician.save!
          
          
          if new_permissions.empty?
            p "WARNING: no permissions for #{politician.gc_id}"
          else
            politician.update_permissions(new_permissions)
          end
          p "Saved: #{politician.inspect}"
        else
          p "Skipped."
        end        
      else
        p "ERROR: No email for #{gc_id}, #{first_name} #{last_name}"
      end

      p "Fin."
    end
  end
  
  # desc "Importar datos de los políticos desde el CSV de GC"
  # task :import_politicians_from_gc => [:environment] do
  #   p "Importar datos de los políticos desde la Guía"
  # 
  #   # relación GC categoría id - irekia3 area tag
  #   category_area = {'1'  => '_a_lehendakaritza',
  #                    '12' => '_a_lehendakaritza',
  #                    '14' => '_a_lehendakaritza',
  #                    '15' => '_a_lehendakaritza',
  #                    '17' => '_a_lehendakaritza',
  #                    '18' => '_a_lehendakaritza',
  #                    '2'  => '_a_interior',  
  #                    '24' => '_a_interior',
  #                    '26' => '_a_interior',
  #                    '30' => '_a_interior',
  #                    '3'  => '_a_empleo',        
  #                    '47' => '_a_empleo',
  #                    '50' => '_a_empleo',
  #                    '4'  => '_a_educacion',        
  #                    '37' => '_a_educacion',        
  #                    '38' => '_a_educacion',        
  #                    '39' => '_a_educacion',        
  #                    '40' => '_a_educacion',        
  #                    '5'  => '_a_justicia',         
  #                    '53' => '_a_justicia',         
  #                    '55' => '_a_justicia',         
  #                    '59' => '_a_justicia',         
  #                    '61' => '_a_justicia',         
  #                    '6'  => '_a_vivienda_infraestructuras',        
  #                    '65' => '_a_vivienda_infraestructuras',
  #                    '66' => '_a_vivienda_infraestructuras',
  #                    '7'  => '_a_industria',        
  #                    '95' => '_a_industria',
  #                    '98' => '_a_industria',
  #                    '99' => '_a_industria',
  #                    '101' => '_a_industria',
  #                    '8'   => '_a_empleo',       
  #                    '109' => '_a_empleo',       
  #                    '113' => '_a_empleo',       
  #                    '1968' => '_a_empleo',       
  #                    '9'   => '_a_salud',
  #                    '120' => '_a_salud',
  #                    '124' => '_a_salud',
  #                    '10'  => '_a_medio_ambiente',   
  #                    '134' => '_a_medio_ambiente',   
  #                    '135' => '_a_medio_ambiente',   
  #                    '136' => '_a_medio_ambiente',   
  #                    '137' => '_a_medio_ambiente',   
  #                    '11'  => '_a_cultura',
  #                    '139' => '_a_cultura',
  #                    '140' => '_a_cultura'}
  #                    
  # 
  #   gc_export_filename = File.join(RAILS_ROOT, 'data', 'irekia3_cargos_gobierno_vasco.csv')
  #   reader = CSV.open(gc_export_filename, "r", ";")
  #   
  #   reader.shift
  #   # id;department_id;email;first_name;last_name;role_es;role_eu;role_en;photo_url;photo_file
  #   reader.each do |line|
  #     p line
  #     gc_id, department_id, email, first_name, last_name, role_es, role_eu, role_en, photo_url, photo_file = line
  #     p "Político: gc_id = #{gc_id}, dept: #{department_id}, name: #{first_name}, #{last_name}, role: #{role_es}/#{role_eu}/#{role_en}, photo: #{photo_url}"
  #     if email.present?
  #       email = email.downcase
  #       new_permissions = {}
  #       if user = User.find_by_email(email)
  #         p "INFO: Existing user #{user.id} #{user.name} #{user.last_names}"
  #         if user.is_a?(Politician)
  #           p "INFO: User already is Politician. #{category_area[department_id]}"
  #           if user.last_names.eql?(last_name) 
  #             # renovamos los datos
  #             politician = user
  #             if user.all_permission_by_module.empty?
  #               # Los políticos pueden hacer comentarios oficiales
  #               new_permissions = {"comments" => [['official', 1]]}
  #             end
  #           else
  #             # no modificamos nada si los nombres no coinciden
  #             p "ERROR: email #{email}, last_name  #{last_name} != #{user.last_names} (id #{user.id})"
  #             politician = nil
  #           end
  #         else
  #           current_id = user.id
  #           current_type = user.type.underscore
  #           current_permissions = user.all_permission_by_module
  #           
  #           p "PERMISSIONS: "
  #           current_permissions.each do |p_module, p_actions|
  #             p "#{p_module}: #{p_actions.join(", ")}"
  #             # Los permisos sobre la agenta privda están en un mapping con el user_id así que se quedan como están.
  #             if p_module.to_s != 'schedule_events'
  #               new_permissions[p_module] = []
  #               p_actions.each do |action|
  #                 new_permissions[p_module].push([action, 1])
  #               end
  #             end
  #           end
  #           
  #           p "INFO: change type from #{politician.type} to Politician"
  #           user.update_attribute(:type, 'Politician')
  #             
  #           politician = Politician.find(current_id)            
  #           politician.gc_id = gc_id
  #           politician.department_role = current_type
  #         end
  #       else
  #         p "INFO: New user."
  #         politician = Politician.find_or_initialize_by_gc_id(gc_id)
  #         politician.email = email
  #         politician.password = "#{gc_id}-#{department_id}"   
  #         politician.password_confirmation = "#{gc_id}-#{department_id}"                       
  #         
  #         # Por defecto no les damos ningún permiso. 
  #         # Los admin tienen que revisar los datos y les asiganrán los permisos correspondientes
  #         # new_permissions = {"comments" => [['official', 1]]}
  #       end
  #       
  #       if politician
  #         p "NEW PERMISSIONS: #{new_permissions.inspect}"
  #         
  #         if category_area[department_id].present?
  #           area_tag_name = category_area[department_id]
  #           if area_tag = Tag.find_by_name_es(area_tag_name) 
  #             if area_tagging = area_tag.taggings.find(:first, :conditions => {'taggable_type' => 'Area'})
  #               politician.area_ids = [area_tagging.taggable_id]
  #             end
  #           else
  #             p "ERROR: No hay tag para el área #{category_area[department_id]}, department_id = #{department_id}"
  #           end
  # 
  #           # Asignamos tambíén departamento
  #           if department_tag_name = DEPARTMENT_AREA_TAG.invert[area_tag_name]
  #             if department = Department.find_by_tag_name(department_tag_name)
  #               politician.department_id = department.id
  #             end
  #           end
  #             
  #         else
  #           p "WARNING: No area for dept_id=#{department_id}"
  #         end          
  # 
  #         # Cogemos el nombre de la Guía.
  #         politician.name = first_name
  #         politician.last_names = last_name
  #       
  #         politician.public_role_es = role_es
  #         politician.public_role_eu = role_eu        
  #         politician.public_role_en = role_en     
  #         politician.save!
  #         if new_permissions.empty?
  #           p "WARNING: no permissions for #{politician.gc_id}"
  #         else
  #           politician.update_permissions(new_permissions)
  #         end
  #         p "Saved: #{politician.inspect}"
  #       else
  #         p "Skipped."
  #       end        
  #     else
  #       p "ERROR: No email for #{gc_id}, #{first_name} #{last_name}"
  #     end
  #   end
  #   
  #   p "OK"
  # end 
  
  
  # desc "Subir las fotos de los políticos"
  # task :upload_politicians_photos => [:environment] do
  #   photos_filename = File.join(RAILS_ROOT, 'data', 'fotos_cargos_utf8.csv')
  #   reader = CSV.open(photos_filename, "r", ";")
  #   
  #   reader.shift
  #   # id;department_id;email;first_name;last_name;photo_original;role_es;role_eu;role_en;photo_url;
  #   reader.each do |line|
  #     p line
  #     gc_id, department_id, email, first_name, last_name, photo_original, role_es, role_eu, role_en, photo_url = line
  #   
  #     if politician = Politician.find_by_gc_id(gc_id)
  #       # Cogemos la imagen que nos han pasado
  #       if photo_original.present?
  #         photo_path = File.join(RAILS_ROOT, 'data', 'fotos_politicos', photo_original.tildes)
  #         if File.exists?(photo_path)
  #           p "Subir la foto #{photo_path}"
  #           politician.photo = File.new(photo_path)
  #           politician.save!
  #           p "OK."
  #         else
  #           p "ERROR: No existe el fichero #{photo_path}"
  #         end
  #       end
  #     else
  #       p "ERROR: No existe político con gc_id = #{gc_id}"
  #     end       
  #   end    
  # end
  
  desc "Asignar tags a los políticos"
  task :set_politicians_tags => [:environment] do
    Politician.find(:all).each do |politician|
      if politician.gc_id.present?
        if tag = Tag.find(:first, :conditions => {:kind => 'Persona', :kind_info => politician.gc_id.to_s})
          p "UPDATE: Update tag #{tag.name}= #{politician.public_name} from Persona (gc_id = #{tag.kind_info}) to Politician (id = #{politician.id}, gc_id = #{politician.gc_id})"
          tag.update_attributes(:kind => 'Político', :kind_info => politician.id.to_s, :translated => true)
        else
          p "NEW: New politician tag #{politician.public_name}"
          tag = Tag.create(:name_es => politician.public_name, :name_eu => politician.public_name, :name_en => politician.public_name, :kind => 'Político', :kind_info => politician.id.to_s, :translated => true)
        end
        politician.update_attribute(:tags, [tag])
        p "OK"
      else
        p "WARNING: No gc_id for #{politician.id} #{politician.public_name}"
      end
    end
  end
  
  desc "Convertir las imagenes de propuestas existentes"
  task :convert_proposal_images => [:environment] do
    Proposal.all.each do |proposal|
      puts "creando proposal_data para #{proposal.id}"
      pd = proposal.build_proposal_data
      pd.image = File.new("#{RAILS_ROOT}/public/assets/proposals_photos/#{proposal.id}/original/#{proposal.photo_file_name}") if proposal.photo_file_name.present?
      pd.save
    end
  end
  
  desc "Cambiar el commentable_type para las propuestas"
  task :change_proposal_commentable_type do
    Comment.connection.execute("UPDATE comments SET commentable_type='Contribution' WHERE commentable_type='Proposal'")
  end
  
  
  desc "Revisar el campo asistentes"
  task :check_speakers => [:environment] do
    txt2gc_id = {"Ainhoa Alday" => 7888,
                 "Alberto Ortiz de Zarate, Director de Atención Ciudadana" => 7393,
                 "Alberto Ortiz de Zarate, Dtor. Atención Ciudadana" => 7393,
                 "Alberto Ortíz de Zarate" => 7393,
                 "Alberto Ortíz de Zarate Tercero" => 7393,
                 "Alberto Ortíz de Zárate" => 7393,
                 "Alberto Ortiz de Zárate" => 7393,
                 "Director de Atención Ciudadana Alberto Ortíz de Zarate" => 7393,
                 "Alberto Ortíz de Zárate (Justicia y Administración Pública)" => 7393,
                 "Alberto Ortiz de Zárate dtor. Atención Ciudadana" => 7393,
                 
                 "Alfonso Gurpegui" => 7344,
                 "Viceconsejero de Asuntos Sociales" => 7344,
                 "Viceconsejero Asuntos Sociales" => 7344,
                 
                 "Amparo López" => 7413,
                 "Amparo López Antelo" => 7413,
                 "Amparo López, Directora de Tráfico" => 7413,
                 "Directora de Tráfico" => 7413,
                 "Amparo López, Directora de Tráfico del Gobierno Vasco" => 7413,
                 "Directora de Tráfico, Amparo López" => 7413,
                 "Dtra. Tráfico, Amparo López" => 7413,
                 "Dtra. de Tráfico, Amparo López" => 7413,
                 
                 
                 "Amaia Barrena" => 7432,
                 "la directora de Innovación e Industrias Alimentarias, Amaia Barrena" => 7432,
                 "Andoni Unzalu" => 7377,
                 "Andrés Araujo" => 7453,
                 "Andrés Araujo, viceconsejero de Economía" => 7453,
                 
                 "Antonio Rivera" => 7314,
                 "Antonio Rivera, viceconsejero de Cultura" => 7314,
                 "Antonio Rivera (Cultura)" => 7314,
                 "viceconsejero de Cultura, Juventud y Deportes" => 7314,
                 "Viceconsejero de Cultura" => 7314,
                 "Viceconsejero Antonio Rivera" => 7314,
                 
                 "Arantza Leturiondo" => 7425,
                 "Arantza Leturiondo Aranzamendi (Viceconsejera de Medio Ambiente del Gobierno Vasco)" => 7425,
                 "Arantza Leturiondo, Viceconsejera de Medio Ambiente del Gobierno Vasco" => 7425,
                 "Mª Aranzazu Leturiondo" => 7425,
                 
                 "Arriola" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda, Obras Públicas y Transportes" => 7552,
                 "Consejero Arriola" => 7552,
                 "Consejero Iñaki Arriola" => 7552,
                 "Inaki Arriola" => 7552,
                 "Iñaki Arriola,  El Consejero de Vivienda, Obras Públicas y Transportes" => 7552,
                 "Iñaki Arriola,  Consejero de Vivienda, Obras Públicas y Transportes" => 7552,
                 
                 "Begoña Muruaga (directora de Promoción del Euskera)" => 7487,
                 
                 "Bernabé Unda" => 7299,
                 "Bernabe Unda" => 7299,
                 "Bernabé Unda (Consejero Industria, Innovación, Comercio y Turismo)" => 7299,
                 "Bernabé Unda (Consejero de Industria, Innovación, Comercio y Turismo)" => 7299,
                 "Bernabé Unda (consejero de Industria, Innovación, Comercio y Turismo)" => 7299,
                 "Bernabé Unda (Consejero de Industria, Innovación, Comercio y Turismo)" => 7299,
                 "Bernabé Unda - Consejero de Industria, Innovación, Comercio y Turismo" => 7299,
                 "Bernabé Unda, Consejero de Industria, Innovación, Comercio y Turismo" => 7299,
                 "Bernabé Unda, consejero" => 7299,
                 "Bernabé Unda, consejero de Industria, Innovación, Comercio y Turismo" => 7299,
                 "Bernabé Unda- Consejero de Industria, Innovación, Comercio y Turismo" => 7299,
                 "Bernabé Unda. Consejero de Industria, Innovación, Comercio y Turismo" => 7299,
                 "Bernabé Unda Sailburua" => 7299,
                 "Bernabé Unda consejero" => 7299,
                 "Consejero Benarbé Unda" => 7299,
                 "Consejero Bernabé unda" => 7299,
                 "Consejero Unda" => 7299,
                 "Consejero de Industria, Bernabé Unda" => 7299,
                 "Consejero de Industria, Innovación, Comercio y Turismo" => 7299,
                 "Consejero de Industria, Innovación, Comercio y Turismo, Bernabé Unda" => 7299,

                 
                 "Blanca Urgell" => 6936,
                 "Blanca Urgell, Consejera de Cultura" => 6936,
                 "Blanca Urgell, Consejera de Cultura del Gobierno Vasco" => 6936,
                 "Blanca Urgell, consejera de Cultura" => 6936,
                 "Consejera Blanca Urgel" => 6936,
                 "Consejera Blanca Urgell" => 6936,
                 "Consejera de Cultura, Blanca Urgell" => 6936,
                 "Consejra de Cultura" => 6936,
                 
                 "Cándido Hernández, Director de Innovación Educativa" => 7580,
                 "Cándido Hernández" => 7580,
                 
                 
                 "Carlos Aguirre Arana" => 169,
                 "Carlos Aguirre" => 169,
                 "CARLOS AGUIRRE" => 169,
                 "Consejero Carlos Aguirre" => 169,
                 "Consejero, Carlos Aguirre" => 169,
                 "Consejero de Economía y Hacienda, Carlos Aguirre" => 169,

                 "Carlos Crespo" => 7826,
                 "Viceconsejero de Formación Profesional: Carlos Crespo" => 7826,
                                  
                 
                 "Catalina Chamorro" => 7290,
                 "Catalina Chamorro, Directora de Internacionalización del Gobierno Vasco"  => 7290,
                 "Catalina Chamorro, directora de Internacionalización"  => 7290,
                 "Catalina Chamorro (directora de Internacionalización)"  => 7290,
                 "Catalina Chamorro (dtora. Internacionalización)"  => 7290,
                 
                 "Celaá" => 6928,
                 
                 "Celina Pereda" => 7892,
                 "Celina Pereda, directora de drogodependencias" => 7892,
                 "Directora de Drogodependencias, Celina Pereda" => 7892,
                 "Directora de Drogodependencias" => 7892,
                 "Directora de Drogodependencias del Departamento de Sanidad y Consumo, Celina Pereda" => 7892,

                 
                 "Edorta Larrauri" => 7289,
                 "Edorta Larrauri (director de Tecnología)" => 7289,

                 "Elena Pérez Barredo" => 7390,
                 "Elena Pérez Barredo (Viceconsejera de Administración Pública)" => 7390,
                 "Viceconsejera de Administración Pública" => 7390,
                 
                 "Ernesto Gasco" => 7363,
                 "Ernesto Gasco (presidente de Metro Bilbao y vice. de Transportes)" => 7363,
                 "Ernesto Gasco Gonzalo" => 7363,
                 "Ernesto Gasco, Viceconsejero de Transportes" => 7363,
                 "Ernesto Gasco, Viceconsejero de Transportes Y Obras Públicas" => 7363,
                 "Ernesto Gasco, Viceconsejero de Transportes del Gobierno Vasco" => 7363,
                 "Ernesto Gasco, viceconsejero" => 7363,
                 "Ernesto Gasco, viceconsejero de Transportes" => 7363,
                 "Ernesto Gasco- Viceconsejero de Transportes" => 7363,
                 "Viceconsejero Ernesto Gasco" => 7363,
                 "Viceconsejero Transportes, Ernesto Gasco" => 7363,
                 "Ernesto Gasco, viceconsejero de Transportes y Obras Públicas" => 7363,
                 "Viceconsejero de Transportes" => 7363,
                 "Viceconsejero de Transportes, Ernesto Gasco" => 7363,
                 "Viceconsejero de Transportes y Obras Públicas" => 7363,
                 
                 
                 "Francisco Olarreaga" => 7424,
                 
                 "Consejera Isabel Celaá" => 6928,   
                 "Consejeor Arriola" => 7552,         
                 "Consejero Carlos Aguirre" => 169,           
                 "Consejero Iñaki Arriola" => 7552,
                 
                 "Director de Vivienda, Ignacio de la Puerta" => 7357,
                 "Directora de tráfico, Amparo López" => 7413,
                 "Consejero de Vivienda, Obras Públicas y Transportes, Iñaki Arriola" => 7552,
                 "Kultura Sailburua-Consejera de Cultura" => 6936,
                 "gemma zabaleta" => 7335,
                 "Gemma Zabaleta" => 7335,
                 "Gema Zabaleta" => 7335,
                 "Consejera Gemma Zabaleta" => 7335,
                 "Consejera, Gemma Zabaleta" => 7335,
                 "Consejera de Empleo y Asuntos Sociales (Gemma Zabaleta)" => 7335,
                 "Consejera de Empleo y Asuntos Sociales, Gemma Zabaleta" => 7335,
                 "Gemma Zabalatea" => 7335,
                 "Gemma Zabaleta, Consejera de Empleo y Asuntos Sociales" => 7335,
                 "Gemma Zabaleta. Consejera de Empleo y Asuntos Sociales" => 7335,
                 "Gemma zabaleta" => 7335,
                 "Consejera de Empleo y Asuntos Sociales, Gemma Zabaleta" => 7335,
                 
                 "Germán Alonso" => 7422,
                 
                 
                 "Guillermo Echenique"=> 7382,
                 "Guillermo Echenique, Secretario General de Acción Exterior"=> 7382,
                 "Guillermo Echenique, Secretario General de Acción Exterior del Gobierno Vasco"=> 7382,
                 "Guillermo Etxenike"=> 7382,
                 
                 
                 
                 "Idoia Mendia" => 3955,
                 "idoia mendia" => 3955,                 
                 "Idoaia Mendia" => 3955,
                 "Idoia mendia" => 3955,
                 "Idioa Mendia" => 3955,
                 "Idoia Menda" => 3955,
                 "Consejera Idioia Mendia" => 3955,
                 "Consejera Idoia Mendia" => 3955,
                 "Consejera Idoia Mendia" => 3955,
                 "Consejera, Idoia Mendia" => 3955,
                 "Consejera Justicia Idoia Mendia" => 3955,
                 "Idoia Mendia (Consejera de Justica y Administración Pública)" => 3955,
                 "Idoia Mendía" => 3955,
                 "Consejera de Justicia y Adm. Pública" => 3955,
                 "Idoia Mendia, Consejera de  Jusitica y Administraicón Pública" => 3955,
                 "Idoia Mendia, Consejera de Administración y Justicia" => 3955,
                 "Idoia Mendia, Portavoz del Gobierno Vasco" => 3955,
                 "Idooia Mendía" => 3955,
                 "portavoz" => 3955,
                 
                 
                 "Ignacio Alday" => 7452,
                 "Ignacio Alday, Director de Patrimonio y Contratación" => 7452,
                 
                 "Isabel Muela" => 7292,
                 "Isabel Muela, directora de Turismo" => 7292,
                 "la directora de Turismo, Isabel Muela" => 7292,
                 "Directora de Turismo" => 7292,
                 "Directora de Turismo, Isabel Muela" => 7292,
                 "Isabel Muela (Directora de Turismo)" => 7292,
                 "Isabel Muela (directora Turismo)" => 7292,
                 "Isabel Muela - Directora de Turismo" => 7292,
                 "Isabel Muela- Directora de Turismo" => 7292,
                 "Directora de Turismo de Gobierno Vasco, Isabel Muela" => 7292,
                 "Isabel Muela (directora de Turismo)" => 7292,
                 
                 
                 
                 "Inés Ibañez de Maeztu" => 7407,
                 "Inés Ibáñez de Maeztu" => 7407,
                 "Directora de Derechos Humanos" => 7407,
                 "Inés Ibañez de Maeztu, Directora de Derechos Humanos" => 7407,
                 "Inés Ibañez de Maeztu, Directora de Derechos Humanos del Gobierno Vasco" => 7407,
                 
                 "Inmaculada Freije" => 7279,
                 "Inmaculada Freije directora de Planificación y Estrategia" => 7279,
                 "Inmaculada Freije, directora de Planificación y Estrategia" => 7279,
                 "Inmaculada Freije (directora Planificación-Industria)" => 7279,
                 
                 "Isabel Celaá" => 6928,
                 "Isabel Celáa" => 6928,
                 "Isabel Celaa" => 6928,
                 "Consejera Isabel Celaa" => 6928,
                 "Consejera Isabel Celaá" => 6928,
                 "Consejera, Isabel Celaá" => 6928,
                 "Consejera de Educación Isabel Celaá" => 6928,
                 "Consejera de Educación Isabel Celaá  Hezkuntza Sailburua" => 6928,
                 "Consejera de Educación, Universidades e Investigación, Isabel Celaá" => 6928,
                 "Isabel Celaá, Consejera de Educación, Universidades e Investigación" => 6928,
                 "Isabel Celaá, consejera de Educación" => 6928,
                 "Isabel Celaá, consejera de Educación, Universidades e Investigación" => 6928,
                 "Isabel Celaá. Consejera de Educación, Universidades e Investigación" => 6928,
                 
                 
                 "Iñaki Arriola" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda Obras Públicas y Transportes" => 7552,
                 "Consejera de Vivienda, Iñaki Arriola" => 7552,
                 "Consejero Iñaki Arriola" => 7552,
                 "Consejero Vivienda, Obras Púlicas y Transportes, Iñaki Arriola" => 7552,
                 "Consejero de Transportes, Iñaki Arriola" => 7552,
                 "Consejero de Vivienda, Iñaki Arriola" => 7552,
                 "Consejero de Vivienda, Obras Pública y Transportes" => 7552,
                 "Consejero de vivienda Obras públicas y trasnportes" => 7552,
                 "Consejero de Vivienda, obras Públicas y Transportes" => 7552,
                 "Consejero de Vivienda, Iñaki Arirola" => 7552,
                 "El Consejero de Vivienda, Obras Públicas y Transportes, Iñaki Arriola" => 7552,
                 "Iñaki Arriola Lòpez" => 7552,
                 "Iñaki Arriola López" => 7552,
                 "Iñaki Arriola, Consejero de Transportes" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda Obras Públicas y Transportes" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda, Obras Públicas y Transportes" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda, Obras Públicas y Transportes del Gobierno Vasco" => 7552,
                 "Iñaki Arriola, Consejero" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda,Obras  Públicas y Transportes" => 7552,
                 "Iñaki Arriola, Consejero de Vivienda, Obras Públicas y Tranportes" => 7552,
                 "consejero de vivienda, obras públicas y transportes, Iñaki Arriola" => 7552,
                 
                 "Iñaki Atxukarro" => 7426,
                 "Iñaki Atxukarro Viceconsejero de Planificación Territorial y aguas" => 7426,
                 
                 "Iñaki Ortiz" => 7391,
                 "Iñaki Ortiz, Director de Innovación y Administración Electrónica" => 7391,
                 "Iñaki Ortiz Director de Innovación y Administración Electrónica" => 7391,
                 "Iñaki Ortiz - Director de Innovación y Administración Electrónica" => 7391,
                 "Iñaki Ortiz, Director de Innovacción y Administración Electrónica" => 7391,
                 
                 "Iñaki Pariente" => 7478,
                 
                 "Director de Investigación y Coordinación" => 7488,
                 
                 "Javier Ruiz" => 7354,
                 "Javier Ruiz, Viceconsejero de Empleo, Formación e Inclusión Social" => 7354,
                 "Viceconsejero de Empleo, Formación e Inserción Social, Javier Ruiz" => 7354,
                 "Viceconsejero de Empleo, Javier Ruiz" => 7354,
                 
                 "Jesús María Fernández" => 7325,
                 "Jesús Mª Fernández, Viceconsejero de Sanidad" => 7325,
                 "Jesús Mº Fernández, Viceconsejero de Sanidad" => 7325,
                 "viceconsejero de Sanidad, Jesús Mª Fernández" => 7325,
                 "Viceconsejero de Sanidad, Jesús María Fernández" => 7325,
                 "Viceconsejero de Sanidad, Jesús Mª Fernández" => 7325,
                 "viceconsejero de Sanidad J.M. Fernández" => 7325,
                 "J.M.Fernández, viceconsejero de Sanidad" => 7325,
                 "Jesus Mª Fernández, viceconsejero de Sanidad" => 7325,
                 "Jesús María Fernández, viceconsejero de Sanidad del Gobierno Vasco" => 7325,
                 "Jesús María Fernández. Viceconsejero de Sanidad" => 7325,
                 "Jesús Mª Fernández, Viceconsejero de Sanidad" => 7325,
                 "Jesús María Fernández viceconsejero de Sanidad" => 7325,
                 "Viceconsejero de Sanidad, Jesus María Fernández" => 7325,
                 
                 
                 "Jon Azkue" => 7434,
                 "viceconsejero de Pesca, Jon Azkue" => 7434,
                 "Jon Azkue Manterola" => 7434,
                 
                 "Jorge Letamendia" => 7286,
                 "Jorge Letamendía" => 7286,
                 "Jorge Letamendia, director de Energía y Minas" => 7286,
                 "Jorge Letamendia (dtor. Energía)" => 7286,
                 
                 "Director de Aprendizaje Permanente: José Luís Elorza" => 7466,
                 
                 "José Luis Anda" => 7431,
                 "Viceconsejero de Agricultura y Desarrollo Rural" => 7431,
                 
                 "José Asua Batarrita" => 7333,
                 "José Asua" => 7333,                 
                 "José Asua Batarrita, Director de Gestión del  Conocimiento y Evaluación del Departamento de Sanidad" => 7333,
                 "Jose Asua, Director de Gestión del Conocimiento y Evaluación" => 7333,
                 "Director de Gestión del Conocimiento y Evaluación del Departamento de Sanidad José Asua Batarrita" => 7333,

                 
                 "Juan Carlos Ramos" => 7394,
                 
                 "Juan Goicolea" => 7287,
                 "Juan Goicolea (vice. de Innovación y Tecnología y presidente de Metaposta)" => 7287,
                 "Juan Goicolea (vice. Innovación y Tecnología)" => 7287,
                 "Juan Goicolea (vice. de Innovación y Tecnología)" => 7287,
                 "Juan Goicolea- Viceconsejero de Innovación y Tecnología" => 7287,
                 "Juan Ignacio Goicolea, Viceconsejero de Innovación y Tecnología" => 7287,
                 "Juan Goicolea, viceconsejero de Innovación y Tecnología" => 7287,
                 "Juan Goikolea, Viceconsejero de Innovación y Tecnología del Gobierno Vasco" => 7287,
                 
                 "Juan Garayar" => 7284,
                 "Juan Garayar (director de Desarrollo Industrial)" => 7284,
                 
                 "Juan Ignacio Escala" => 7423,
                 
                 "Julian Celaya" => 7384,
                 "Julián Celaya, Director para los Ciudadanos y Colectividades vascas en el Exterior" => 7384,
                 "Julián Celaya" => 7384,
                 "Julián Celaya. Director para los Ciudadanos y las Colectividades Vascas en el Exterior" => 7384,
                 "Director Julián Celaya" => 7384,
                 "Director de Ciudadanos y Colectividades Vascas Julián Celaya" => 7384,
                 

                 
                 "Koldo Hualde" => 7454,
                 "Koldo Hualde, director de Economía y Planificación" => 7454,
                 
                 "Koldobike Uriarte" => 7378,
                 "Koldobike Uriarte - Directora de Coordinación" => 7378,
                 "Koldobike Uriarte Directora de Coordinación" => 7378,
                 "Koldobike Uriarte. Directora de Coordinación" => 7378,
                 "Koldobike Uriarte, Directora de Coordinación" => 7378,
                 "Koldobike Uriarte (Directora de Coodinación)" => 7378,
                 
                 
                 "Lehendakari" => 8080,
                 "Patxi Lopez" => 8080,
                 "Patxi López" => 8080,
                 
                 "Loli Garcia, directora de Política Familiar y Comunitaria" => 8216,
                 
                 "Lurdes Auzmendi, Viceconsejera de Política Lingüística del Gobierno Vasco" => 7321,
                 "Lurdes Auzmendi, viceconsejera" => 7321,
                 "Viceconsejera de Política Ligüística" => 7321,
                 "Lourdes Auzmendi" => 7321,
                 
                 
                 "Maixabel Lasa" => 7411,
                 "Dtra. Atención a las Víctimas del Terrorismo" => 7411,
                 "Dtra. de Atención a las Víctimas del Terrorismo" => 7411,
                 "Maixabel Lasa, Directora Atención Víctimas del Terrorismo" => 7411,
                 
                 "Marcelino Hernández" => 7469,
                 "Director de Centros Escolares" => 7469,
                 
                 "Maria Silvestre" => 7479, 
                 
                 "Marian Ozcariz, viceconsejera de Educación" => 7467,
                 "Maria Antonia Ozcariz" => 7467,
                 "Viceconsejera de Educación" => 7467,
                 "Marian Ozkariz" => 7467,
                 
                 "Viceconsejera de Justicia" => 7844,
                                  
                 "Directora de Salud Pública, Mertxe Estébanez" => 7326,
                 "Mercedes Estébanez Directora de Salud Pública" => 7326,
                 "Mercedes Estébanez, Directora de Salud Pública" => 7326,
                 "Mª Mercedes Estébanez Carrillo" => 7326,
                 "Mertxe Estébanez Directora de Salud Pública" => 7326,
                 "María Mercedes Estébanez Carrillo, Directora de Salud Pública" => 7326,
                 
                 "Maite Valmaseda directora de Comercio" => 7293,
                 "Maite Valmaseda, Directora de Comercio" => 7293,
                 "Maite Valmaseda" => 7293,
                 
                 "Dtra. de Gestión Económica e Infraestructuras, Mª Luisa Justel" => 8036,
                 
                 "Dtra. de Atención a las Víctimas de la Violencia de Género, Mariola Serrano" => 7412,
                 "Mariola Serrano" => 7412,
                 "Dtra. Atención a las Víctimas de Violencia de Género" => 7412,
                 "Dtra. de Atención a la Vícitmas de Violencia de Género" => 7412,
                 "Dtra. de Atención a las Víctimas de Violencia de Género" => 7412,
                 "Directora de Atención a las Víctimas de la Violencia de Género, Mariola Serrano" => 7412,
                 "Directora de Atención a las Víctimas de Violencia de Género, Mariola Serrano" => 7412,
                 
                 
                 
                 "Manu Salinero" => 7368,
                 "José Manuel Salinero" => 7368,
                 "Manuel Salinero" => 7368,
                 "Manu Salinero Feijoo, Secretario General de la Presidencia" => 7368,
                 
                 "Manuela Escribano" => 7449,
                 "Viceconsejera de Hacienda, Manuela Escribano" => 7449,
                 
                 "Mario Yoldi" => 7367,
                 "Director de Planifiación, Mario Yoldi" => 7367,
                 
                 "Directora de Planificación e Innovación en el Empleo, Gloria Mújica" => 7353,
                 "Directora de Planificación e Innovación en el Empleo, Gloria Mújica" => 7353,
                 
                 "M. Paz Larrumbide" => 7355,
                 "Mª Paz Larrumbie" => 7355,
                 "Mª Paz Larrumbide" => 7355,
                 "Mari Paz Larrumbide" => 7355,
                 "Viceconsejera de Vivienda, Mari Paz Larrumbide" => 7355,
                 "Maripaz Larrumbide" => 7355,
                 "Viceconsejera de Vivienda" => 7355,
                 "Mª Paz Larrumbide, Viceconsejera de Vivienda" => 7355,
                 "Viceconsejera de Vivienda, Mari Paz Larrumbide" => 7355,
                 "Viceconsejera Vivienda, Maripaz Larrumbide" => 7355,

                 
                 "Miguel Buen" => 7439,
                 
                 "Miguel Ángel González" => 7347,
                 "Miguel Ángel González, Director de Inmigración" => 7347,
                 "Miguel Ángel González, dtor. Inmigración" => 7347,
                 "Miguel Ángel González martín" => 7347,
                 
                 "Mikel Diez Sarasola" => 7365,
                 "Mikel Diez Sarasola, Director de Transportes del Gobierno Vasco" => 7365,
                 
                 "Mikel Toral" => 7316,
                 
                 "Nagore de los Ríos" => 7376,
                 "Nagore de Los Ríos" => 7376,                 
                 "Nagore de los Rios" => 7376,                 
                 "Nagore De los Rios" => 7376,                 
                 "Nagore de los Rios, Directora de Gobierno Abierto y Comunicación" => 7376,
                 "Nagore de los Rios, Directora de Gobierno Abierto y Comunicación- Irekia" => 7376,
                 "Directora de Gobierno Abierto y Comunicación en Internet Nagore de los Ríos" => 7376,
                 "Nagore De Los Rios, Directora de Gobierno Abierto y Comunicación en Internet" => 7376,
                 "Nagore de Los Ríos, Directora de Gobierno Abierto y Comunicación en internet" => 7376,
                 "Nagore de Los Ríos, Directora de Gobierno Abierto y comunicación en internet" => 7376,
                 "Nagore De los Ríos dtora. Gobierno Abierto" => 7376,
                 "Nagore de los Ríos, Directora de Gobierno Abierto y Comunicación en Internet" => 7376,
        

                 "Natxo Rodríguez" => 7318,
                 "Natxo Rodríguez Puertas" => 7318,
                 "Natxo Rodríguez, director de Juventud y Deportes" => 7318,
                 "Ignacio De la Puerta, Director de Vivienda" => 7318,
                 "Natxo Rodriguez, Director de Juventud" => 7318,

                "Olga Rivera Hernáez, Viceconsejera de Calidad, Investigación e Innovación del Departamento de Sanidad y Consumo" => 7332,
                "Olga Rivera Hernáez" => 7332,
                "Olga Rivera, Viceconsejera de Calidad, Investigación e Innovación" => 7332,
                "Olga Rivera, viceconsejera de calidad, innovación e investigación sanitaria" => 7332,
                "Olga Rivera, Vceconsejera de Calidad, Innovación e Investigación" => 7332,
                "Olga Rivera, viceconsejera de Calidad, Investigación e Innovación Sanitaria" => 7332,
                "viceconsejera de Calidad, Investigación e Innovación Sanitaria del Gobierno Vasco, Olga Rivera" => 7332,
                "Olga Rivera (vice. Sanidad)" => 7332,
                "Olga Isabel Rivera, viceconsejera de calidad, investigación e innovación sanitaria" => 7332,

                 "Patxi López" => 8080,
                 "lehendakari, Patxi López" => 8080,
                 "Lehendakaria" => 8080,
                 "lehendakari" => 8080,
                 
                 "Patxi Mutiloa" => 7317,
                 "Director de Deportes, Patxi Mutiloa" => 7317,
                 "director de Deportes" => 7317,
                 "Patxi Mutiloa (Director de Deportes)" => 7317,
                 
                 "Pedro Luis Arias, Viceconsejero de Universidades e Investigación" => 7462,
                 "Pedro Luis Arias (vice. Universidades-Educación)" => 7462,

                 
                 "Pedro Gómez Damborenea" => 7294,
                 "Pedro Gómez Damborenea (vice. Gabinete, Planificación y Estrategia)" => 7294,
                 "Pedro Gómez Damborenea(viceconsejero de Gabinete, Planificación y Estrategia)" => 7294,
                 "Pedro Gómez Damborenea (vice. Gabinete)" => 7294,
                 "viceconsejero de Gabinete, Planificación y Estrategia, Pedro Gómez Damborenea" => 7294,
                 
                 
                 "Pilar Santamaría" => 7430,
                 "Pilar Santamaría, directora de Agricultura y Ganadería del Gobierno Vasco" => 7430,                 
                 
                 "Pilar Unzalu" => 7419,
                 "Pilar unzalu" => 7419,
                 "Pilar Unzalu Pérez de Eulate" => 7419,
                 "Pilar Unzalu consejera" => 7419,
                 "Consejera de Medio Ambiente, Planificación Territorial, Agricultura y Pesca, Pilar Unzalu" => 7419,
                 "Consejera de Medio Ambiente, Planificación Territorial Agricultura y Pesca, Pilar Unzalu" => 7419,
                 "Consejera de Medio Ambiente, Planificación Territorial, Agricultura y Pesca, Pilar Unzalu" => 7419,
                 "Pilar Unzalu, Consejera de Medio Ambiente, Planificación Territorial, Agricultura y Pesca" => 7419,
                 
                 "Consejera Pilar Unzalu" => 7419,
                 "Pilar Zorrilla (vice. Comercio y Turismo)" => 7291,
                 "Pilar Zorrilla (viceconsejera Comercio y Turismo)" => 7291,
                 "Pilar Zorrilla (vice. Comercio y Turismo)" => 7291,
                 "Pilar Zorrila, viceconsejera de Turismo" => 7291,
                 "Pilar Zorrilla" => 7291,
                 "Pilar Zorrila" => 7291,
                 "Pilar Zorrilla (Turismo)" => 7291,
                 "Pilar Zorrilla (VIceconsejera de Comercio y Turismo)" => 7291,
                 "Pilar Zorrilla (Viceconsejera de Comercio y Turismo)" => 7291,
                 "Viceconsejera de Turismo" => 7291,
                 "Viceconsejera de Comercio y Turismo" => 7291,
                 "Pilar Zorrilla, viceconsejera de Comercio y Turismo" => 7291,
                 "Pilar zorrilla, Viceconsejera de comercio y turismo" => 7291,
                 "Pilar Zorrilla (viceconsejera de Comercio y  Turismo)" => 7291,
                 "Pilar Zorrilla, viceconsejera de Comercio y Turismo del Gobierno Vasco" => 7291,
                 "Viceconsejera de Comercio y Turismo, Pilar Zorrilla" => 7291,
                 
                 
                 
                 "Portavoz Idoia Mendia" => 3955,
                 "Portavoz" => 3955,
                 "Portavoz de Gobierno Vasco" => 3955,
                 "Portavoz del Gobierno" => 3955,
                 
                 "Rafael Bengoa" => 6934,
                 "Rafel Bengoa" => 6934,
                 "Consejero Rafael Bengoa" => 6934,
                 "Consejero de Sanidad y Consumo, Rafael Bengoa" => 6934,
                 "Osasun eta Kontsumo sailburua" => 6934,
                 "Consejero de Sanidad, Rafael Bengoa" => 6934,
                 "Consejero de sanidad y Consumo, Rafael Bengoa" => 6934,
                 "Consejero de Sanidad y Consumo,Rafael Bengoa" => 6934,
                 "consejero de Sanidad y Consumo Rafael Bengoa" => 6934,
                 "consejero de Sanidad y Consumo del Gobierno Vasco Rafael Bengoa" => 6934,
                 "consejero de Sanidad y Consumo, Rafael Bengoa" => 6934,
                 "consejero de sanidad y consumo, Rafael Bengoa" => 6934,
                 "afae Bengoa" => 6934,

                 "Raul Fdez. de Arroiabe" => 7440,
                 "Raul Fdez. de Arroiabe, Viceconsejero de Interior del Gobierno Vasco" => 7440,
                 "Raúl Fernández de Arroiabe" => 7440,
                 "Raúl Fernández de Arroyabe" => 7440,
                 
                 "Rodolfo Ares" => 953,
                 "rodolfo ares" => 953,                 
                 "RODOLFO ARES" => 953,
                 "Rodolfo Ares consejero" => 953,
                 "Consejero Rodolfo Ares" => 953,
                 "Consejero de Interior, Rodolfo Ares" => 953,
                 "Consejero Interior D. Rodolfo Ares" => 953,
                 "Consejero Interior Rodolfo Ares" => 953,
                 "Consejero Interior, Rodolfo Ares" => 953,
                 "Rodolfo Ares, Consejero de Interior" => 953,
                 
                 
                 "Serafín Olcoz" => 7389,
                 "Serafín Olcoz (director de Informática y Telecomunicaciones)" => 7389,                 

                 "Sonia Fernández López" => 7443,
                 
                 "Sonia Perez" => 7342,                 
                 "Sonia Pérez" => 7342,                 
                 "Sonia Perez Viceconsejera de Trabajo" => 7342,
                 "Sonia Pérez, Viceconsejera de Trabajo" => 7342,
                 "Viceconsejera de Trabajo" => 7342,
                 "viceconsejera de Trabajo,Sonia Pérez" => 7342,
                 
                 "Viceconsejero de Interior" => 7440,
                 
                 "VIRGINIA MUGICA CONDE" => 7379,
                 "VIRGINIA MUGICA CONDE, SECRETARIA GENERAL DE COORDINACIÓN" => 7379,
                 "VIRGINIA MÚGICA CONDE, SECRETARIA GENERAL DE COORDINACIÓN DE LEHENDAKARITZA" => 7379,

                 "Víctor Urrutia" => 8149,                 
                 "Víctor urrutia" => 8149,                 
                 
                 "Xabier Garmendia" => 7283,
                 "Xavier Garmendia" => 7283,
                 "Xabier Garmendia (vice. Industria y Energía)" => 7283,
                 "Xabier Garmendia, viceconsejero de Industria y Energía" => 7283,
                 "viceconsejero Xabier Garmendia" => 7283,
                 "Xabier Garmendia (vice. de Industria y Energía)" => 7283,
                 "XABIER GARMENDIA, VICECONSEJERO DE INDUSTRIA Y ENERGÍA" => 7283,
                 "Xabier Garmendia (Viceconsejero de Industria y Energia)" => 7283,
                 "Xabier Garmendia (Viceconsejero de Industria y energia)" => 7283,
                 "Xabier Garmendia (vice. Industria y Energía)" => 7283,
                 "Xabier Garmendia - Viceconsejero de Industria y Energía" => 7283,
                 "Xabier Garmendia, viceconsejero de Industria y Energía del Gobierno Vasco" => 7283,
                 "Xabier Garmendia, viceconsejero de industria y energía del Gobierno Vasco" => 7283,
                 "Xabier Garmendia (viceconsejerode Industria y Energía)" => 7283,
                 "Xabier Garmendia (viceconsejero de Indusria y Energía)" => 7283,
                 
                 "Xabier Sabalza" => 7288,
                 "Xabier Sabalza (director de Innovación y Sociedad de la Información)" => 7288, 
                 "Xabier Sabalza, director de Innovación y Sociedad de la Información"  => 7288,                
                 "dtor. de Innovación y Sociedad de la Información"  => 7288,
                 "vicepresidente de la sociedad, Xabier Sabalza"  => 7288,
                 
                 "Yolanda López (directora de Administración y Seguridad Industrial)" => 7285,
                 "Yolanda López Fernández, Directora de Administración y Seguridad Industrial" => 7285,
                 "Yolanda López, directora de Administración y Seguridad Industrial" => 7285
                 }
                 
    # ???                 
    # Lehendakari y Consejeros // Lehendakaria eta Sailburuak
    
    txt2search = txt2gc_id.keys.sort {|a,b| b.length <=> a.length}
    #p "......................... #{txt2search.join("\n")}"
    
    Document.find(:all, :conditions => "speaker_es IS NOT NULL", :order => 'id DESC').each do |doc|
      if doc.speaker.present? && doc.politicians.present?
        speaker_gc_ids = []        
        doc_gc_ids = doc.politicians.map {|ptn| ptn.gc_id}
        new_speaker = doc.speaker.gsub(/\s+/,' ').gsub(/\(|\)/,'').gsub(/(director|Dirctor)/, 'Director').gsub(/Innovaccin/,'Innovacin').gsub(/viceconsejer/, 'Viceconsejer').gsub(/consejer/, 'Consejer')
        new_tags = []
        # Hay que quitar los textos que corresponden a los políticos y dejar sólo los demás asistentes
        p "ID: #{doc.id}, speaker: #{doc.speaker}"
        p "ID: #{doc.id}, politicians: #{doc.politicians.map {|ptn| ptn.public_name+"(#{ptn.gc_id})" }}"
        txt2search.each do |t|
          t2 = t.gsub(/\(|\)/,'').gsub(/\s+/,' ').gsub(/(director|Dirctor)/, 'Director').gsub(/Innovaccin/,'Innovacin').gsub(/viceconsejer/, 'Viceconsejer').gsub(/consejer/, 'Consejer').gsub(/\s+/,' ')
          if new_speaker.match(t2)
            p "Quitamos #{t2}, gc_id =#{txt2gc_id[t]}"
            new_speaker = new_speaker.gsub(t2, '')
            speaker_gc_ids.push(txt2gc_id[t])
          end
        end    
        gc_id_intersection = doc_gc_ids & speaker_gc_ids
        if gc_id_intersection.present? && gc_id_intersection.sort.eql?(speaker_gc_ids.sort)
          p "OK: El documento ya tiene los tags necesarios"
        else
          (speaker_gc_ids - gc_id_intersection).each do |gc_id|
            if ptn = Politician.find_by_gc_id(gc_id.to_i)
              new_tags.push ptn.tag
            else
              p "ERROR: no existe pólitico con gc_id #{gc_id}"
            end
          end
          new_tags.each do |tag|
            doc.tags.push(tag)
          end
          p "TAGS: Hay que cambiar los tags del documento. Añadir los tags #{new_tags.map {|tag| tag.name_es}.join(", ")}"
        end
        
        
        # Si speaker_es se queda vacío, significa que todos son políticos así que se borran speaker_eu y speaker_en
        # Si speaker_es no se queda vacío: mostrar un Warning
        speaker_changed = false
        new_speaker_clean = new_speaker.gsub('ViceCons','Vicecons').gsub('Vice y Energía','').gsub(/^El  y la /i,'').gsub(/^El , la /i,'').gsub(/El ,/i,'').gsub('El ;','').gsub(/\s+y\s*$/,'').gsub('el , el ','').gsub('El  y del','').gsub(/^[^\w]+/,'').gsub(', ,',',').gsub(/, y \w{1,2}\s*$/,'').gsub(/[^\w]+$/,'').gsub(/^\s*\w{1,2}\s+/,'').gsub(/^\s*\w{1,2}\s*$/,'').strip
        if new_speaker_clean.empty? || (['Consejero', 'Concejera'].eql?(new_speaker_clean) && speaker_ids.present?) 
          p "INFO: sólo políticos. Limpiamos el campo speaker"
          doc.speaker_es = ''
          doc.speaker_eu = ''          
          doc.speaker_en = ''
          speaker_changed = true
        else
          p "WARNING (id = #{doc.id}): asistentes que no son políticos -> #{new_speaker_clean}"
          if doc.speaker_eu.present? || doc.speaker_en.present?
            p "REVISAR (id = #{doc.id})"
          end
          doc.speaker_es = new_speaker_clean
          speaker_changed = true          
        end

        if (new_tags.present? || speaker_changed) 
          p "UPDATE  (id = #{doc.id})"
          if doc.valid?
            doc.save
          else
            p "ERROR (id = #{doc.id}): #{doc.errors.inspect}"
          end
        end
        
        p "Document: #{doc.id}, new_speaker = #{new_speaker}, gc_ids = #{speaker_gc_ids.inspect}"  
        p "................"
      end
    end
    
  end

  desc "Crear en tamaño iframe para las fotos de portada"
  task :create_cover_photo_iframe => [:environment] do
    Document.find(:all, :conditions => 'cover_photo_file_name IS NOT NULL').each do |doc|
      p "buscando #{doc.cover_photo.path("iframe")}"
      if File.exists?(doc.cover_photo.path("iframe"))
        p "ID #{doc.id}: OK"
      else
        if File.exists?(doc.cover_photo.path("original"))
          p "ID #{doc.id}: Subir de nuevo la foto de portada de #{doc.cover_photo.path("original")}"
          doc.cover_photo = File.new(doc.cover_photo.path("original"))
          if doc.valid?
            doc.save
            p "OK."
          else
            p "ERROR: #{doc.errors.inspect}"
          end
        else
          p "ERROR: No existe #{doc.cover_photo.path("original")}"
        end
      end
    end
  end 
  
  desc "Importar las propuestas del gobierno"
  task :import_gov_proposals => [:environment] do
    YAML::load(File.open("#{RAILS_ROOT}/export/datos_propuestas_gov.yml")).each do |prop_data|
      p prop_data.inspect
      prop = Proposal.new(:name => prop_data['name'], :comments_closed => prop_data['comments_closed'],
                          :body_es => prop_data['body_es'], :body_eu => prop_data['body_eu'], 
                          :body_en => prop_data['body_en'], :title_es => prop_data['title_es'],
                          :title_eu => prop_data['title_eu'], :title_en => prop_data['title_en'],
                          :draft => prop_data['draft'], :has_comments => prop_data['has_comments'],
                          :governmental => prop_data['governmental'], :email => prop_data['email'],
                          :organization_id => prop_data['organization_id'], :status => prop_data['status'],
                          :user_id => prop_data['user_id'], :created_by => prop_data['created_by'],
                          :updated_by => prop_data['updated_by'])
      prop.tag_list = [prop_data['area_tag_name']]
      if prop_data['filename4photo'].present?
        p "Subimos la foto #{prop_data['filename4photo']} ...."
        photo_path = File.join(RAILS_ROOT, 'data', 'fotos_propuestas_gov', prop_data['filename4photo'])
        p "Subir la foto #{photo_path}"
        if File.exists?(photo_path)
          p "Subir la foto #{photo_path}"
          prop.image = File.new(photo_path)
        else
          p "ERROR: No existe el fichero #{photo_path}"
        end
      end
      if prop.valid?
        prop.save
      else
        p "ERROR: #{prop.errors.inspect}"
      end
      p "................ #{prop.inspect}"
    end
  end
  
  desc "Reasignar area a los contenidos del area Emakunde del dept. de Interior"
  task :reasign_emakunde_interior_contents => [:environment] do
    area_emakunde = Area.find_by_name_es('Emakunde')
    area_emakunde_tag_id = area_emakunde.area_tag.id
    dept_interior = Department.find_by_name_es('Interior')
    n = 0
    Document.tagged_with(area_emakunde.tag_name_es).each do |doc|
      if doc.department.eql?(dept_interior)
        n += 1 
        p "#{doc.type} del dept. Interior con área Emakunde: #{doc.id}, areas: #{doc.areas.map {|a| a.name_es}.join(", ")}"
        p "taggings: #{doc.tag_list_es}"
        if t = doc.taggings.find_by_tag_id(area_emakunde_tag_id)
          t.destroy
        end
        p "new taggings: #{doc.tag_list_es}"
        # cambiar el área de Emakunde a Interior
        # comprobar los álbumes, photos y vídeos que corresponden a este documento y cambiar su área también
        doc.webtv_videos.each do |video|
          p "Video #{video.id}"
          if t = video.taggings.find_by_tag_id(area_emakunde_tag_id)
            t.destroy
          end          
          n += 1 
        end
        doc.gallery_photos.each do |photo|
          p "Foto #{photo.id}"
          if t = photo.taggings.find_by_tag_id(area_emakunde_tag_id)
            t.destroy
          end          
          n += 1           
        end
        if doc.album.present?
          p "Album #{doc.album.id}"
          if t = doc.album.taggings.find_by_tag_id(area_emakunde_tag_id)
            t.destroy
          end          
          n += 1 
        end
      end
    end  
    p "Total: #{n} contenidos"       
  end
  
end
