namespace 'irekia4_init' do
  desc "Importar banners para el footer"
  task :import_banners => [:environment] do
    Banner.transaction do
      Banner.all.each do |banner|
        banner.destroy
      end
      
      banner_dir = "#{RAILS_ROOT}/data/irekia4_init/banners/"
    
      Banner.create! :url_es => "http://www.irekia.euskadi.net/es/news/3412-irekia-movil", :alt_es => "Irekia en tu móvil",
                     :logo_es => File.open("#{banner_dir}/irekia_movil_es.png"),
                     :url_eu => "http://www.irekia.euskadi.net/eu/news/3412-irekia-zure-mugikorrean", :alt_eu => "Irekia zure mugikorrean",
                     :logo_eu => File.open("#{banner_dir}/irekia_movil_eu.png"),
                     :active => false

      Banner.create! :url_es => "http://www.irekia.euskadi.net/es/site/page/colaborations", :alt_es => "Colaboraciones externas",
                     :logo_es => File.open("#{banner_dir}/colaboraciones_externas_es.png"),
                     :url_eu => "http://www.irekia.euskadi.net/eu/site/page/colaborations", :alt_eu => "Irekia elkarlanak",
                     :logo_eu => File.open("#{banner_dir}/colaboraciones_externas_eu.png"),
                     :active => false
                     
      Banner.create! :url_es => "http://www.ecoeuskadi2020.net/es", :alt_es => "Eco Euskadi 2020",
                     :logo_es => File.open("#{banner_dir}/eco_euskadi.png"),
                     :url_eu => "http://www.ecoeuskadi2020.net/eu",
                     :active => false
     
      Banner.create! :url_es => "http://www.euskadi.net/elecinf/elec_actuales/parl_vasco/html/indice_pv_c.htm", :alt_es => "Elecciones 2012 Parlamento Vasco",
                     :logo_es => File.open("#{banner_dir}/elecciones_2012.png"),
                     :url_eu => "http://www.euskadi.net/elecinf/elec_actuales/parl_vasco/html/indice_pv_e.htm", :alt_eu => "Eusko Legebiltzarra 2012 Hauteskundeak",
                     :logo_eu => File.open("#{banner_dir}/elecciones_2012.png"),
                     :active => false
                     
      Banner.create! :url_es => "http://www.fixmedia.org", :alt_es => "Fixmedia",
                     :logo_es => File.open("#{banner_dir}/fixmedia.png"),
                     :active => false
                     
      Banner.create! :url_es => "http://www.goteo.org", :alt_es => "Goteo",
                     :logo_es => File.open("#{banner_dir}/goteo.png"),
                     :active => false
 
      Banner.create! :url_es => "http://www.lanirekia.org/cms/es", :alt_es => "Lan Irekia",
                     :logo_es => File.open("#{banner_dir}/lan_irekia.png"),
                     :url_eu => "http://www.lanirekia.org/cms/eu", :alt_eu => "Lan Irekia",
                     :active => false
                     
      Banner.create! :url_es => "http://www.lehendakaritza.ejgv.euskadi.net/r48-home/es", :alt_es => "Lehendakaritza",
                     :logo_es => File.open("#{banner_dir}/lehendakaritza.png"),
                     :url_eu => "http://www.lehendakaritza.ejgv.euskadi.net/r48-home/eu", :alt_eu => "Lehendakaritza",
                     :active => false
                    
      Banner.create! :url_es => "http://ogoveskola.blog.euskadi.net/es", :alt_es => "Escuela de Gobierno abierto",
                     :logo_es => File.open("#{banner_dir}/ogov_eskola.png"),
                     :url_eu => "http://ogoveskola.blog.euskadi.net/eu", :alt_eu => "Gobernu irekiaren eskola",
                     :active => false
                     
      Banner.create! :url_es => "http://ogoveskola.blog.euskadi.net/es", :alt_es => "Open Irekia",
                     :logo_es => File.open("#{banner_dir}/open_irekia.png"),
                     :active => false
      
      Banner.create! :url_es => "http://opendata.euskadi.net/w79-contdata/es/contenidos/informacion/visualizaciones/es_visualiz/index.html", :alt_es => "Posicionamiento geográfico de entidades",
                     :logo_es => File.open("#{banner_dir}/posicionamiento_geo_es.png"),
                     :url_eu => "http://opendata.euskadi.net/w79-contdata/eu/contenidos/informacion/visualizaciones/eu_visualiz/index.html", :alt_eu => "Erakundeen posizionamendu geografikoa",
                     :logo_eu => File.open("#{banner_dir}/posicionamiento_geo_eu.png"),
                     :active => false
                     
      Banner.create! :url_es => "http://www.readspeaker.com/es/?ref=http%3A%2F%2Fwww.irekia.euskadi.net%2Fes%2Fnews%2F12387-union-europea-selecciona-euskadi-como-una-las-regiones-modelo-innovacion-servicios", :alt_es => "ReadSpeaker",
                     :logo_es => File.open("#{banner_dir}/readspeaker.png"),
                     :active => false
      
      Banner.create! :url_es => "http://tuderechoasaber.es/", :alt_es => "Tu derecho a saber",
                     :logo_es => File.open("#{banner_dir}/tuderechoasaber.png"),
                     :active => false
      
      Banner.create! :url_es => "http://aurrekontuak.irekia.euskadi.net/?locale=es", :alt_es => "Presupuestos del Gobierno Vasco",
                     :logo_es => File.open("#{banner_dir}/presupuestos_es.png"),
                     :url_eu => "http://aurrekontuak.irekia.euskadi.net/?locale=es", :alt_eu => "Eusko Jaurlaritzaren aurrekontuak",
                     :logo_eu => File.open("#{banner_dir}/presupuestos_eu.png"),
                     :url_en => "http://aurrekontuak.irekia.euskadi.net/?locale=en", :alt_es => "Basque Government Budget",
                     :active => false
      
      Banner.create! :url_es => "http://opendata.euskadi.net/w79-home/es", :alt_es => "Open Data Euskadi",
                     :logo_es => File.open("#{banner_dir}/open_data_euskadi_es.png"),
                     :url_eu => "http://opendata.euskadi.net/w79-home/eu", :alt_eu => "Open Data Euskadi",
                     :logo_eu => File.open("#{banner_dir}/open_data_euskadi_eu.png"),
                     :active => false
      
      Banner.create! :url_es => "http://irekia.euskadi.net/es/site/snetworking", :alt_es => "El Gobierno en las redes",
                     :logo_es => File.open("#{banner_dir}/gobierno_redes_es.png"),
                     :url_eu => "http://irekia.euskadi.net/eu/site/contact", :alt_eu => "Gobernuea sareetan",
                     :logo_eu => File.open("#{banner_dir}/gobierno_redes_eu.png"),
                     :active => false
      
      Banner.create :url_es => "http://irekia.euskadi.net/es/site/contact", :alt_es => "Ayúdanos a mejorar",
                     :logo_es => File.open("#{banner_dir}/opinion_es.png"),
                     :url_eu => "http://irekia.euskadi.net/eu/site/contact", :alt_eu => "Lagun gaitzazu hobetzen",
                     # :logo_eu => File.open("#{banner_dir}/opinion_es.png"),
                     :url_en => "http://irekia.euskadi.net/en/site/contact", :alt_en => "Help us to improve",
                     :active => true
      
      Banner.create! :url_es => "http://www2.irekia.euskadi.net/es", :alt_es => "Guía de comunicación abierta",
                     :logo_es => File.open("#{banner_dir}/guia_comunicacion_abierta_es.png"),
                     :url_eu => "http://www2.irekia.euskadi.net/eu", :alt_eu => "Komunikazio irekiko gida",
                     :logo_eu => File.open("#{banner_dir}/guia_comunicacion_abierta_eu.png"),
                     :active => true
                     
      Banner.create! :url_es => "http://entzumena.irekia.euskadi.net/es", :alt_es => "Actividad en las redes",
                     :logo_es => File.open("#{banner_dir}/actividad_en_las_redes_es.png"),
                     :url_eu => "http://entzumena.irekia.euskadi.net/eu", :alt_eu => "Jarduera sareetan",
                     :logo_eu => File.open("#{banner_dir}/actividad_en_las_redes_eu.png"),
                     :active => true
    
      Banner.create! :url_es => "http://www.gardena.irekia.euskadi.net/y09-home/es", :alt_es => "Transparencia",
                     :logo_es => File.open("#{banner_dir}/transparencia_es.png"),
                     :url_eu => "http://www.gardena.irekia.euskadi.net/y09-home/eu", :alt_eu => "Gardena",
                     :logo_eu => File.open("#{banner_dir}/transparencia_eu.png"),
                     :active => true
    
      Banner.create! :url_es => "http://grafikoak.irekia.euskadi.net/es", :alt_es => "Gráficos Irekia",
                     :logo_es => File.open("#{banner_dir}/graficos_irekia_es.png"),
                     :url_eu => "http://grafikoak.irekia.euskadi.net/eu", :alt_eu => "Grafikoak Irekia",
                     :logo_eu => File.open("#{banner_dir}/graficos_irekia_eu.png"),
                     :active => true
      
      Banner.create! :url_es => "http://argazki.irekia.euskadi.net/es", :alt_es => "Argazki Irekia",
                     :logo_es => File.open("#{banner_dir}/open_argazki.png"),
                     :active => true
    end
    
    # Borrar el cache del footer
    # See sweepers/footer_sweeper.rb
    AvailableLocales::AVAILABLE_LANGUAGES.keys.each do |locale|
      FileUtils.rm("#{RAILS_ROOT}/cache/fragment/views/footer_#{locale}.cache") if File.exists?("#{RAILS_ROOT}/cache/fragment/views/footer_#{locale}.cache")
    end
  end
  
  desc "Eliminar las categorías del tree de WebTV que se corresponden con algún departamento"
  task :remove_department_categories_from_webtv_tree => [:environment] do
    department_tags = Department.all.collect(&:tag_name)
    puts "Department tags: #{department_tags.inspect}"
    
    videos_tree = Tree.find_by_label('web_tv')
    videos_tree.update_attribute(:label, 'videos')
    
    Tree.find_videos_tree.categories.roots.each do |category|
      category_tags = category.tag_list
      # puts "Category tags: #{category_tags.inspect}"
      common_tags = department_tags & category_tags
      puts "category: #{category.name}. Common_tags: #{common_tags.inspect}"
      if common_tags.length > 0
        puts "Deleting category #{category.id}..."
        category.destroy
      end
    end
  end
  
  desc "Eliminar las categorías del tree de la fototeca que se corresponden con algún departamento"
  task :remove_department_categories_from_gallery_tree => [:environment] do
    department_tags = Department.all.collect(&:tag_name)
    puts "Department tags: #{department_tags.inspect}"
    
    albums_tree = Tree.find_by_label('gallery')
    albums_tree.update_attribute(:label, 'albums')
    
    Tree.find_albums_tree.categories.roots.each do |category|
      category_tags = category.tag_list
      # puts "Category tags: #{category_tags.inspect}"
      common_tags = department_tags & category_tags
      puts "category: #{category.name}. Common_tags: #{common_tags.inspect}"
      if common_tags.length > 0
        puts "Deleting category #{category.id}..."
        category.destroy
      end
    end
  end
  
  desc "Create category for closed captions videos and map them with it"
  task :create_closed_captions_category do
    closed_captions_category = Tree.find_videos_tree.categories.build :name_es => "Vídeos subtitulados", 
      :name_eu => "Azpititulatutako bideoak", :name_en => "Subtitled videos"
    closed_captions_category.tag_list.add "_closed_captions"
    closed_captions_category.save!
    closed_captions_category.update_attribute(:position, 1)
    Video.with_closed_captions.each do |video|
      video.tag_list.add Category::CLOSED_CAPTIONS_TAG
      video.save!
    end
  end
  
  desc "Transform gov proposals to debates"
  task :transform_gov_proposal_to_debate => [:environment] do
    Proposal.find_all_by_status("pendiente_traspaso_a_debates").each do |prop|
      p "Traspasando proposal #{prop.id} ..."
      debate = Debate.new()
      debate.id = prop.id
      debate.init_stages
      ["title_es", "title_eu", "title_en", "body_es", "body_eu", "body_en", "tag_list_es", "organization_id", "area_id"].each do |m|
        debate.send("#{m}=", prop.send(m))
      end
      debate.hashtag =prop.title_es.split(" ").map {|w| w if w.length > 3}.compact[0,3].join("_").tildes.gsub(/[^\w]/,'').downcase
      debate.multimedia_dir = debate.hashtag
      if prop.published_at.nil?
        debate.draft = "1"
      else
        debate.published_at = prop.published_at
      end
      debate.stages.each do |stage|
        case stage.label
        when "presentation"
          # Por defecto los debates han emepzado en la fecha en la que se han creado
          stage.starts_on = prop.created_at.to_date
          stage.ends_on = (prop.created_at + 1.month).to_date
        when "discussion"
          # La discusión empieza un mes después de la creación y dura hasta finales del año,
          # así todas las propuestas del gobierno estarán en la fase de discusión después del traspaso.
          stage.starts_on = (prop.created_at + 1.month).to_date
          stage.ends_on = Date.new(2014, 1, 1)                  
        when "contribution"
          # La contribución empieza el 1/1/2014 y acaba el 1/5/2014
          stage.starts_on = Date.new(2014, 1, 1)        
          stage.ends_on = Date.new(2014, 5, 1)                  
        when "conclusions"
          # Las conclusiones empiezan el 1/5/2014 y acaban el 31/12/2014          
          stage.starts_on = Date.new(2014, 5, 1)        
          stage.ends_on = Date.new(2014, 12, 31)                            
        end
      end
      
      if debate.save_with_validation(false)
        prop.comments.each do |c|
          c.update_attribute(:commentable, debate)
        end
        prop.votes.each do |v|
          v.update_attribute(:votable, debate)
        end
        prop.arguments.each do |a|
          a.update_attribute(:argumentable, debate)
        end
        prop.attachments.each do |at|
          at.update_attribute(:attachable, debate)
        end
        
        prop.update_attribute(:status, "traspasado_#{debate.id}")
        
        p "Traspasado proposal #{prop.id} a debate #{debate.id}!"
      else
        p "ERROR: #{debate.errors.full_messages}"
        raise RuntimeError
      end
    end
    
    last_debate_id = Debate.find(:first, :order => "id desc").id
    ActiveRecord::Base.connection.execute("SELECT setval('debates_id_seq', #{last_debate_id})")
  end

  desc "Add default image covers for debates" 
  task :add_default_debates_image => [:environment] do
    # I think it won't be neccessary any more because they are added on before_save 
    Debate.find(:all, :order => "updated_at DESC").each do |debate|
        if debate.save_with_validation(false)
          puts "Debate #{debate.id} cover image successfully updated."
        else
          puts "There were somer errors saving debate cover image #{debate.errors.full_messages}"
        end
    end
  end

  desc "Regenerate all thumbnails for new sizes"
  task :resize_all_images => [:environment] do
    # Resize news cover_photos
    Rake::Task["paperclip:refresh:thumbnails"].execute([{"CLASS" => 'News'}])
    # Resize news multimedia photos
    Rake::Task["ogov:build_photo_doc_thumbnails"].execute
    Rake::Task["ogov:build_photo_gallery_thumnails"].execute
    # Regenerate all proposals images
    Proposal.all.each do |proposal|
      proposal.image.recreate_versions! if proposal.image.present?
    end
    # Regenerate all users photos
    User.all.each do |user|
      user.photo.recreate_versions! if user.photo.present?
    end
    # Regenerate all debates images
    Debate.all.each do |debate|
      debate.cover_image.recreate_versions! if debate.cover_image.present?
      debate.header_image.recreate_versions! if debate.header_image.present?
    end
  end

  desc "Recreate all tags associated criterio"
  task :update_tags_criterio => [:environment] do
    Rake::Task["update:create_tag_criterio"].execute
  end
  
  desc "Reset sanitized_name for hashtags"
  task :reset_sanitized_names_for_hashtags do
    Tag.find(:all, :conditions => "name_es like '#%'").each do |tag|
      tag.save
    end
  end
  
  desc "Tag static pages for footer"
  task :tag_static_pages do
    open_irekia = Page.find(3359)
    open_irekia.tag_list.add("_openirekia")
    open_irekia.save!

    Tag.find_by_name_es("_normas_de_uso").update_attributes(:name_es => "_tos", :name_eu => "_tos", :name_en => "_tos")
  
    Tag.find_by_name_es("_acerca").update_attributes(:name_es => "_about", :name_eu => "_about", :name_en => "_about")
    about = Page.find(2902)
    about.tag_list.add("_about")
    about.save!
    
    best_practices = Page.find(10049)
    best_practices.tag_list.add("_best_practices")
    best_practices.save!
    
    Tag.find_by_name_es("_privacidad").update_attributes(:name_es => "_privacy", :name_eu => "_privacy", :name_en => "_privacy")
    
    colaborations = Page.find(12403)
    colaborations.tag_list.add("_colaborations")
    colaborations.save!
  end
  
  desc "Rename user avatar directory"
  task :rename_user_avatar_directory do
    dest = "#{RAILS_ROOT}/public/uploads/user/photo/"
    FileUtils.mkdir_p(dest)
    FileUtils.mv Dir.glob("#{RAILS_ROOT}/public/uploads/person/photo/*"), dest, :force => true
    FileUtils.mv Dir.glob("#{RAILS_ROOT}/public/uploads/journalist/photo/*"), dest, :force => true
    FileUtils.mv Dir.glob("#{RAILS_ROOT}/public/uploads/admin/photo/*"), dest, :force => true
    FileUtils.mv Dir.glob("#{RAILS_ROOT}/public/uploads/department_editor/photo/*"), dest, :force => true
    FileUtils.mv Dir.glob("#{RAILS_ROOT}/public/uploads/admin/photo/*"), dest, :force => true
    FileUtils.mv Dir.glob("#{RAILS_ROOT}/public/uploads/staff_chief/photo/*"), dest, :force => true
  end
end
