namespace 'keywords' do
  
  desc 'Extraer las keywords de las noticias para relacionados'
  task :extract_from_news do
    #news=News.published.translated.find(:all, 
    #   :conditions => ["published_at between ? and ? ", 30.days.ago, Date.today],
    #   :order => "id DESC")                      
    ActiveRecord::Base.logger = Logger.new(STDOUT)
    news = News.published.translated.find(:all)
    news.each do |newsi|
      newsi.save_cached_keys if newsi.id != 7112
    end                                             
    puts "Finished extracting keywords from news!"
  end   
   
  desc 'Extraer las keywords de las ordenes del boletin para relacionados'
  task :extract_from_orders do   
    ActiveRecord::Base.logger = Logger.new(STDOUT)    
    total_orders = Order.count
    i = 0
    while i < total_orders
      orders = Order.find(:all, :order => 'id ASC', :offset => i, :limit => 100)
      orders.each do |order|
        order.save_cached_keys
      end                                                                      
      i += 100
    end       
    puts "Finished extracting keywords from orders!"
  end  

  desc "Importa las noticias en índice de relacionados elastic search"
  task :index_news_to_elasticsearch do            
    # To redirect logger.info in models to STDOUT
    ActiveRecord::Base.logger = Logger.new(STDOUT)
    # News.published.translated.find(:all, :conditions => ["published_at between ? and ? ", 2.days.ago, Date.today], :order => "id DESC")
    News.published.translated.find(:all,  :order => "id DESC").each do |n|
      n.update_elasticsearch_related_server
      # puts n.id
    end                                                              
    puts "Finished importing News to elastic search related index!"
  end
  
  desc "Importa las ordenes en índice de relacionados elastic search"
  task :index_orders_to_elasticsearch do
    # To redirect logger.info in models to STDOUT            
    ActiveRecord::Base.logger = Logger.new(STDOUT)
    total_orders = Order.count
    i = 0
    while i < total_orders
      Order.find(:all, :order => "id ASC", :offset => i, :limit => 100).each do |n|
        n.update_elasticsearch_related_server
      end                                     
      i += 100
    end  
    puts "Finished importing Orders to elastic search related index!"
  end            
  
  desc "Create related index in elasticsearch server"
  task :create_index => [:environment] do
    response=Elasticsearch::create_related_index
    if response
      puts "Elasticsearch related index successfully created!"
    end  
  end  
  
  desc "Delete related index in elasticsearch server"
  task :delete_index => [:environment] do 
    response=Elasticsearch::delete_related_index
    if response
      puts "Elasticsearch related index successfully deleted!"
    else
      puts "Error!"  
    end
  end

    
end
