require File.join(RAILS_ROOT, 'config', 'environment')

namespace 'ogov' do
  namespace 'stats' do
    # Cuenta el numero total de ficheros mpg y mp3 en los directorios multimedia
    # Debería llamarse desde un cron job de la siguiente manera:
    # 7 * * * * sh /usr/app/ogov/batch_processes/update_file_system_stats.sh
    desc "Cargar datos iniciales"
    task :update_stats_fs do
      multimedia_dir = Document::MULTIMEDIA_PATH
      mpg_counter = Dir.glob(File.join(multimedia_dir, "**", "*.{mpg,mpeg}")).length
      mp3_counter = Dir.glob(File.join(multimedia_dir, "**", "*.mp3")).length
      stats_fs = Stats::FS.first
      stats_fs.update_attributes(:mpg => mpg_counter, :mp3 => mp3_counter)
    end
    
    desc "Numero de noticias con solo texto"
    task :count_news_without_any_files do
      # list = Document.find_by_sql("SELECT * from documents where type='News' and published_at between '2011-01-01' and '2011-12-31' and cover_photo_file_name is null and not exists (select 1 from attachments where document_id=documents.id)")
      list = Document.find_by_sql("SELECT * from documents where type='News' and published_at between '2011-01-01' and '2011-12-31'")
      counters = {:sin_nada => 0, :con_algo => 0, :con_alta_calidad => 0, :mp3 => 0, :mpg => 0}
      list.each do |news|
        if news.has_professional_videos?('irekia') || news.has_photos?('irekia') || news.has_audios?('irekia')
          counters[:con_alta_calidad] += 1
        elsif !news.has_videos?('irekia') && !news.has_video?('irekia') && !news.has_cover_photo? && !news.has_files?
          counters[:sin_nada] += 1
        end

        counters[:mp3] += (news.audios('irekia')[:es] + news.audios('irekia')[:en] + news.audios('irekia')[:eu]).length
        counters[:mpg] += news.videos_mpg('irekia').length
        counters[:con_algo] = list.length - counters[:sin_nada]
      end
      puts "Total: #{counters.inspect}"
    end
  end
end
