#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# s3_dir_sync.rb
#
# Crea pseudodirectorios vacíos dentro del bucket irekia en S3
# que conicidan con los creados para cada noticia para el mes en curso
#

require 'pp'
require 'rubygems'
require 'cliaws'

bucket = 'irekiaeu'
lprefix = '/web/jails/agencia/home/jagencia/synctest'

spath = sprintf('%s/%d/%02d/??/*', 
                lprefix, Time.now().year, Time.now().month)
ad = Dir[spath] 

ad.each do |p|
  if File.directory?(p)
     inbucket = p.gsub(/#{lprefix}/,'')
     puts bucket+inbucket
     begin
       Cliaws.s3.get(bucket+inbucket+'/')
     rescue RightAws::AwsError
       Cliaws.s3.put('sdir', bucket+inbucket+'/') 
       Cliaws.s3.put('sdir', bucket+inbucket+'/solo_agencia/') 
       Cliaws.s3.put('sdir', bucket+inbucket+'/solo_irekia/') 
     end
  end
end

