#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# s3_get_files.rb
#
# Busca ficheros nuevos subidos en el bucket de S3
# y los descarga en sus directorios locales oficiales
#

require 'pp'
require 'fileutils'
require 'rubygems'
require 'cliaws'

bucket = 'irekiaeu'
lprefix = '/web/jails/agencia/home/jagencia/synctest'

s3prefix = sprintf('%s/%d/%02d/', bucket, Time.now().year, Time.now().month)

cand = Cliaws.s3.list(s3prefix)
cand.each do |p|
  if p[-1]=='/'[0]
    #  puts 'nothing, just a dir '+ p
  else
     puts '... processing '+ p
     pl = p.gsub(/^#{bucket}/,'')
     pa = File.dirname(pl)
     ldirname = lprefix + pa
     if File.exist?(ldirname)
       lfullname = lprefix +  pl
       lfullnamet = lprefix +  pl + '.bajando'
       if File.exist?(lfullname)
         puts "  ... skipping (already exists) " + lfullname
       else
         puts "  ... downloading " + lfullnamet
         outf = File.open(lfullnamet, "wb")
         ## outf = File.open(File.basename(lfullnamet), "wb")
         Cliaws.s3.get(p, outf)
         outf.close()
         FileUtils.mv(lfullnamet, lfullname)
       end
     else
       puts "ASSERTION fail "+ldirname
     end
  end
end

