#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#!/usr/bin/ruby
#
# Calcula en numero de sesiones y el maximo de usuarios
# que simultanemente vieron un streaming
#
require 'rubygems'
require 'cgi'
require 'pp'
require 'couchrest'
require 'active_support'


event_start = Time.parse("Mar 10 9:30:00 2011")
event_end   = Time.parse("Mar 10 15:00:00 2011")
qstream = 'SAR03.SDP'



dbr = CouchRest.database('http://localhost:5984/wlog3')
# backto = whent - 6.hours
cfrom = event_start - 30.minutes
cto   = event_end + 3.hour


ag = dbr.view('inverse/dts', { :descending => false,
                               :limit => 100000,
                               :startkey   => [cfrom.year, cfrom.month, cfrom.day, cfrom.hour, cfrom.min, cfrom.sec],
                               :endkey => [cto.year, cto.month, cto.day, cto.hour, cto.min, cto.sec ],
                             })


honuser = Hash.new(0)
stablecount = 0
ips = Hash.new(0)
sess = Hash.new(0)
vmax = 0

ag['rows'].each do |r|
    le = dbr.get(r['id'])
    stream = le['x-sname']

 if stream == qstream 
    ips[le['c-client-id']] += 1
    sess[le['ip']] += 1
    event = le['x-event']
    stablecount += 1

    if event == 'play' 
      honuser[stream] += 1
      # puts le['datetime'] + ' PLAY: ' + stream + " " + honuser[stream].to_s
      vmax = [honuser[stream], vmax].max
      stablecount = 0
    end

    if event == 'stop'
      honuser[stream] -= 1
      # puts le['datetime'] + ' STOP: ' + stream + " " + honuser[stream].to_s
      stablecount = 0
    end
    # puts "stablecount "+stablecount.to_s
    break if stablecount > 30 
   
 end

end

pp honuser 

# pp "ips", ips.keys.length
pp "sess", sess.keys.length
pp "vmax", vmax

