//
// Streamings en Irekia: anunciados y emitiéndose.
//


// Streaming anunciado: comprobamos periódicamente si ha empezado la emisión y cambiamos la foto
// del anuncio por el payer al empezar la emisión.
// Variables: Irekia.timeout e Irekia.streaming_observer

function startStreaming(request, subsite) {
  // alert(request.responseText+"observing each "+Irekia.streaming_observer.frequency+", subsite -"+subsite+"-");
  // alert("started? "+request.responseText.match("show_"+subsite+"_on")+"...");
  if (request.responseText.match("show_"+subsite+"_on")) {
    Irekia.streaming_observer.stop();
    $("home_video_title").innerHTML = Irekia.announced_streaming.title;           
    $("announced_streaming").hide();
    $("live_streaming").show();
  }
}

function startObserving() {
  // alert("Start obeserving ...");
  var freq = Math.floor(Math.random()*90)+30; // max 120 seg., min 30 seg.
 
  Irekia.streaming_observer = new PeriodicalExecuter(function() {
    // IE hack to prevent GET request result caching
    var d = new Date;
    var req = Irekia.announced_streaming.observer_req+"?"+d.getTime();
    var subsite = Irekia.announced_streaming.subsite;
    new Ajax.Request(req, 
                     {asynchronous:true, evalScripts:true, method:'get', onSuccess:function(request){startStreaming(request, subsite)}}
                    )}, freq);
  clearTimeout(Irekia.timeout);
}

function initStreamingObserver(evt) {
  var interval = parseInt(Irekia.announced_streaming.interval, 10)*1000;
  if (interval < 0) {
    interval = 0;
  }
  interval = interval + Math.floor(Math.random()*100)*1000; // max 100 segundos si el evento ya ha empezado

  // alert("Start observing after "+interval+"milisec");
  Irekia.timeout = setTimeout('startObserving()', interval);
}

// Streaming en directo. Vamos comprobando si no ha cambiado el evento que se emite.
// Si cambia cambiamos los datos del evento.
// Variables: Irekia.streamed_event, Irekia.streamed_event_observer

function getNewObserverInterval(seconds) {
  var interval = seconds*1000;
  if (interval < 0) {
    interval = 0;
  }
  // max 60 segundos después de seconds
  interval = interval + Math.floor(Math.random()*60)*1000;
  return interval;
}


function changeStreamedEventInfo(request) {
  // alert(request.responseText+"observing each "+Irekia.streamed_event_observer.frequency);      
  var old_event_id = Irekia.streamed_event.id;
  $('streaming_info_div').innerHTML = request.responseText;
  
  if ($('streaming_info_div').innerHTML.blank()) {
    Irekia.trials++;
  }
  if (($('streaming_info_div').innerHTML.blank()) && (Irekia.trials > Irekia.max_trials)) {
    //alert("Stop observing");
    Irekia.streamed_event_observer.stop(); 
  }
  else {      
    // Set new streamed event id.
    $('streaming_info_div').innerHTML.evalScripts();
  
    if (Irekia.streamed_event.id != old_event_id) {
      // El evento ha cambiado. Dejar de observar.
      Irekia.streamed_event_observer.stop();
      
      
      // Programar otro observer para cuando el evento ha acabado.
      var interval = getNewObserverInterval(Irekia.streamed_event.seg2end);
      //alert("Empezar de nuevo dentro de "+interval+" segundos");
      Irekia.streamed_event.timeout = setTimeout('startStreamedEventObserving()', interval);
    }
 }    
}

function startStreamedEventObserving() {
  Irekia.trials = 0;
  
  // alert("Start observing ...");
  var freq = Math.floor(Math.random()*60+10); // max 70 seg., min 10 seg.
       
  Irekia.streamed_event_observer = new PeriodicalExecuter(function() {
    // IE hack to prevent GET request result caching
    var d = new Date;
    var req = Irekia.streamed_event.observer_req+"?"+d.getTime();
    new Ajax.Request(req, 
                     {asynchronous:true, evalScripts:true, method:'get', onSuccess:function(request){changeStreamedEventInfo(request)}}
                    )}, freq);
    clearTimeout(Irekia.streamed_event.timeout);
}

// Hay que poner el marcha el observer después de que acabe el evento.
function initStreamedEventObserver(evt) {
  var interval = getNewObserverInterval(parseInt(Irekia.streamed_event.interval, 10));
  
  // alert("Start observing after "+interval+" milisec");

  Irekia.streamed_event.timeout = setTimeout('startStreamedEventObserving()', interval);
}

// Cambia el contenido de la ventana de emisión.
// Si la emisión ha cambiado de evento, sale mensaje "La emisión ha terminado." 
function updateStreamingWindowStatus(request) {
  // alert(request.responseText+"observing each "+Irekia.streamed_event_observer.frequency);
  var res = $A(request.responseText.match(/event:(\d+)/));

  if ((res.size === 0) || (parseInt(res.last(), 10) != Irekia.streamed_event.id)) {
    Irekia.streamed_event_observer.stop();
    // Ya no hay evento. Esconder el player.
    $('live_streaming').innerHTML = '';
    $('streaming_off').show();
  }
}

// Pone en marcha el observer del estado del streaming y el evento que se emite.
function startStreamingWindowStatusObserving() {
  Irekia.trials = 0;
  
  // alert("Start observing ...");
  var freq = Math.floor(Math.random()*60+10); // max 70 seg., min 10 seg.
       
  Irekia.streamed_event_observer = new PeriodicalExecuter(function() {
    // IE hack to prevent GET request result caching
    var d = new Date;
    var req = Irekia.streamed_event.observer_req+"?"+d.getTime();
    new Ajax.Request(req, 
                     {asynchronous:true, evalScripts:true, method:'get', onSuccess:function(request){updateStreamingWindowStatus(request)}}
                    )}, freq);
    clearTimeout(Irekia.streamed_event.timeout);
}

// Poner en marcha un observer que mustra el mensaje "La emisión ha acabado" cuando 
// se deje de emitir o cambie el evento.
// Se usa en las emisiones desde la página de un evento.
function initStreamingWindowStatusObserver(evt) {
  var interval = getNewObserverInterval(parseInt(Irekia.streamed_event.interval, 10));
  
  // alert("Start observing after "+interval+" milisec");
  Irekia.streamed_event.timeout = setTimeout('startStreamingWindowStatusObserving()', interval);
}
