//
// GA tracking functions.
//

function trackDownload(evt) {
  var elem = evt.element();
  var linkedFileName = elem.pathname;
  var linkedFileType = linkedFileName.split('.').pop().toUpperCase();
  // alert("Track download of "+linkedFileName+", "+linkedFileType);
  
  _gaq.push(['_trackEvent', 'Descarga', linkedFileType, linkedFileName]);
  _gaq.push(['_trackPageview', '/descarga/']);
}


function prepareRelatedContentForTracking() { 
  var doc_title = ($$("h1.title").size() > 0) ? $$("h1.title").first().innerHTML.stripTags().strip() : document.title;
  
  // Related documents
  $$("div.related_articles").each(function(ra){
    ra.down("ul.documents").descendants().each(function(elem){
      var link = elem.down("a");
      if (link) {
        var related_doc_title = link.innerHTML.strip();
        Event.observe(link, 'click', function(evt){
          //alert("Related: from "+doc_title+" to "+related_doc_title);
          _gaq.push(['_trackEvent', 'Contenidos Relacionados', doc_title, related_doc_title]);
        });        
      }
    });
  });
  
  // Same type documents
  $$("div.type_related").each(function(ra){
    ra.down("ul.documents").descendants().each(function(elem){
      var link = elem.down("a");
      if (link) {
        var related_doc_title = link.innerHTML.strip();
        Event.observe(link, 'click', function(evt){
          //alert("Related: from "+doc_title+" to "+related_doc_title);
          _gaq.push(['_trackEvent', 'Contenidos Relacionados', doc_title, related_doc_title]);
        });        
      }
    });
  });
  
  
  // Related videos
  $$("div.videos_relacionados").each(function(vr){
    vr.select("div.slide").each(function(slide){
      var link2observe = slide.down("div.image a");
      var link4title = slide.down("div.image_info div.title a");
      
      if (link2observe && link4title) {
        var related_doc_title = link4title.innerHTML.strip();

        Event.observe(link2observe, 'click', function(evt){
          //alert("Related: from "+doc_title+" to "+related_doc_title);
          _gaq.push(['_trackEvent', 'Contenidos Relacionados', doc_title, related_doc_title]);
        });                
      }
    });
  });
}


function specialTracking() {
  if (!document.getElementsByTagName) {
    return;
  } else {
    var anchors = $$("a"); // document.getElementsByTagName("a"); IE6 fix.
    // Downloads
    for (var i=0; i<anchors.length; i++) {
        var anchor = anchors[i];
        if (anchor.getAttribute("href") && (anchor.href.include('.pdf') || anchor.hasClassName('download'))) {
          Event.observe(anchor, 'click', trackDownload);
        }
    }
    // Related
    prepareRelatedContentForTracking();
    // Flash.tracking
    $$("div.flash_tracking").each(function(elem) {
      _gaq.push(['_trackPageview', elem.innerHTML.strip()]);
    })
  }  
}

Event.observe(window, 'load', specialTracking);
