// Extend popover with afterShow callback
var tmp = $.fn.popover.Constructor.prototype.show;
$.fn.popover.Constructor.prototype.show = function () {
 tmp.call(this);
 if (this.options.afterShow) {
    this.options.afterShow();
 }
}

var toggleSearchForm = {
  init: function(){
    $that=$(this)
    var $label = $('nav .search_label');
    var $form = $('nav .search_form');
    if ($label.length > 0){
      $label.on('click', this.toggleForm);
      // $form.find('input[type=text]').on('blur', this.toggleForm);
    } 
  },
  toggleForm: function(e){
    e.preventDefault();
    var $label = $('nav .search_label');
    var $form = $('nav .search_form');
    $label.toggle();
    $form.toggle();
    if ($form.find('input#value').is(':visible')) {
      $form.find('input#value').focus();
    }
  }
}

// Load dropdown remote content via ajax
$.fn.loadRemoteContent = function (){
  return this.each(function() {
    $(this).on('click.remote', function(e) {
      e.preventDefault();
      $elem = $(this);
      if ($elem.not('.loaded')){
        $.ajax({
          url: $elem.data('source'),
          dataType: 'html',
          success: function(data, textStatus, jqXHR){
            $elem.addClass('loaded').unbind('click.remote');
            $elem.siblings('.dropdown-menu').find('.dropdown-menu-content').html(data);
          },
          error: function(jqXHR, status, error){
            window.location = $elem.attr('href');
          }
        });
      } else {
        return false;
      }
    });  
  });
}

// Spinner
var Spinner = {
  show: function($elem){
    $elem.find('.btn_with_spinner').append($('#iddle_container').html());
  },
  hide: function($elem){
    $elem.find('div.spinner').remove();
  }
};

// Launch Modal Login and Default Action
var modalLoginAction = {
  init: function(){
    if ($('.login-required').length > 0){
      is_logged_in = false;
      $('.login-required').on('click.login_required', function(e){
        $elem = $(this);
        if (!is_logged_in) {
          e.preventDefault();
          $('#login_modal_link').click();
          $('#modal_login').on('hidden', function(){
            if (is_logged_in){
              $elem.unbind('click.login_required');
              if ($elem.is('input')) {
                $elem.click();  
              } else {
                window.location = $elem.attr('href');
              }
            }
          });
        }
      });
    }
  }
}

// Form Errors 
var formErrors = {
  init: function() {
    if ($('form #has-errors').length > 0){
      var error = $.parseJSON($('#has-errors').text());
      var klass = $('#has-errors').data('class');
      this.highlight(error, klass);
    }
  },
  highlight: function(error, klass){
    $('.error-messages').show();
    for (var i in error){
      $elem = $('#' + klass + '_' + error[i][0]);
      $elem.parents('.control-group').addClass('error');
      if (error[i][1] != undefined) {
        $elem.parents('.controls').append("<span class='help-inline help-error'>" + error[i][1] + "</span>");   
      }
    }
  },
  clear: function(){
    $('.error-messages').hide();
    $('.control-group').removeClass('error');
    $('.help-error').remove();
  }
}


// LoginForm: bind all events to handle errors, user info and more
var loginForm = {
  init: function(){
    $form = $('form.login');
    $form.find('input:visible:first').focus();
    $form.on('ajax:beforeSend', function(e){
      Spinner.show($form);
      formErrors.clear();
    }).on('ajax:complete', function(e){
      Spinner.hide($form);
    }).on('ajax:success', function(e, jqXHR, options){
      is_logged_in = true;
      is_modal = $form.parents().hasClass('modal');
      if (is_modal) {
        $('#modal_login').modal('hide');
        // change nav_bar_top html to logged_in part
        $.ajax({
          url: '/es/nav_user_info',
          dataType: 'html',
          success: function(data, textStatus, jqXHR){
            $('nav#nav_top ul li').slice(-2).remove();  
            $('nav#nav_top ul').append(data);
          },
          error: function(){
            // don't do anything
          }
        })
      } else {
        location.reload();  
      }
    }).on('ajax:error', function(e, jqXHR, status, error){
      formErrors.highlight($.parseJSON(jqXHR.responseText), 'user');
    });
  }
}

// Following form: bind all events
var followingForm = {
  init: function(){
    var $form = $('form.follow_button');
    $form.on('ajax:beforeSend', function(e){
      Spinner.show($form);
    }).on('ajax:complete', function(e){
      Spinner.hide($form);
    }).on('ajax:success', function(e, jqXHR, options){
      $form.replaceWith(jqXHR);
    }).on('ajax:error', function(e, jqXHR, options){
      $form.replaceWith(jqXHR.responseText);
      $form.effect("shake", {times: 4}, 100);
    });
  }
}

// Comment Form 
var commentForm = {
  form: $('form.add_comment'),
  init: function(){
    $form=this.form;
    disableIfEmpty($('#comment'), $form.find('input[type=submit]'));
    $form.on('ajax:beforeSend', function(e){
      Spinner.show($(this));
    }).on('ajax:complete', function(e){
      Spinner.hide($(this));
    }).on('ajax:success', function(e, jqXHR, options){
      commentForm.clearInfo();
      commentForm.insert(jqXHR)
      $form.trigger("reset");
    }).on('ajax:error', function(e, jqXHR, options){
      commentForm.clearInfo();
      commentForm.insert($.parseJSON(jqXHR.responseText));
    });
  },
  insert: function(content){
    $form=this.form;
    $form.parents("ul").find("li.form").after(content);
  },
  clearInfo: function(content){
    $form=this.form;
    $next_elem=$form.parents("ul").find("li.info");
    if ($next_elem.length > 0 ) {
      $next_elem.remove();  
    }
  }

}

// Filter content by area
var areaFilter = {
  init: function() {
    if ($('form#area_filter').length > 0){
      var $form = $('form#area_filter');
      var $select = $form.children('select');
      var $reset_filter = $('a#reset_filter');

      $select.selectpicker({style: 'irekia_btn'}); // bootstrap-select
      
      $select.on('change', function () {
        $(this).closest("form").submit();
      });
      
      $reset_filter.on('click', function () {
        $select.siblings('.bootstrap-select').find('.filter-option').text($select.find('option[value=0]').text());
      });
          
      // Replace news list when filtering by area
      $form.add($reset_filter)
      .on('ajax:beforeSend', function() {
        Spinner.show($form.parents('ul'));
      })
      .on('ajax:success', function(event, xhr, settings) {
        $('#filtered_content').fadeOut(1000, function() { 
          $(this).replaceWith(xhr).fadeIn(1000);
        });
      })
      .on('ajax:complete', function() {
        Spinner.hide($form.parents('ul'));
      });
    }
  }
}

function showEmbedCodePhotoVideoViewer(embed_link) {
  var embed_container = $(embed_link).parent().siblings('div.embed_container');
  $(embed_container).slideToggle();
  $(embed_container).find('textarea').focus();
  $(embed_container).find('textarea').select();
}

function disableIfEmpty($input, $submit){
  $input.on('keyup keydown', function(e){
    $(this).val().length > 0 ? $submit.prop('disabled', false) : $submit.prop('disabled', true);
  });
}

function toggleWelcomeSlide() {
  $('div#welcome_slide').toggle();
  $('div#intro').toggle();
}

function remove_fields(link) {
  $(link).prev("input[type=hidden]").val("1");
  $(link).closest("div.attachment").hide();
}

function add_fields(link, association, content) {
  var new_id = new Date().getTime();
  var regexp = new RegExp("new_" + association, "g");
  $(link).before(content.replace(regexp, new_id));
}
