#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class Admin::BannersControllerTest < ActionController::TestCase
  
  def setup
     http_login()
  end
  
  test "should get index" do
    login_as(:admin)
    get :index, :locale => 'es'
    assert_response :success
    assert_template 'index.html.erb'
    assert_not_nil assigns(@banners)
  end
  
  test "should get new" do
    login_as(:admin)
    get :new, :locale => 'es'
    assert_response :success
    assert_template 'new.html.erb'
  end  
  
  test "should create new" do
    login_as("admin")  
    assert_difference 'Banner.count', +1 do 
      post :create, :locale => 'es', :banner => {:url_es => 'http://www.google.es', 
        :alt_es => 'Probando', :logo_es => File.new("#{DocumentPaths::MULTIMEDIA_PATH}photos/test-170x100.jpg")}
    end
    ban=Banner.find(:first, :order => 'id DESC')
    assert_equal 'Probando', ban.alt
    assert_response :redirect
    assert File.exists?("#{RAILS_ROOT}/public/assets/banners/#{ban.id}/es/test-170x100.jpg")
    system "rm -r #{RAILS_ROOT}/public/assets/banners/#{ban.id} > /dev/null"
    assert !File.exists?("#{RAILS_ROOT}/public/assets/banners/#{ban.id}/es/test-170x100.jpg")
  end  
  
  test "should get edit" do
    login_as("admin")
    get :edit, :locale => 'es', :id => banners(:banner_one).id
    assert_response :success
    assert_template 'edit.html.erb'
  end
  
  test "should update" do
    login_as(:admin)
    put :update, :locale => 'es', :id => banners(:banner_one).id, :banner => {:alt_es => 'Nuevo titulo'}
    assert_response :redirect
    ban=Banner.find(banners(:banner_one).id)
    assert_equal 'Nuevo titulo', ban.alt
  end
  
  test "should destroy js" do
    login_as(:admin)
    assert_difference 'Banner.count', -1 do 
      delete :destroy, :id => banners(:banner_one).id, :format => 'js'
    end  
  end
  
  test "should destroy" do
    login_as(:admin)
    assert_difference 'Banner.count', -1 do 
      delete :destroy, :id => banners(:banner_one).id
    end  
    assert_response :redirect
    assert_redirected_to admin_banners_path
  end
  
end  
