#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class Admin::MiscControllerTest < ActionController::TestCase
  test "super user can access Amazon S3 configuration info" do
    login_as(:superadmin)
    get :s3_config
    assert_response :success
    assert_template "s3_config"
  end
  
  test "anonymous user cannot access Amazon S3 configuration info" do
    get :s3_config
    assert_not_authorized
  end
  
  %w(admin periodista visitante colaborador jefe_de_prensa jefe_de_gabinete operador_de_streaming secretaria_interior room_manager).each do |user|
    test "#{user} cannot access Amazon S3 configuration info" do
      login_as(user)
      get :s3_config
      assert_not_authorized
    end    
  end



end
