#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class AreasControllerTest < ActionController::TestCase
  
  test "should get index" do
    get :index
    assert_response :success
    assert_template 'index'
    assert assigns(:areas)
  end

  test "should show area activity on show" do
    get :show, :id => areas(:a_lehendakaritza).id
    assert_response :success
    assert_template 'news/index'
  end

  context "featured news" do
    context "without an explicitly set featured news" do
      should "feature newest news item of the area" do
        get :show, :id => areas(:a_lehendakaritza).id
        assert_equal areas(:a_lehendakaritza).news.listable.find(:first, :order => 'published_at DESC'), assigns(:leading_news)
      end
    end
    
    context "with an explicitly set featured news" do
      setup do
        @not_most_recent_news_in_area = documents(:commentable_news)
        @not_most_recent_news_in_area.tag_list.add areas(:a_lehendakaritza).featured_tag_name_es
        assert @not_most_recent_news_in_area.save
      end
      
      should "feature tagged news althought it is not the most recent" do
        get :show, :id => areas(:a_lehendakaritza).id
        assert_equal @not_most_recent_news_in_area, assigns(:leading_news)
      end
    end
  end
end
