#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class OrdersControllerTest < ActionController::TestCase
  
  test "should get shoy by no orden" do
    order = orders(:order_one)
    get :show, :no_orden => order.no_orden, :locale => 'es'
    assert_response :success
    assert_template 'show.html.erb'
    assert assigns(:order)
  end            
  
  test "should get show and highlight according to criterio" do
    criterio = criterios(:criterio_one)
    order = orders(:order_one)
    get :show, :no_orden => order.no_orden, :criterio_id => criterio.id, :locale => 'es'
    assert_response :success
    assert_template 'show.html.erb'
    assert assigns(:order)
    assert assigns(:criterio)    
    assert_select 'div.text span.highlight', "noticia."
  end  
  
  test "should post search keyword" do
    assert_difference 'Criterio.count', +1 do
      post :search, :key => 'keyword', :value => 'LEY 2000'
    end
    criterio = Criterio.last
    assert_response :redirect                         
    assert_redirected_to search_url(:id => criterio.id)    
    assert_equal "type: orders AND keyword: \"LEY 2000\"", criterio.title
    assert_equal true, criterio.only_title
  end                                     
  
  test "should post search materias" do
    assert_difference 'Criterio.count', +1 do
      post :search, :key => 'materias', :value => 'Personal'
    end
    criterio = Criterio.last
    assert_response :redirect                         
    assert_redirected_to search_url(:id => criterio.id, :sort => 'date')  
    assert_equal "type: orders AND materias: Personal", criterio.title    
    assert_equal false, criterio.only_title
  end
  
end  
