#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class PeopleControllerTest < ActionController::TestCase
  
  def setup
    http_login
  end
  
  test "should get intro page" do 
    get :intro, :locale => 'es'
    assert_response :success
  end  
  
  test "should get new html" do
    get :new, :locale => 'es'
    assert_response :success
    assert_template 'new.html.erb'
  end  
  
  test "should get new xhr" do
    xhr :get, :new, :locale => 'es'
    assert_response :success
    assert_equal nil, @response.layout
  end

  test "should post create with errors" do
    assert_no_difference 'ActionMailer::Base.deliveries.size' do  
      assert_no_difference 'Person.count' do
        post :create, :user => {:email => 'prueba@email.com', :password => '123456', :password_confirmation => '123456', 
          :normas_de_uso => '1'}
      end
    end 
    assert_response :success
    assert_template 'new.html.erb'
  end
  
  test "should post create ok" do
    assert_difference 'ActionMailer::Base.deliveries.size', +1 do  
      assert_difference 'Person.count', +1 do
        post :create, :user => {:email => 'prueba@email.com', :password => '123456', :password_confirmation => '123456', 
          :normas_de_uso => '1', :name => "Nuevo usuario", :zip => "48900"}
      end
    end 
    assert_response :success
    assert_template 'create.html.erb'
    assert assigns(:user).status == 'pendiente'
    
    welcome_email = ActionMailer::Base.deliveries.last
    assert_equal welcome_email.subject, "[#{Notifier::SERVICENAME}] Bienvenida"
    assert_equal welcome_email.to[0], 'prueba@email.com'  
    assert_match 'Para asegurarnos de que realmente has solicitado el alta en', welcome_email.body
  end



end
