#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class Sadmin::AccountControllerTest < ActionController::TestCase
  
  def setup
    http_login()
  end
  
  context "edit personal account" do 
    ["periodista", "visitante", "politician_one"].each do |role|
      should "should not edit sadmin account for #{role}" do
        login_as(role)
        get :edit
        assert_response :redirect
        assert_redirected_to new_session_url
      end  
    end  
    
    ["colaborador", "comentador_oficial", "secretaria_interior", "operador_de_streaming", \
     "jefe_de_gabinete", "jefe_de_prensa", "miembro_que_modifica_noticias", "room_manager", "admin", "politician_interior", "politician_lehendakaritza"].each do |role|
      should "should redirect to admin for #{role}" do
        login_as(role)
        get :edit
        assert_response :success
        assert_template 'edit'
      end
    end
  end
  
end  