#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class Sadmin::SubtitlesControllerTest < ActionController::TestCase
  
  def setup
    http_login()
  end
  
  test "admin can accesss subtitlesxx" do
    login_as(:admin)
    news = documents(:news_with_multimedia_dir_and_related_webtv_video_and_gallery_photo)
    
    get :index, :news_id => news.id
    assert_response :success
  end
  
  ["jefe_de_prensa", "jefe_de_gabinete", "colaborador", "miembro_que_modifica_noticias"].each do |role|
    test "#{role} can not accesss subtitles" do
      login_as(role)
      news = documents(:news_with_multimedia_dir_and_related_webtv_video_and_gallery_photo)

      get :index, :news_id => news.id
      assert_response :redirect
      
      # access_denied
      assert_redirected_to new_session_path()
    end
    
  end
  
end
