#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class TagsControllerTest < ActionController::TestCase
  def setup
    http_login()
    # @request.cookies['locale'] = CGI::Cookie.new('locale', "es")
  end
  
  test "get index" do
    get :index
    assert_response :success
  end
  
  test "get show with associated criterio" do
    criterio = criterios(:criterio_for_tag)
    tag = tags(:tag_prueba)
    get :show, :id => tag.id
    if elasticsearch_available?
      assert_response :success
      assert_template 'search/show'
    else
      assert_response :redirect
    end
  end                           
  
  test "get show without associated criterio" do
    tag = tags(:tagueado)    
    assert_difference 'Criterio.count', +1 do
      get :show, :id => tag.id      
    end                 
    tag.reload
    assert_response :redirect
    if elasticsearch_available?
      assert_redirected_to search_url(:id => tag.criterio_id)
    else
      assert_redirected_to new_search_url
    end
  end                                                  
  
  test "get not found" do
    get :show, :id => 'meloinvento'
    assert_response :not_found
    assert_template 'site/notfound'
  end  
  
end
