#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class VotesControllerTest < ActionController::TestCase
  context "lehendakaritza area" do 
    setup do
      @proposal = contributions(:approved_and_published_proposal)
    end
    
    context "unlogged user" do      
      should "require login to vote" do
        post :create, :proposal_id => @proposal.id
        assert_redirected_to new_session_path
      end
      context "floki" do
        should "not create vote" do
          assert_no_difference 'Vote.count' do
            post :create, :format => "floki", :proposal_id => @proposal.id, "data"=>"{\"vote_choice\":2,\"controller_id\":130000,\"item_id\":#{@proposal.id}}"
          end          
        end
      end
      
    end
    
    context "logged in as visitante" do
      setup do 
        login_as("visitante")
      end
      
      should "vote" do
        assert_difference 'Vote.count' do
          post :create, :proposal_id => @proposal.id, :vote => {:value => "1"}, :format => :js
        end
      end
      
      context "floki" do
        should "create vote" do
          assert_difference 'Vote.count' do
            post :create, :format => "floki", :proposal_id => @proposal.id, "data"=>"{\"vote_choice\":2,\"controller_id\":130000,\"item_id\":#{@proposal.id}}"
          end          
        end
        
        should "not allow same user to vote twice" do
          Vote.create(:user_id => users(:visitante).id, :votable_type => 'Contribution', :votable_id => @proposal.id, :value => 1)
          assert_no_difference 'Vote.count' do
            post :create, :format => "floki", :proposal_id => @proposal.id, "data"=>"{\"vote_choice\":2,\"controller_id\":130000,\"item_id\":#{@proposal.id}}"
          end
        end
      end
    end
  end
  
end
