#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

#
# Test del API de acceso a los datos
#

require 'open-uri'
require 'net/http'
require 'digest/sha1'

require 'rubygems'
require 'json'

def check_news_rss
  tags = nil
  api_url = 'http://localhost:3000/es/news/news.rss?since=20110101' 
  uri=(URI.parse("#{api_url}"))
  Net::HTTP.start(uri.host, uri.port) do |http|
    headers = { 'Content-Type' => 'application/json'}
    response = http.send_request("GET", uri.request_uri, nil, headers)
    p response.body
  end
  
end


def check_tags_api
  tags = nil
  api_url = 'http://localhost:3000/api/tags' 
  uri=(URI.parse("#{api_url}"))
  Net::HTTP.start(uri.host, uri.port) do |http|
    headers = { 'Content-Type' => 'application/json'}
    response = http.send_request("GET", uri.request_uri, nil, headers)
    p response.body
    tags = JSON.parse(response.body)
  end
  
  p "Tags:"
  tags.each do |t|
    p t.inspect
  end
end

def check_photos_api
  photos = nil
  api_url = 'http://localhost:3000/api/photos/912' # id de la noticia: 955 
  uri=(URI.parse("#{api_url}"))
  Net::HTTP.start(uri.host, uri.port) do |http|
    headers = { 'Content-Type' => 'application/json'}
    response = http.send_request("GET", uri.request_uri, nil, headers)
    p response.body
    photos = JSON.parse(response.body)
  end
  
  p "Photos para la noticia ID 955:"
  photos.each do |t|
    p t.inspect
  end
end

def check_videos_api
  videos = nil
  api_url = 'http://localhost:3000/api/videos/955' # id de la noticia: 955 
  uri=(URI.parse("#{api_url}"))
  Net::HTTP.start(uri.host, uri.port) do |http|
    headers = { 'Content-Type' => 'application/json'}
    response = http.send_request("GET", uri.request_uri, nil, headers)
    p response.body
    videos = JSON.parse(response.body)
  end
  
  p "Vídeos para la noticia ID 955:"
  videos.each do |key, val|
    p key
    val.each do |lang, list|
      p lang
      if list.is_a?(Array)
        list.each do |item|
          p item["embed"]
        end
      else
        p list["embed"]
      end
    end
  end
end


#check_tags_api()
#check_photos_api()
check_videos_api()
#check_news_rss()