#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class AlbumTest < ActiveSupport::TestCase
  test "should have title" do
    a = Album.new()
    assert !a.save
    assert a.errors[:title_es].present?
  end
  
  test "adding photos to an album should update the counter cache" do
    album = albums(:one)
    assert_equal 1, album.album_photos_count
    assert_difference 'album.photos.count', +1 do
      album.photos << photos(:two)
    end
    album.reload
    assert_equal 2, album.album_photos_count
  end

  test "should index to elasticsearch after save" do
    prepare_elasticsearch_test
    album = albums(:one)
    assert_deleted_from_elasticsearch album
    assert album.save
    assert_indexed_in_elasticsearch album
  end

  test "should delete from elasticsearch after destroy" do
    prepare_elasticsearch_test
    album = albums(:one)
    assert_deleted_from_elasticsearch album
    assert album.save
    assert_indexed_in_elasticsearch album
    assert album.destroy
    assert_deleted_from_elasticsearch album
  end

end
