#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class AttachmentTest < ActiveSupport::TestCase
  
  test "polymorphic document" do
    att = attachments(:news_attachment)
    news = documents(:irekia_news)
    assert_equal news, att.attachable
    assert_equal [att], news.attached_files
    assert_equal [att], news.attachments
  end  
  
  test "polymorphic proposal" do
    att = attachments(:proposal_attachment)
    prop = contributions(:governmental_proposal)
    assert_equal prop, att.attachable
    assert_equal [att], prop.attached_files
    assert_equal [att], prop.attachments
  end
  
  test "image type file is not valid for politician curriculum" do
    att = users(:politician_one).attachments.build
    att.file = File.open("#{Document::MULTIMEDIA_PATH}/test.txt")
    # assert !att.valid? # cannot use this one since the validation is not being done via validation but via before_save callback
    assert !att.save
    assert_equal I18n.t('attachments.must_be_pdf'), att.errors.on(:file)
  end
  
  test "PDf file is valid for politician curriculumxx" do
    att = users(:politician_one).attachments.build
    att.file = File.open("#{Document::MULTIMEDIA_PATH}/test.pdf")
    assert att.save
  end
end
