#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class CategoryTest < ActiveSupport::TestCase

  test "roots" do
    roots = Category.roots()
    assert !roots.empty?
    assert_nil roots.detect {|cat| !cat.parent_id.nil?}
  end
  
  test "web tv tags" do
    cat = categories(:cat_webtv_interior)
    assert_equal [tags(:interior_tag).name_es], cat.tag_list
    
    assert_not_nil cat.videos
  end
    
  test "videos" do
    cat = categories(:cat_webtv_lehendakaritza)
    assert_equal [videos(:every_language), videos(:video_lehendakaritza)], cat.videos.find(:all, :order => 'published_at DESC')
    
    assert_equal [videos(:video_dept_interior)], categories(:cat_webtv_interior).videos
    assert_equal [videos(:every_language)], categories(:cat_de_webtv).videos
  end
  
  test "albums should not contain empty albums" do
    cat = categories(:cat_de_fototeca_interior)
    
    assert !cat.albums.include?(albums(:album_dept_interior_empty))
  end
end
