#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class CommentResponseRequestTest < ActiveSupport::TestCase
  # Si todavía no hemos enviado ninguna solicitud, hay que hacer un envío
  test "enviar request is send when the comment_response has no requests" do
    if TEST_SOAP
      comment_response = comment_responses(:comment_aprobado_euskera_response)
      assert_equal 'new', comment_response.status
      assert_equal comments(:aprobado_euskera), comment_response.comment
      assert_equal documents(:commentable_news), comment_response.comment.commentable
      assert comment_response.response_requests.empty?
    
      crr = comment_response.response_requests.new
      assert_equal 'envio', crr.request_type
        
      assert crr.save
    
      assert_not_nil crr.result
      assert_not_nil crr.response_body
      assert_not_nil crr.response_error
      assert_not_nil crr.registered_at
      assert_not_nil crr.registration_id    
      assert_not_nil crr.citizen_id    
      assert_not_nil crr.response_status # Si hay error el response status está vacío.
    else
      p "Testing SOAP disabled"
    end
  end


  # Si ya hemos hecho algun request y este ha acabado bien (result = 1), los siguientes requests son consutlas  
  test "consluta request is send when the comment_response has some requests" do
    if TEST_SOAP    
      comment_response = comment_responses(:comentario_aprobado_con_rrcc_response)
      crr = comment_response.response_requests.new
      assert_equal 'consulta', crr.request_type
        
      assert crr.save
    
      assert_not_nil crr.result
      assert_not_nil crr.response_body
      assert_not_nil crr.response_error
      assert_not_nil crr.registered_at
      assert_not_nil crr.registration_id    
      assert_not_nil crr.response_status
    
      assert_equal "32", crr.result
    else
      p "Testing SOAP disabled"      
    end
  end


  test "consluta request for comment waiting for response" do
    if TEST_SOAP        
      comment_response = comment_responses(:comentario_aprobado_con_solicitud_rrcc_response)
      crr = comment_response.response_requests.new
      assert_equal 'consulta', crr.request_type
        
      assert crr.save
    
      assert_not_nil crr.result
      assert_not_nil crr.response_body
      assert_not_nil crr.response_error
      assert_not_nil crr.response_status
    
      assert_equal "31", crr.result
    else
      p "Testing SOAP disabled"            
    end
  end
  
end
