#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class DebateEntityTest < ActiveSupport::TestCase
  should_have_instance_methods(:url)
  
  context "with debate" do
    setup do
       @debate = debates(:debate_completo)
    end
    
    should "assign organization when exists" do
      organization = outside_organizations(:organization_without_debate)
      de = DebateEntity.new(:debate => @debate, :organization_name => organization.name_es)
      assert_no_difference "OutsideOrganization.count" do  
        assert de.save
      end
      assert_equal organization, de.organization
    end
    
    should "create and assign organization when does not exist" do
      organization = outside_organizations(:organization_without_debate)
      de = DebateEntity.new(:debate => @debate, :organization_name => organization.name_es+" (nueva)")
      assert_difference "OutsideOrganization.count", 1 do
        assert de.save
      end
      assert_not_equal organization, de.organization
    end
    
  end
end
