#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class DebateStageTest < ActiveSupport::TestCase
  DebateStage::STAGES.each do |stage_label|
    should allow_value(stage_label.to_s).for(:label)
  end
  
  should_not allow_value("algo que no es stage").for(:label)
  
  should validate_presence_of(:starts_on)
  
  context "validate dates" do
    should "not be valid if ends_on precedes starts_on" do
      stage = DebateStage.new(:label => 'presentation', :starts_on => Date.today, :ends_on => Date.today - 1.day)
      assert !stage.valid?
      assert stage.errors.on(:base)
      assert_match "La fecha de fin debe ser posterior o igual a la de inicio", stage.errors.on(:base)
    end

    should "be valid if ends_on equals starts_on" do
      stage = DebateStage.new(:label => 'presentation', :starts_on => Date.today, :ends_on => Date.today)
      assert stage.valid?
    end    


    should "be valid if ends_on follows starts_on" do
      stage = DebateStage.new(:label => 'presentation', :starts_on => Date.today, :ends_on => Date.today+1.day)
      assert stage.valid?
    end    
  end
  
  should "set position on create" do
    stage = DebateStage.new(:starts_on => Date.today, :label => 'presentation')
    assert stage.save
    assert_equal 1, stage.position
  end
      
end
