#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require "test_helper"

class DocumentTest < ActiveSupport::TestCase
  
  test "title_es should be present" do
    doc = Document.new(:title_es => "The title", :organization => organizations(:lehendakaritza))
    assert doc.valid?
    
    doc.title_es = nil
    assert !doc.valid?
  end  

  test "document areas area ordered by position" do
    area1 = areas(:a_lehendakaritza)
    area2 = areas(:a_interior)
    doc = Document.create(:title_es => "The title", :organization => organizations(:lehendakaritza), :tag_list_es => area1.tag_list_es+area2.tag_list_es)

    assert_equal [area1, area2], doc.areas
  end    


  test "avatar is the document area avatar" do
    area = areas(:a_lehendakaritza)
    doc = Document.create(:title_es => "The title", :organization => organizations(:lehendakaritza), :tag_list_es => area.tag_list_es)

    assert_equal area, doc.area
  end    
  
end
