#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class FollowingTest < ActiveSupport::TestCase
  
  test "validate presence of user" do
    area = areas(:a_lehendakaritza)
    following = Following.new(:followed_id => area.id, :followed_type => 'Area')
    assert_equal false, following.save
    assert_equal 'no puede estar vacío', following.errors.on(:user_id)
  end  
  
  test "validates presence of followed item" do
    user = users(:person_follows)
    following = Following.new(:user_id => user.id)
    assert_equal false, following.save
    assert_equal 'no puede estar vacío', following.errors.on(:followed_id)
    assert_equal 'no puede estar vacío', following.errors.on(:followed_type)
  end  
  
  test "valid following" do
    user = users(:person_follows)
    area = areas(:a_lehendakaritza)
    following = Following.new(:followed_id => area.id, :followed_type => 'Area', :user_id => user.id)
    assert_equal true, following.save
    assert_equal user, following.user
    assert_equal area, following.followed
  end  
  
  test "politician follows area" do
    user = users(:politician_one)
    area = areas(:a_lehendakaritza)
    following = Following.new(:followed_id => area.id, :followed_type => 'Area', :user_id => user.id)
    assert_equal true, following.save
  end  
  
end  