#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require File.dirname(__FILE__) + '/../../test_helper'

class UsersHelperTest < ActionView::TestCase
  # include ActionView::Helpers::UrlHelper
  # include ActionController::UrlWriter

  ['visitante', 'periodista', 'politician_one'].each do |role|
    test "link to #{role} profile" do
      tag = link_to_user_profile_unless_deleted(users(role.to_sym))
      assert_match 'http://', tag
    end
  end
  
  ["deleted_person", "admin", "colaborador", "jefe_de_gabinete", "jefe_de_prensa", "miembro_que_modifica_noticias", "comentador_oficial", "secretaria_interior", "operador_de_streaming", "room_manager"].each do |role|
    test "link to #{role} profile" do
      tag = link_to_user_profile_unless_deleted(users(role.to_sym))
      assert_equal tag, users(role.to_sym).public_name
    end
  end
end

module ActionController
  class Base
    # url_for da errores en los test porque necesita todo un request para coger
    # la información que necesita. Aquí "mockeamos" url_for para que devuelva
    # un enlace porque lo que queremos testear es si hay link o no
    def url_for(options={})
      'http://'
    end
  end
end