#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class OutsideOrganizationTest < ActiveSupport::TestCase
  should validate_presence_of(:name_es)
  should_have_instance_methods(:name)
  
  context "with logo" do
    setup do
      @organization = OutsideOrganization.new(:name_es => "Entidad fuera del GV")
    end
    
    teardown do
      @organization.remove_logo!
    end
        
    should "not upload logo with size different from 70x70" do
      @organization.logo = File.open(File.join(RAILS_ROOT, 'test/data/photos', 'test.jpg'))
      assert !@organization.save
      assert @organization.errors.on(:logo)
    end

    should "upload logo with size 70x70" do
      @organization.logo = File.open(File.join(RAILS_ROOT, 'test/data/photos', 'test70x70.png'))
      assert @organization.save
      assert @organization.logo?
    end
  end
  
  context "with debate" do
    setup do 
      @debate = debates(:debate_completo)
      @org = outside_organizations(:organization_for_debate)
    end
    
    should "have debates" do
      assert @org.debates
      assert @org.debates.detect {|d| d.eql?(@debate)}
    end
  end
end
