#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class RecommendationRatingTest < ActiveSupport::TestCase

  test "should not create if target not exists" do
  	news = documents(:one_news)

  	recommendation_rating =RecommendationRating.new(:source_type => 'Document', :source_id => news.id, :target_type => 'Document', :target_id => 1000, :user_id => 1, :rating => 1)
  	assert_equal false, recommendation_rating.save  	
  end	

  test "should create reciprocal" do
  	news = documents(:one_news)
  	order = orders(:order_one)
  	assert_difference 'RecommendationRating.count', +2 do
  		recommendation_rating =RecommendationRating.new(:source_type => 'Document', :source_id => news.id, :target_type => 'Order', :target_id => order.id, :user_id => 1, :rating => 1)
  		recommendation_rating.create_reciprocal = true
  		assert_equal true, recommendation_rating.save  	
  	end
  end

  test "should not create reciprocal" do
  	news = documents(:one_news)
  	order = orders(:order_one)
  	assert_difference 'RecommendationRating.count', +1 do
  		recommendation_rating =RecommendationRating.new(:source_type => 'Document', :source_id => news.id, :target_type => 'Order', :target_id => order.id, :user_id => 1, :rating => 1)
  		assert_equal true, recommendation_rating.save  	
  	end
  end

end
