#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class SnetworkTest < ActiveSupport::TestCase
  
  test "validates presence of url and format" do
    snet=Snetwork.new
    assert_equal false, snet.save
    assert_equal false, snet.errors.on(:url).empty?
    snet.url='twitter.com/irekia'
    assert_equal false, snet.save
    snet.url='http://twitter.com/irekia2'
    assert_equal true, snet.save
  end
  
  test "set label when create" do
    snet=Snetwork.new(:url => 'http://twitter.com/irekia2')
    assert_equal true, snet.save    
    assert_equal 'twitter', snet.label
    
    snet=Snetwork.new(:url => 'http://www.facebook.com/irekia2')
    assert_equal true, snet.save    
    assert_equal 'facebook', snet.label
  end
  
  test "belongs to social organizations" do
    snet=snetworks(:irekia_twitter)
    sorg=sorganizations(:social_org)
    assert_equal sorg.id, snet.sorganization_id
  end
  
  
end  