#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class SubscriptionTest < ActiveSupport::TestCase
  test "should delete pending alerts if subscription is cancelled" do
    user = users(:periodista_con_alertas)
    # Esto no funciona porque en la condicion pone "spammable_type='User'" en lugar de "spammable_type='Journalist'"
    # user.event_alerts
    assert_equal 1, EventAlert.sent.count(:conditions => ["spammable_id=? AND spammable_type='Journalist'", user.id])
    assert_equal 2, EventAlert.unsent.count(:conditions => ["spammable_id=? AND spammable_type='Journalist'", user.id])
    assert_difference 'Subscription.count', -1 do
      subscriptions(:periodista_con_alertas4lehend).destroy
    end
    assert_equal 1, EventAlert.sent.count(:conditions => ["spammable_id=? AND spammable_type='Journalist'", user.id])
    assert_equal 1, EventAlert.unsent.count(:conditions => ["spammable_id=? AND spammable_type='Journalist'", user.id])
  end
end
