#
# OpenIrekia v4.0.0
#
# Copyright 2009-2013 eFaber, S.L.
# Copyright 2009-2013 Ejie, S.A.
# Copyrigth 2009-2013 Dirección de Gobierno Abierto y Comunicación en Internet; 
#    Gobernu Irekirako eta Interneteko Komunikaziorako Zuzendaritza; Lehendakaritza.
#    Gobierno Vasco – Eusko Jaurlaritza 
# Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto sean aprobadas 
# por la Comisión Europea– versiones posteriores de la EUPL (la Licencia);
# Solo podrá usarse esta obra si se respeta la Licencia. Puede obtenerse una 
# copia de la Licencia en: http://ec.europa.eu/idabc/eupl 
# Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
# el programa distribuido con arreglo a la Licencia se distribuye TAL CUAL,
# SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
# Véase la Licencia en el idioma concreto que rige los permisos y limitaciones 
# que establece la Licencia
#
#  http://open.irekia.net, openirekia@efaber.net
#

require 'test_helper'

class VoteTest < ActiveSupport::TestCase
  test "should get citizen proposals votes" do
    assert Vote.for_prop_from_citizens.count > 0
  end

  test "should get gov proposals votes" do
    assert Vote.for_prop_from_politicians
  end


  context "notifications" do    
    should "not create notification for vote in unapproved proposal" do
      assert_no_difference 'Notification.count' do
        comment = contributions(:unapproved_proposal).votes.create(:user => users(:visitante), :value => 1)
      end
    end
  
    should "create notification for vote in approved proposalxx" do
      assert_difference 'Notification.count', +1 do
        comment = contributions(:approved_and_published_proposal).votes.create(:user => users(:visitante), :value => 1)
      end
    end
  end
end
